8140ad525b Version: 4.3.2 → 4.5.0
e8bb2d7fec Docs: Note that we sign Git tags using SSH
c82d9a70a7 wiretap: convert more if-chains that test compresion type to switches.
2db41a3ae4 Dissectors: Include what you use.
fbec9d9c6a Syslog: Enhance Syslog dissector
8fabefc1ed wiretap: Simplify ifdefs
bff7b84ace Signal-PDU: show payload, if no config is found
58a557b3ca zbee sec: Assure there are enough bytes for MIC
609ec97473 Profinet: Use BASE_OUI
f9e8483d1e profinet-mrp: Always subtract the OUI length
eef6e3c5b5 wiretap: reset fast seek with either zlib or zlib-ng
8ab7f82f04 Qt: Don't idle dissect with the read lock held
93e8eb2ffb ORAN FH CUS: Add another ST4 command type
4e1697141b wiretap: slightly clean up fast_seek_reset().
168cef006a wiretap: update a comment. [skip ci]
1832f2bc39 Qt: Add GUI support for saving in LZ4 format
5d87f8fed0 wiretap: Add support for writing LZ4
8ef3ac4cc8 Windows: Update Krb5 to 1.21.3
27c6a0cbca wiretap: Support fast seek in LZ4 Frame files
3fe2451f83 Qt: Call QObject::tr where needed
279a0d8b42 tools: Make more Python strings raw strings
0a55069455 [Automatic update for 2024-08-11]
03e99f3bc9 BGP: simplify check of labeled prefix length
8e33795288 USB-AUDIO: Always init hfs, even if not used
1b42370f49 Add option to save files in current working directory
2d6056c8cd MinGW+NSIS: Glob for versions of ICU
f8653b0cc1 wiretap: Fix fast seek header for uncompressed files
7fdffd7e3c nmea0183: Add VHW sentence dissector
f211e2ada2 ncsi: Refined codes by using proto_tree_add_item_ret_uint()
4f1dbdc978 ncsi: Add Mellanox OEM command (get temperature)
f1ca99521d USB: Update HID usage pages
3e181e8bc2 NR RRC: add a preference to perform DCCH message segments reassembly
20f7a55397 Qt: empty packet diagram when single protocol layer
9ec9c8850c wiretap: Fix concatenated lz4 and zstd streams
78d235a237 LTE RRC: add a preference to perform DCCH message segments reassembly
ee92ff23ba wiretap: Add a comment about compression
90f2d78deb ORAN FH CUS: Add Control ST8 (Ack/Nack feedback)
27c09ba852 GIOP: Don't default to looking for IOR.txt in the CWD
bc402e6dba epan: restore removal of errno.h
be8e18119e ORAN FH CUS: Add ST4 commands TRX_CONTROL and ASM
2dfa29f4bd epan: optimize module_check_valid_name
ba7488ed10 Qt: PathSelectionEdit avoid importing prefs, IWYU
3d285ce47c ORAN FH CUS: For ST4, dissect common header and skip command
5a3923ba05 lua: Fix a leak
69c385ea14 Revert "XML: Delay registering fields"
5e5f39d6f3 tshark: Sort the decodes report, show string and payload tables
6abdf6b55a USB: Add new classes and corresponding protocols
5b42fb28dc SMB: Incorrect 'Continuation of' frame number
3282723e45 SMB: Incorrect 'Continuation of' frame number
d0d35bfffa Don't assert when specifying a Custom or GUID table to "-d"
acc59fbacd ORAN FH CUS: getting ready to support ST4
e9dd399ac2 Dissectors: Include what you use.
c8a4fbeb5b lrexlib: Restore the Lua 5.1 ifdefs
3c3165f5f1 Dissectors: Include what you use.
e70df89dac ORAN FH CUS: Complete udCompParam
57cf04f08d epan: wip RFC 8362 OSPF E-LSA dissector
5a62af7ca7 lrexlib: Use SPDX-License-Identifier
221219dd1c docsis: no need for our own unit_name_string for MHz.
89ee83f86a Add a UNS() macro, similar to TFS().
d24b19885d wsdg: fix header level of one section.
144be4dcc7 wsdg: emphasize that VS 2022 is recommended *for Windows*.
aad9b0e279 wsdg: make "Windows" a toplevel section in the build setup.
b100fb2357 Dissectors: Include what you use - DCERPC regenerated
c8729ae274 Dissectors: Include what you use.
8f15564a25 PIDL:Get it to work on windows.
a68e502d31 ORAN FH CUS: Start to add proper handling for udCompParam
e181b5140b Dissectors: Include what we use(2).
984d300eaf Dissectors: Include what we use.
bd94e40a3f BER: Make the Decode As functionality mostly work again
d218d6754f XML: Delay registering fields
b6b8a3c805 zigbee-direct: Add descriptions for the dissectors
30dbf2cf1a btatt: Create dissectors with description for Decode As
0a6f717f9c Qt: allow search on all columns in About tabs
0ec99307c6 E2AP: register more OIDS (without implementations)
a48efa3cf7 nmea0183: Add HDT sentence dissector
922327f075 Art-Net: Update to Rev. DK (and minor changes)
a787e582ba nmea0183: Use `register_dissector()`
9c8582ad98 check_typed_item_calls.py: suppress or fix a few issues
4c79d56d99 BGP: Update dissector with current registries and RFCs
d8d76d58aa Feature Code for NetScaler TPC Reset Window Error Code
48638219d2 Fix some spelling errors
889f058947 Qt: Don't parent a Uat preference dialog with a menu that gets destroyed
2e84661103 USB: Split conversation data from URB data
c94a4cecaa [Automatic update for 2024-08-04]
baf0bfc263 gpg: Signature made Sat Aug  3 14:40:26 2024 PDT
gpg:                using RSA key AB9A0CFF814FA65614B5F474397DFEBE343AD96F
gpg: Can't check signature: No public key
USB: Store endpoint with direction flag in usb_conv_info
ac3bb285ac rpm-setup: Add correct SUSE Qt6 package names
e528693114 rpm-setup: Prefer Lua 5.4 on SUSE
bdd4d7f09a wslua: Use require to load Lua plugins in plugins directories
a9920556d0 btle: Extract out dissect_btle_broadcast_iso()
8675c07e85 btle: Extract out dissect_btle_acl_or_iso()
e247c146c8 Lua: Switch the downloaded Lua to 5.4
9b180d292e tools: Install latest Lua on *BSD
fada77bbc1 lrexlib: Update to upstream 2.9.2
2748575ca9 tools: Install latest lua package on Arch Linux
9d2da2c45a Qt: Stay in packet list history until we're done with history
9db5109011 epan: Fixup our column utility API documentation
2ff4e0f458 CBOR: More recursion check updates
f327bf379c Make some symbols in generated dissectors static
77a45aae05 MySQL: Add dissector test
d6975675b9 wslua: Don't prepend the same path entries more than once
bb5a5feaa4 ntlmssp: Updating Session Basekey Generation for NTLMv1
5219e36780 Qt: windows file: URLs with # (fragments); LTE help typo
30f11e9694 CBOR: Update a recursion check
31111a89f2 GIAS: Remove an odd byte from uco.idl
63e5ac75b4 Delete some double semicolons
18f6ca96d0 packetBB: Skip over the extended type before retrieving length
19788906e9 wslua: Add some clarification to dofile
ddd2b8a7d2 Fixing the data type for timeOfNextJump in PTP
838cdad7b1 taps: Document what TL_REQUIRES_PROTO_TREE actually does
e69c817b4d Qt/Bluetooth: Display ATT Server overview as a tree
2dccb6c40a Fix some spelling errors
948d614a94 GNSS: add dissector for SBAS L1 MT18
5d983a39f0 TECMP: Adding support to register dissector for unknown data type
f7db37441e ntlmssp: Only close the gcrypt ciphers if enabled
1ae3cee9be MQTT: Use MQTT dissector for MQTT over QUIC
c24eabfb13 btatt: fix "Read Multiple Variable Length" parsing
12d5ee22fd Add call to check_col_apis.py to pipeline
d186f89a7c IEEE802154: Parse TLVs for Enhanced Beacons
caec0bc640 Add check_col_apis.py call to check_dissector.py
5d69cc44d7 udp, dccp: Check for a null tree before resolving a port to string
b24016e0b2 GitLab CI: Compress our FAQ
51967fc669 docs: Simplify path to attributes file
353ed4e982 column-utils: Check columns before convering ports to string
2d409e4c54 Gitlab CI: Add our FAQ to the Documentation job
0b9b9e9581 Qt: Export PDUs/Strip Headers - dialog title and help button
ba0d705aa8 Version: 4.3.1 → 4.3.2
8892f0dc09 Build: 4.3.1
ccaa67c1ea Last batch of col_ API changes
8420e64fde btle: Get rid of unecessary frame_number variable
91a40d3355 btle: Extract out dissect_btle_adv()
316e14e502 WSDG: Add some information about Lua loading order
1331532387 BGP: fix check of length of labeled prefix
ee3471894f LIX2: Update to 3GPP TS 33.128 V18.8.0
62d985f191 asterix: Fix dissector for extended items
d8eed38731 SMB2: Add SMB2 notifications capabilities flag
897864da07 epan: Do not prime with hfids wanted by disabled postdissectors
99096b76ed Improve some more col_ calls, and script improvements
2e97567825 wslua: Change one stray static function return value to bool
524613daed Improve more col_ API calls
1dd922be36 Add option to run tshark with profile from global profiles
dc4271d78b nettrace_3gpp_32_423: Eliminate unnecessary copies of RE matches.
4c40367838 Qt: no Windows META key - only Q_OS_MAC at this time
8f6b40c4fd Tools: Update a couple of doc directory references
04ee1cf9dd Qt: disable follow if no frame selected
edecbd535b MacOS: Update some package versions.
09dbf1e9b6 Change some non-optimal col_ calls
e80d3eb9bf Add tools/check_col_apis.py
bbd3ce58db WSUG: add Reset Layout to main toolbar
fe0a53b873 ntlmssp: Prevent leaks of cipher contexts
254b74b974 Docs: update README files
7cd25d2861 SDP: Update an enum
ade004d6b0 cllog: Check the stripped time stamp validity
b8040bad31 gitignore: Update the Doc section
1f865ae6a2 [Automatic update for 2024-07-28]
37e871a756 GTPv2: Don't include padding in the RAC in ULI
ba07b59501 iee80211: Update status codes per 802.11-2020
862a2f2fd0 tcp: Convert a function name to C99 style
d976b3d848 Qt: add reset layout button to toolbar
902df16bc3 dtls: Don't call gcry_cipher_encrypt on a null cipher context
66dcd56f1e ntlmssp: Don't insert a key created on the stack into a hash table
8b45d8a85b pgsql: Handle "direct SSL" negotiation
c599d6962e monero: Stop dissection on an invalid type
6e08eae526 Qt: Fix clearing displayFilterCombo on Qt < 5.15
e25e93082a USB HID: Do not store complete usb conv info
10e6789834 Media Type: Add a structured suffix table
ad53eb6a78 ILP: Fix a field name
4b1f094c18 Docs: Asciidoctor compat-mode transitioned to modern syntax
2e71982fee nstime: use consistent names for FILETIME-epoch conversion routines.
bde8fa5f67 bpv7: Initialize subj_ts
487b336942 WiX: Install the release notes as "Release Notes.html"
f4d9153a3a Use col_append_str for literal strings with no specifiers
f439919447 smb: use COUNT_BYTES_SUBR() and COUNT_BYTES_TRANS_SUBR() macros.
347e6c616f pidl: fix the check for Windows.
1f00714415 pidl: handle compilers whose cpp doesn't strip // comments.(win) [skip ci]
8e6c608b31 Clean up handling of times based on the NT FILETIME epoch.
b48759e4a4 qnet6: Do not use col_set_str on the result of val_to_str
5792487cf2 Fix various ASN.1 generation warnings and require UTF-8
9e3e17136c For literal strings, prefer col_set_str() to col_add_fstr()
d48edda709 USBLL: Reassemble High-Bandwidth interrupt endpoint data
cfc9dc3a00 USB: Fix High-Bandwidth endpoint sanitization
9ee0999cac DCERPC: Do not include glib.
c8c73f6678 packaging: Fix the RPM build
668881fec7 NSIS+WiX: Switch from "NEWS" to "Release Notes.html"
abbd64a3a1 CIGI: Convert CIGI 4 to a dissector table
4bc1d198b8 GTPv2: Add units of kbps to AMBR
ed3a7c8e31 Release notes: We now ship with NPcap 1.79
b07275791d composite_tvbs: speed up by using GQueue
c51e992a23 packaging: Install release-notes.html in our RPM package
42eb155e05 Docs: Update our targets
57af0553f1 GitLab CI: Try to limit interruptibility to merge requests
dd8f9c1087 pidl: handle compilers whose cpp doesn't strip // comments. [skip ci]
dabf84e0d7 GitLab CI: Our guides are now in the doc directory
54d279dd7e Docs: Move the User's and Developer's Guides to the doc directory
ea842c8be0 Don't include glib when not needed.
b9eec9503c BTLE: increase str_addr_len to accomidate new longer string name after #16417
e8dc6be7df PFCP:Use wmem to allocate memmory
3b75810424 WSUG: Add FTP-DATA to exported objects.
dd7cb22c82 Convert remaining dcerpc dissectors to C99 types
ea348265a1 ZBEE SEC: Enable empty payload security check
ae17322376 PID_RELATED_ENTITY_GUID and PID_RELATED_ORIGINAL_WRITER_INFO
86f47a4249 cigi: fix typo on hf name
cb22bc045a ErlDP: Add missing tags
f71745c6bd dcerpc: get rid of guint1632 and guint3264 types.
7574b47b5f pidl: explain the "Syntax error near '/'" errors. [skip ci]
8abd58d9a0 CIGI: Use a dissector table for packet id for version 3
b55ee60a7a DHCPv6: decode DHCPv4-over-DHCPv6
0fa2751812 ANCP: Extend with new data from IANA registery
a7a0f772f7 Update our mailing list URLs
0e4ff696b7 Art-Net: Add oem code values and extensions to todControl cmds
375fdb472f Change some function names and variable types to use C99 types.
0e17c06c35 AERON: Add Resolution frame type identification
1e925dc843 ELF: Extend some value ranges
bb65650dfe EPAN: various cleanups to addr_resolv
4047e3a851 DOC: Document Enable IP geolocation checkbox in name resolv prefs
e1e449c5bd RTCP: make notification a bool
054ae0c79c Re-enable disabled pidl dissectors and regenerate for C99
429b5dcd14 pidl: remove an unused variable. [skip ci]
c7091b057c Convert a number of "guint" to "uint" in function names and alike.
b72753c50a capture_info_dialog.cpp: fix warning (found by check tools)
f0c1d9d58d NAS 5GS: upgrade dissector to v18.7.0
8e8c831d44 Docs: typo in previous name
7232a302ee pidl: more C99 types.
e4acb0276e dcerpc: change pidl to use C99 types.
319fb7bd56 pidl: fix some more build issues.
1af47e5f64 Make it possible to generate the PIDL dissectors with CMake.
70cd5a04ba epan: Deprecate the GLib-style tvb_get_gu?int functions
f889eabb12 Qt: Use a shared model for DisplayFilterCombo
0fd3d14601 SMB: Remove bogus malformed error
caffeba5ec GDT: Remove unneccessary includes.
bbee0f9340 Convert use of G_GINT64_MODIFIER to PRIu64/PRId64
048e2de8fd Convert G_GUINT32_FORMAT to PRIu32
c4247075cf convert-dissectors-h-to-C99, remove include glib
5743153197 Convert gushort to C99 types
5bd8b730d0 Convert zbee-direct to C99 types
55b9e55a13 Convert remaining DCERPC dissectors to C99 Types
5ed65d3195 ORAN FH CUS: trivial edits
0274951625 epan: Update our remaining old-style tvb integer accessors
f4af6bdc0a Replace gint with int in README.dissector
125d712770 Zabbix: Add separate subtree identifier for Flags tree
4829e3ff39 CBOR: Register CBOR Sequence dissector with description
b70a243d64 CoAP: Remove duplicate value string entry
a4ecb58643 Convert dcerpc templates co C99 types
e40128d030 DCM: Update data structures, dictionary and message exchange
b517de1634 mp2t: Fix an underflow
96fa766c4b Add Protected S1G Action frame dissection
d14c086703 Rename tvb_get_guintvar tvb_get_uintvar
6a053794a0 Convert dtd files to C99 types
3ed8b04363 Convert types used in comments to C99 types
c4aac41433 Convert some temp variable names to C99 style
f8610965c5 PFCP:Change tvb_get_guint.. to tvb_get_uint...
c41c23a818 Fix some mask warnings (from check_typed_item_calls.py)
e9a42a9fd6 Convert g(u)intptr -> (u)intptr_t
3c33dccf7c Modernize some function names
d6ff757f0f docs: Use pdf theme option that works for asciidoctorj
6b0f20668c frame_tvbuff: Modernize a couple of function names
058a3d56d4 epan: Deprecate some GLib-style functions
3a6fda7882 asciidoctor: Prefer batch file commands on Windows
0eed9bdf8b Remove the g prefix from the tvb search routines.
1b2bf20dbc docs: Use new-style tvb integer accessors in the Developer's Guide
00f7d51730 wslua: Use new-style tvb integer accessors
2c4e056c08 Pass a set of PIDL flags, not "is open" and "is close" Booleans.
1337bf40a2 convert-rf4ce-secur-to-C99-types
205293aa52 Fix some spelling errors
a9ebc96d48 [Automatic update for 2024-07-21]
b29c855ba3 radiotap: retrieve field with appropriate function
355afd1dee CIGI: Don't define identical TFS multiple times
8b978c94de ZMTP: minor changes
46df62bb0f convert-opensafety-to-C99
7f1bf1a26c convert-tvb_get_guintx
81066453e7 epan: Use new-style tvb integer accessors in our top-level code
09c01b8521 UI: Use new-style tvb integer accessors
dfc63ba2ff nmf: Use varint API, don't throw exceptions or undefined shift
04968e140f nmf: Remove proto initialization
2e7ca427b4 convert-x11-helpers-to-C99-types
5951fed220 Convert pidl .cnf files to C99 types
e6d5e8c815 convert file-dissectors to C99 types
e9845bd3f9 6LoWPAN: Fix base of Page Number field
bc5f7d729d Convert dissectors 1-9 to C99 types
029dce389b Convert dissectors W to C99 types
97f93df2e4 Convert dissectors YZ to C99 types
af353f48f5 Convert dissectors X to C99 types
ffdced10e8 Convert dissectors V to c99 types
5d72821204 epan: convert dissectors S to C99 types
75ea337b68 epan: convert dissectors P to C99 types
f61c344fb9 docs: Support more symbols in asciidoctor-pdf
7274fe8c97 epan: convert dissectors T to C99 types
866bb943f2 tvbuff.h: include headers to define macros used herein.
cb9eac4bc2 check_typed_item_calls.py: trying to get warning count down
dbd3f3778e sysdig: add the latest kernel APIs
38a1f99d7a NAS EPS: upgrade dissector to v18.7.0
650b164ad0 wsdg: specify debian sym link
bd12a6750f SOMEIP: Fix a broken test
4cd3c7e870 Diameter 3GPP: Add Feature-List for SWx, S6b
f0a1fb231d Update netlink generation tool and update netlink nl82011 dissector
cbcb180095 Update ISOBUS parameters
734df63153 IANA added another IPv6 special block
1ac5195df2 DOC: complement SNMP user table description
315aaf2e77 FBZERO and GQUIC: chacha20 -> chacha12
da91cb25fa ORAN FH CUS: fix a check - dereference pointer before test
4ce51e5667 windows-common: don't export legacy {NT,WERR,HRES}_errors
7c0402e75b pidl:dcerpc-*: regenerate dissectors after {NT,WERR,HRES}_errors_ext pidl changes
46d74a4fbd svcctl.cnf: make use of WERR_errors_ext
003d4b0ac0 tools/pidl: make use of {NT,WERR,HRES}_errors_ext
6e69523711 pidl:dcerpc-*: regenerate dissectors after BASE_DEC/HEX pidl changes
c58a16350b tools/pidl: don't use hardcoded BASE_HEX nor BASE_DEC
8eeb888ab2 dcerpc-{budb,butc}: regenerate after {NT,WERR}_errors_ext idl2wrs changes
d0e762051f idl2wrs: make use of {NT,WERR}_errors_ext
d789da7260 smb-direct: make use of &NT_errors_ext
29dee5fc82 kerberos: make use of &NT_errors_ext
ef30c03372 nmf: initial commit for [MC-NMF] .NET Message Framing Protocol
ce1e3ad96e xml: add o:BinarySecurityToken => GSSAPI dissection
3c042d997d xml: run ./tools/convert-glib-types.py epan/dissectors/packet-xml.*
10b644a26f epan: convert dissectors U to C99 types
18aa227772 epan: convert dissectors R to C99 types
f7d0e4a633 epan: convert dissectors Q to C99 types
75fec70124 epan: convert dissectors O to C99 types
5ac53351ff ieee80211: Eliminate false positive maybe-initialized
8f01b0aeea Remove break after return
d15fc6e1ca GSM A GM: upgrade dissector to v18.6.0
baea7be0ab wslua: Expose pinfo saved_can_desegment to Lua pktinfo
7f96b474b8 GitLab CI: Enable automatic pipeline cancellation
f85b22fd18 Qt: I/O Graph Throughput and zero values handling
32c5280dfa Qt: update filenames in comments; remove HelpContents icon property
38c3cf5c2f Switch our GLib 64-bit format specifiers to their C99 equivalents
490bd19bb5 epan: convert dissectors N to C99 types
81bdcbd378 epan: convert dissectors M to C99 types
8156dd0d94 epan: convert dissectors L to C99 types
a275a44abf Bluetooth: update UUID registery
61c68a601f BACAPP: Update vendor registery
40e3bc99a5 Version: 4.3.0 → 4.3.1
1c3cf00f75 Build: 4.3.0
27c7e2adc8 TCP: Performance improvement for managing the OOO list
945f04c2a2 epan: convert dissectors K to C99 types
ea170b811f epan: convert dissectors J to C99 types
31e722a7c4 IEC101/104: Add some expert infos
c12607d0da WSDG: correction of broken gitlab URL
451a082623 BTATT: restore wrongly C99 change
d4e2030103 f5ethtrailer: restore wrongly gboolean->C99 change
8dda8c25d4 epan: convert dissectors I to C99 types
eeb129b4c2 epan: convert dissectors H to C99 types (rerun script)
3b09b6becc epan: convert dissectors F to C99 types (rerun script)
7c581d7fd1 epan: convert dissectors E to C99 types (rerun script)
a96264f689 epan: convert dissectors D to C99 types (rerun script)
a6e1171b82 epan: convert dissectors C to C99 types (rerun script)
40801edc48 epan: convert dissectors B to C99 types (rerun script)
2b757660e5 epan: convert dissectors A to C99 types (rerun script)
6293415f09 epan: convert dissectors H to C99 types
0a8e4ded45 Plugins: Use new-style integer accessors
5e17761308 lbmsrs: Do not throw exceptions in heuristics
b23e9ac8ec GitLab CI: Fix an if statement
94713cb032 Update the tvb_get API calls in our ASN.1 dissectors
2ca68dd3c7 Qt: Allow moving the I/O Graph legend
1edd2e1053 Revert "Qt: Have all DisplayFilterEdits have bookmarks"
39b94e6b70 Revert "Qt: DisplayFilterEdit touch-ups"
5f5e173754 Revert "Qt: DisplayFilterEdit bookmark button background"
5b4d32ab60 epan: Switch the tvb_get_g?int API to C99 names
7a15145e84 docs: Update I/O Graph
665f28c0a2 wiretap: More refactoring of wtap_open_offline.
52138877a7 QUIC: update link to lasted draft multipath support
c7a234ac1e QUIC: remove draft-04 support (multipath)
9892ec13ea QUIC: rename MP_ACK to ACK_MP (multipath-draft10)
bcf9cdf247 QUIC: Add new frame type MAX_PATH_ID from multipath-draft09
1f4f2a487d QUIC: add new TP max_path_id from multipath-draft09
e49774d247 epan: convert dissectors G to C99 types
c30ccfc352 epan: convert dissectors F to C99 types
c8e41384e9 epan: convert dissectors D to C99 types
e106fe5e78 epan: convert dissectors E to C99 types
67daaa3421 Qt: Parent GeometryStateDialogs when setting them modal
ae1259aa66 F1AP: dissect new NR RRC containers
da1b897e80 Changing packet-nordic_ble.c as well
7e5a1f054b Replacing CSB (Connectionless Slave Broadcast) with CPB (Connectionless Peripheral Broadcast) everywhere
bacb217683 first pass, before fixing CSB -> CPB more thoroughly
bd29aea24d Zabbix: Add proxy tasks command support, also improve packet info headers
9bc66492a2 epan: convert dissectors C to C99 types
85e03ae80d Address more value_string warnings
3686d0e52b snort: typo in comment about TraceWrangler
d3882d0941 Windows: upgrade Npcap to 1.79
8f1d02f2e2 ORAN FH CUS: better support for C Section Type 6 (channel info)
ee21fd0dcf E2AP: register multiple versions of CCC
8ede4780fa ORAN FH CUS: SE 21 affects SE 6, which configures SE 11
59fdb05228 LTE RRC: upgrade dissector to v18.2.0
3a3efb5a3d TCP: Fix SACK interpretation when deinterlacing and Relative SEQ
2e3c1cfbf3 macos-install: fix a bogus path in an mv command. [skip ci]
910ab43578 Qt: Keep Export Dissections save button disabled when changing files
3a63db2abb [Automatic update for 2024-07-14]
3b8e1b6813 Qt: Parent the QColorDialog in ColoringRulesDialog
ca4d0554b6 Qt: Parent the testCaptureFileClose message box
fc3042177f editcap: Add extract-secrets
3a74a9aecc Support more than one context in a single OAM Get request
b30524d912 Zigbee ZCL: Fix Discovery Attributes Extended dissectors
a9cf73310e nmea0183: Convert to using C99 types
a31de2c480 BGP: Add a couple of missing items to EVPN value_string
59be13307b Signal PDU: Cache get_signal_value_name_config results
a63f5fc802 wiretap: De-duplicate file-opening code.
7759efe69d SMB: Eliminate Response<unknown> errors (GNS365)
9bc41fe152 RSL: Fixed message discriminator for Location Services messages
4e88a22d9b More issues detected by ruff
de57b76a5c NRPPa: upgrade dissector to v18.2.0
b6122016a7 LPPa: upgrade dissector to v18.2.0
055846990f LPP: upgrade dissector to v18.2.0
e3e52d8c74 Fix up some python script issues seen with ruff
d6f8580675 Be more careful about escaping in python REs
483e3394cf F1AP: upgrade dissector to v18.2.0
89da7713c4 Zabbix: Add zabbix.hostmap_revision
dd45029160 packaging: Add checkpoint RADIUS dictionary to nsi packaging
b12141f9b4 capture-sync: Fix deadlock with lots of interfaces.
1fd7c1df45 GNSS: add dissection for SBAS L1 MT24 with vel code = 1
f430181d56 kerberos: implement service response time statistics
e9d9713aa2 kerberos: add better autodetection of KRB_ERROR e-data
4abf8fe493 CMake: don't build release-notes.html multiple times
704bf1ab31 Qt: Connect ExportDissectionDialog signals at compile time
a5a265ef23 SNMP: Free the error string if unused
7fdca9c201 Qt: initialize variable
ad804dac7f SNMP: Allow for key expansion algorithm selection
44b0041da8 E1AP: upgrade dissector to v18.2.0
c9fd29af56 sync pipe: Close pipe before waiting for child, better error message
8b332123da Docs: Move our AsciiDoctor macros to the doc directory
bc55f82c67 XnAP: upgrade dissector to v18.2.0
04031a71e5 addr_resolv: Don't continually look up ethers that didn't resolve
6f42825c9f asterix: adjust to upstream change
858faad7df Qt: Window Scaling Bytes in Flight calculation update
4a9802621e Thrift: fix incorrect proto_depth calculation
1476e292f9 OpenVPN: Reassemble TLS control messages of arbitrary size
2a8b1973f8 tools: Make some regex expressions raw strings
03c56e9ee6 Qt: DisplayFilterEdit bookmark button background
4e0e35b799 Qt: DisplayFilterEdit touch-ups
d056dc1bb3 exported_pdu: add tag for 3GPP identity
ea85e2a621 exported_pdu: use c99 types
63f5995f39 GTPv2: Update to 3GPP TS 29.274 V18.7.0
198dfd0450 Add nghttp3 support to RPM package
5cdd62375d BTLE: don't implicitly cast bool value to int
aa69a03769 SIP: decoding for quoted value of utran-cell-id-3gpp
3260a07d7f NGAP: upgrade dissector to v18.2.0
f92e4a3f3d Qt: Allow more than one path separator in stats tree plugin
0b83828004 TCP: Fix minor array boundaries reading for SACKs
aa20732fdd X2AP: upgrade dissector to v18.2.0
57af237421 S1AP: upgrade dissector to v18.2.0
c841175d22 GitLab CI: Try to fix the Visual Studio Code Analysis job
f9c360d5d4 tvbuff: Use the clamped value for retrieving unaligned le bits
b37c836a2d Fix some spelling errors in tools folder
409bb10764 CMake: ASCIIDOCTOR2TXT - html is input
843c3056c7 GSM-L2RCOP: use a common tfs entry instead of defining own
404021bd7b dumpcap: Use GetTickCount64 on Windows
db6e438509 dcm-dispatch: fix Dead Store found by Clang Analyzer
a21668e303 TCP: Fix minor array boundaries reading for SACKs
33f606b52f CMake: Add custom sources and headers only if they're defined
374c9a79da dumpcap: Convert to C99 types
5af51e3802 tshark: Convert to C99 types
6b732f0274 Convert sharkd to C99 types
3a1b36bca8 Convert rawshark and tfshark to C99 types
b75e9b696c Falco Bridge: Use approved API calls
cefebb8a35 CMake: Fix our Logray source paths
08e428d690 Convert capture_opts to C99
439184901f GitLab CI: Use a common Python virtualenv directory
8b582d6172 Convert file.h and cfile.h to C99 types
86a5c21075 GitLab CI: Use MinIO mc in another place
56a6b71f40 docs: Update to the IETF Internet-Draft for the TLS Key Log File
92d97c7106 Convert ringbuffer, frame_tvbuff, and file_packet_provider to C99
ab1c56f9a9 Docs: adoc possible invalid reference (change to link:)
a354b30315 Convert the smaller executables to C99 types
6a1695d1cd [Automatic update for 2024-07-07]
d7eefd41a2 GitLab CI: Use Mino mc on Ubuntu
80d5a22693 Docs: Move ws.css to the doc directory
50902e8582 Qt: Fix crash on exit with previous focus
8b57c010b2 doc: Document additional secrets types editcap injects
b4b00dc7f2 text2pcap: Convert to C99 types
1053544305 GNSS: add dissector for SBAS L1 MT17
3fa2f2dd7b tfs: add off/on true_false_string
50cb222d78 nmea0183: Add GLL sentence dissector
cdd9bbcc1f docs: Use attribute substitution for wiki links
60cbd23eed wsug: Change two wiki links from SSL to TLS
c7745b4dde docs: Switch the WSUG and WSDG back to using wiki.wireshark.org
9b59ce6e58 Docs: add css_dir path to ws.css source
ac61d261b4 editcap: Fix handling of unrecognized long options
311ca847a7 epan: Use the logging system for sequence analysis
970714f2be exported_pdu: Pad TCP_INFO_DATA to 32-bit boundary
43fe6bcdad Docs: update Asciidoctor copycss path to ws.css
9c8aa1ba55 editcap: Convert to C99 types
a724879e51 pfcp: correction of IE Downlink Data Service Information
93c092f93d epan: Convert ASN.1 dissectors to C99
acd8dca562 DCHP: Fix Relay Agent Information Source Port
fb89750e32 Don't call g_string_free() with bool - it takes gboolean
a0c8344f16 editcap: Use cmdarg_err in some places
3275e6fb18 BTATT: don't call g_string_free() with bool - it takes gboolean
0600b68737 Convert a bunch of gconstpointers to const void pointers
42ddcf5b7f nmea0183: Add ROT sentence dissector
b5e9fb3951 pidl: Convert generated types to C99
cc9566f396 z21: bool cast fix after C99 convert
35a0eca08d Qt: Add zoom packet list header
dfbf4b6030 Docs: Fix the CSS paths in our manual pages
f7ee3b17b2 epan: convert dissectors A-B to C99 types
81e58b5bbc kerberos: Fix a conflicting type
fe6ade19ab protobuf: Fix timestamp conversion
068dc779be doc: Use uniform coding style in README.dissector
6ff41d0dd8 mpeg-pes: Fix return type for dissect_mpeg_pes
19f7deabc8 epan: update make-taps script with C99 types
d62f91bff6 text2pcap: L3PIDs are Ethertypes; update help and man page
078be6e0c8 BLF: Simplify code for LIN endianness fix
00df4e247e BLF: Add support for BLF_OBJTYPE_LIN_SLEEP
c57be2ced1 BLF: Add support for BLF_OBJTYPE_LIN_WAKEUP2
bbc1a60c1e BLF: Add support for BLF_OBJTYPE_LIN_WAKEUP
30ca0f066e BLF: Add support for BLF_OBJTYPE_LIN_RCV_ERROR2
21487d5108 BLF: Add support for BLF_OBJTYPE_LIN_RCV_ERROR
a217395efb BLF: Add missing breaks
7c2355d2ef pcapng: Write Simple Packet Block when appropriate
a5fbbe4642 UI: scan interface warning lowered to debug
304d6ffe86 epan: Convert dissectors to C99 types
f6185bb54b packaging: Add new RADIUS dictionaries to nsi packaging
a849cf7d9b WSDG: update help messages.
790a1f89ab Fix some spelling errors
e20a6a9115 dumpcap: don't mention rpcap in the help message absent rpcap support.
d7ebffe147 Monero dissector extended - full breakdown of all data structures
e3e91db8e6 BTMESH: Register pbadv reassembly table only once
fb95d0b65f BTMESH: Register upper transport reassembly table only once
045e7c1010 MTP2: Register reassembly table only once
3df525f9ea BTMESH: Register proxy reassembly table only once
cb1a36d39b capinfos: fix more names for earliest and latest packets.
1cbd9f95ae capinfos: use the right terms for earliest and latest packets.
534010d88f exported_pdu: remove extra reads
4492a831be JSON: convert to C99 types
2451bd6ba1 Run 3 dissectors through tools/convert-glib-types.py
3f1be241b9 epan: convert epan/*.{c|h} to C99 types
3d60efa467 TCAP: Convert some types to C99
563099a370 TCP: better handling of the Retrans/OOO analysis
396b39adf9 Fix CMake macro ADD_CUSTOM_CMAKE_INCLUDE
928ed7a375 pfcp: convert to C99 types
29df76c053 Wireshark: Cmd-line prefs override profile prefs
03c844febf ASN1: call asn1_ctx_init() with true rather than TRUE
2bbe84d29d win-setup: Use correct c-ares package on arm
b9601a3add win-setup: Fix c-ares checksum.
2a77afa9db WSDG: clarify taps and stats
c7ced5b18a bittorrent: Fix reassembly when header and message type are segmented
75ef0dd83e epan: Convert sequence analysis to C99 types
a91b029920 Qt: Make dragging the Sequence Diagram axis not sticky
2fe05aed94 Update 3party libraries.
9124b6c944 Qt: IPv4 aggregation memory leak fix
fc7833d40c Call register_tap in registration function
4a05466243 epan: Convert the CRC API to C99 types
1b5cf82bb5 cmake: Remove outdated readme.txt
98736ddb36 ITS: Register for VAM Message type
def3862451 Fix some spelling errors
05d4858cf1 Qt: Make it a little easier to drag the comment axis
70c13238d9 cmake: Fix indent and layout
6fe180d19c merge: squelch some compiler warnings.
8c6f913e19 Qt: Make sequence graph Comment column width adjustable
5358de8dd1 NFS: Limit number of ops dissected.
48229378f1 Qt: IPv4 aggregation for Endpoints/Conversations
18f2e7f12c wsutil: Fix the local documentation directory on macOS
2e8cb1bf08 DOCSIS: add links to specifications
83d3311440 DOCSIS: Use common units for Hz and MHz
497271482a DOCSIS: UCD Subcarrier 0 Center frequency: fix type and add unit
b8375ff5b9 DOCSIS: add DPR (DOCSIS 4.0)
9ce2592bf0 DOCSIS: add ECT-REQ and ECT-RSP (DOCSIS 4.0)
c845f75cb4 DOCSIS: add CWT-REQ and CWT-RSP (DOCSIS 4.0)
24914aebdb DOCSIS: BPKM: DOCSIS 4.0 MMM types, fields and DER decoding
cd2ecbe85a DOCSIS: 2 digits suffice for quarters
da8c619ee8 DOCSIS: OPT-RSP: Add missing and DOCSIS 4.0 fields
7af658b2cd DOCSIS: OPT-REQ: add v5 multipart
a6a5fae0ed DOCSIS: OCD: FDX Indicator field (DOCSIS 4.0) and v5 multipart
4738e648ed DOCSIS: MDD: Add BPI+ version and config (DOCSIS 4.0)
1cfcca4ed4 DOCSIS: MDD: Replace D4.0 FDX Descriptor with D4.0 Advanced Band Plan Descriptor
eb511cd759 DOCSIS: MDD: docsis_mdd.tlv cleanup, Version fixes and DOCSIS 4.0 Version
db6edf6290 DOCSIS: MDD: Add DS Active Channel List FDX field and remove Primary Capable use for FDX (DOCSIS 4.0)
7d5ff94ae6 DOCSIS: MAP: Use common tfs in DOCSIS Probe MAP
77d6dde228 DOCSIS: MAP: Add Probe IE ECT Control (DOCSIS 4.0)
7b5316defc editcap: Support for a large number of frames
effc8d7c7a TPNCP: Replace static allocations with wmem_arrays.
eacc5010be GNSS: Augment COL_INFO for Galileo I/NAV Word 0
40341b4b35 GNSS: add dissector for Galileo I/Nav Word 1
670c3533c8 wsutil: Add constant for UTF-8 square root
7a9677e487 DHCPFO: Use ip_num_to_str() to show little-endian IPv4
14a47aa6e8 Qt: Show Minizip version
b6d9f3c836 Add minizip-ng to Mac using brew.
fe4852caae merge: report errors inside the merge API routines.
ad7a7f7d67 Qt: Add a null check to the Endpoint dialog
dd12fe3498 Replace some 'guint8 offset' usage with gint
97e8c51916 NBAP:Only create the global maps once
3bd416d3ee ASN protocols: update APIs and generated code for bool
c03ad5099b proto.c: Increase number of preallocated fields.
9edf5c5598 More gboolean -> bool conversion
2a205059ff cllog: fix a reversed conditional test.
16ea412dda file merging: report errors using report_message functions.
dfec1bb322 MATE: Improve reporting of a mate config syntax error
eaa7fba6d4 DHCPFO: Remove duplicate client hw address output
59f4650e42 TCP: Initialize 'tcp_snd_manual_analysis' field.
7800ad8737 Qt: add "ellipsis" to elide pref description
0039ebf599 Docs: Move the manual pages to their own directory
f1a671f1dc Qt: I/O Graph Throughput calculation
7316303d43 GNSS: remove unnecessary #include in Galileo I/NAV dissector
9084f0b452 GNSS: add handoff for GAL I/NAV nominal page data words
bc91a1d4bb Qt: Replace "Contents" with "User's Guide"
fcbc39038d radius: More FreeRADIUS updates
48ea9d8d84 findMinizipng: Bcrypt is windows only
af85afa4e0 Add minizip-ng dlls to the installers (fix typo)
49164027c6 radius: Support sub-TLVs of sub-TLVs
21c9aeb014 RRC: Only create the global U-RNTI / C-RNTI map once
66632c5d2b Minizip-ng: Adjust FindMinizipng.cmake to work on Fedora
8d84eed1ab smb2: Always show the compressed payload
b6b382c428 [Automatic update for 2024-06-30]
dbae820abe Add minizip-ng dlls to the installers
709b09c6fb Logray: Propagate the radius nsi changes to Logray.
4c30a109a4 Add G_GNUC_ALLOC_SIZE annotations to wmem functions.
5d02f6631f Logray:Add MINIZIPNG_INCLUDE_DIRS
9a9595e498 BLF: Do not set timestamp for metadata
6e9f1ea6b4 BLF: Override the timestamp with 0 for metadata objects
4ecab35300 radius: Update more dictionaries from FreeRADIUS 3.2.4
43d73dfb47 radius: Update NSI packaging
be17f7458a Qt: Improve a warning in Show Packet Bytes
0e8cb9dbbe Qt: Add a check for empty uncompressed tvb
5f80d2af9e radius: Move the illegal elements in ascend and usr to new files
2d5bc134f4 radius: More dictionary updates
6507ab6201 Make range_t.ranges a flexible array member.
235a349188 CIP: Const-ify attribute_info_t instances.
cdd9cbb56d Add minizip-ng to replace minizip
0790c172a1 Qt: Extend Show Packet Bytes uncompress
c029a63a26 Lua: Fix TvbRange:uncompress_hpack_huff
40da1d4875 radius: Update dictionaries to FreeRADIUS 3.2.4
28a8de771b Update gitignore for .so files
72290a356a col_set_writable(): use bool for remaining cases
71fc611d60 col_set_writable(): call with bool
035f8a6925 ORAN & MAC-LTE: use bool internally
3301f2df24 docs: Add documentation for decode as Percent-Encoding
ca6761150a Qt: Add support for Base64Url in Show Packet Bytes
ac81cdbc92 Qt: Keep axes in sync for Window Scaling graph
4f500cfec7 radius: Update RFC dictionary files to FreeRADIUS 3.2.4
0f339d3672 prefs: Make auto-preferences work with dissectors with description
6b543256b8 pidl: Revert some links back to wiki.wireshark.org
f523013e5a DCOM: Implement IStorage and InstanceInfo in ISystemActivator dissection
25ecab0cc7 CIP: Improve CIP Security support
5b75d79de7 Docs: Update the Visual Studio setup instructions
9fef88013d Revert "CMake: Always add /Qspectre when building with Visual C++"
f742fb5cab Resources: Update the default Logray coloring rules
1c0b350f6d A little more checking of range_strings
e91a34ebbe Logray: Update styleSheet on ApplicationPaletteChange event
cee160e862 Logray: Remove empty sub menus when Reload Lua Plugins
d9e8d52baf LTE: Reset RLC & PDCP bearer states opon certain RRC events
5793a0f0ff pfcp: Update to 3GPP TS 29.244 V18.6.0
4f56c263ee MAC-LTE: Add a single (hidden) lcid field for both directions
ba83258400 CMake: Always add /Qspectre when building with Visual C++
3adb05fd0b blf: update error messages and fix comments.
795f2a7145 BLF: Replace g_try_malloc0 with g_try_malloc
f4a05e2dd9 BLF: Remove unused members from blf_log_container struct
fc56c21253 BLF: Support objects outside log containers
a1dfac3610 blf: update a comment to reflect reality.
3593713101 BLF: Skip objects without log container without failing
bf4c1c1200 WiSUN: Do not store offset in a 8 bit integer
c5759ba199 Fix some spelling errors
732f2e8753 sapigs: Remove execute bit
41a75fc456 blf: remove a set-but-unused variable.
7a42f3e48f RTP: Use the extended sequence number to count cycles
6dbbeccbbf epan: Distinguish unregistered handle name and description
2f19d0db5c prefs: Add one space back to gui.debounce_timer description
2030a1a783 idl2wrs.c: Pick up recent changes and regenerate
f3f19e8fbb idl2wrs.c: Fix generation of idl2wrs-dissectors
4d021395a7 blf: not all top-level objects are containers.
5f807da9ba epan: Convert the stream API to C99 types
5106dec70c Fix null derefs reported by clang-analyzer
6931eb67e7 WiSUN: correct offset logic errors
3a00768fb4 ieee1905:Client Association Control Request TLV: Timed block, Indefinite block
b325469b42 epan: Don't allow NULL or empty registered dissector names
100563111c epan update character set list
fe98af0e30 prefs: Get rid of line continuations for gui.debounce.timer description
49ff6ebe35 GNSS: rename SBAS L1 MT25 rate of change of ephemeris time correction
c7cddf00dd GNSS: fix typo for SBAS L1 MT25 rate of change of ephemeris time correction
d5e50dd596 GNSS: fix typo on SBAS L1 UDREI mapping
b14ceeb6b6 Qt: Write gui.fileopen_remembered_dir to recent with native separators
f918016604 idl2wrs: Convert glib types to C99 types, regenerate dissectors
f40578a486 tools: Convert make-plugin-reg.py to C99 types
bc75a699c4 Qt: Improve Show Packet Bytes base64 decoding
e95d11881c idl2wrs: Update wireshark_gen.py to match memory scope changes
7a69039fbb idl2wrs: Update generator to match recent commit
0146fe4eb6 capture sync: extend max length for system with many interfaces
3d482f7602 MySQL: Fix when exec stmt with 0 params
1e33765bb8 ARP - add Unified Bus (UB hardware type)
4c50a91531 prefs: Use common function to check module alias names
793106c7bb DNS: additional Resource Record (RR) types, RESINFO and WALLET
e141816fa3 dcerpc-browser: Generate with pidl
d7c1a5a245 stcsig: Don't register the dissector handle twice
e3cdd778df wiretap: have per-compreession-type "recognizers".
2394249795 [Automatic update for 2024-06-23]
bdb719f846 pidl: Another C99 type conversion
da4c136c96 Qt: Conversations for unique IP addresses
2be22f3a45 pidl: Auto-generate srvsvc and wkssvc from pidl
1dc242656f dhcp Display option dhcp-option 211 PXE reboot time
10b046cbdd pidl: Remove init of proto variables
4df8d2884d pidl: Convert the pidl dissector generation code to C99 types
02ec34bc2a doc: update logray quick start
91207cac31 UDP: If no IP layer, ignore 0 checksum
8c1af5f9f1 epan: Convert our remaining string APIs to C99 types
4f917cef27 Docs: Update the Logray quick start
6e4c81b324 pidl: Update test for removal of ett initialization
1369a90722 pidl: Cherry-pick commit from upstream Samba
37ad476b37 pidl: Cherry-pick commit from upstream Samba
2e2a0456e8 pidl: Cherry-pick commits from upstream Samba
d788f6e1e7 pidl: Cherry-pick commits from upstream Samba
34cbafb931 pidl: Cherry-pick commit from upstream Samba
b9b2dd736d pidl: Cherry-pick commits from upstream Samba.
5712a6f402 pidl: Cherry-pick commits from upstream Samba.
1c3471df29 pidl: Cherry-pick commits from upstream Samba
7c93595447 pidl: Cherry-pick commits from upstream Samba
5441003874 Fix array bounds in conversation_new_deinterlaced().
7cf192e18d pidl: Cherry-pick a commit from upstream Samba
517c9103f5 pidl: Cherry-pick commits from upstream Samba
417ec805d0 pidl: Cherry-pick commits from upstream Samba
bb51cf8845 pidl: Cherry-pick commits from upstream Samba
08c71b5496 pidl: Cherry-pick commits from upstream Samba
9f8237abf3 pidl: Cherry-pick commits from upstream Samba
4fec16ec30 pidl: Cherry-pick commits from upstream Samba
f3c5fb8faf pidl: Cherry-pick commits from upstream Samba
fb652df574 pidl: Cherry-pick commits from upstream Samba
7a6ca829e4 pidl: Cherry-pick commits from upstream Samba
2c1d7ea874 pidl: Cherry-pick commits from upstream Samba
340d8ec982 pidl: Cherry-picks from upstream Samba
6f2b96ff52 pidl: Cherry-pick from upstream Samba
ade6577f10 pidl: Don't assign hash undef, assign it an empty array
cf89c3a208 vssmonitoring: fix Dead Store found by Clang Analyzer
568275f2d2 cql: Fix Dead Store found by Clang Analyzer
f405b3a8b2 pidl: Cherry-picks from upstream Samba
4144e6578b pidl: Cherry-picks from upstream Samba
0abae4e5c3 pidl: More cherry-picks from upstream Samba
a990934b56 pidl: Cherry-pick more commits from upstream Samba
455d5c5e2a pidl: Cherry-pick more commits from upstream
879b6186aa pidl: Cherry-pick more commits from upstream Samba
cb9cbe1f93 Flag identical entries in value_strings
f1338bc521 pidl: Cherry-pick commits from upstream Samba
ebd0dbb11f pidl: Cherry pick commits from upstream Samba
f179c30162 pidl: Update closer to upstream Samba
1bd74ff91a radius: Update the dictionary parsing code to C99 types
b9f0c6b305 rmpt: prefer use proto_tree_add_item when it is possible
7f7953b54d radius: Read dictionary files with octets length and concat
21bef1de66 matter: Properly dissect Additional Data characteristic
b17828f010 Qt: Add filter buttons to QToolBar as QActions
4a892f4dea X11: Remove a few stray glib types from process-x11-xcb
06bfc99ca9 Convert the X11 generator and code to C99 types
270ed45065 tools: convert eti2wireshark.py
333adde36f Qt: fix unreadable syntax filter in dark mode on KDE with Qt 6
bec3abdf15 More init removal for hf
2f76452bee Qt: Connect more main window signals and slots at compile time
6fa13ededa radius: Support $INCLUDEs with absolute paths
416c99129f Add support for LeakSanitizer.
a77391d494 Add missing MAP tag in Erlang distribution dissector
1e3a41a808 matter: Fix Flags type for Matter Advertising Data dissector
a69feb8e02 rpc: Add RPC-over-TLS registered ALPN
98d71abb49 wiretap: simplify fill_out_buffer().
86ca02a9cd wiretap: rename gz_head() to check_for_compression().
ef37a3e41e radius: Switch back to the previous FILE if an $INCLUDE doesn't open
989c4e192c JSON: display number object as a double
be796b759a wiretap: mark #else and #endif with comments.
80ddd6bdec ITS: Fix reading of containerId so the right container is used
8501d71346 wiretap: define and use USE_ZLIB_OR_ZLIBNG if we have either library.
8a063371c3 wiretap: put decompression stream information together.
22aad01a3c plugins/codecs: convert to C99 types
9334cca935 ntlmssp: also create an anonymous session key with an 1 byte lm_response
3b4c215a5f Make sure .scap is a valid pcapng extension
e329f96a87 stats_tree: convert to C99 types
16553ade76 MySQL: Add dissection of more types in binary protocol
e9acac7088 packet-cql.c: use proto_tree_add_item_ret_string()
ada3dfa824 packet-cql.c: properly parse a schema change result
5c4291d440 Qt: Pluralize "%Ln bit(s)"
5ebf5ca5e4 miwi-p2pstar: remove init for expert_field variable
78d95ad9aa saprfc: remove init for expert_field variable
d1a6a88806 rk512: fix indent (using tab)
e599ff8366 rk512: remove init for expert_field variable
3f7c2adf90 egnos-ems: remove init for hf/ett/proto variable
f8af789411 miwi-p2pstar: remove init for hf/ett/proto variable
601a2e1bdb iec104: remove init for hf variable
9e5cbbacee DHCP : Display DOTS information RFC 8973, additional status codes from RFC7724
a7e746090d Qt: Show bits size for appropriate fields in status bar, packet dialog
b3a0cb32ae plugins/epan: convert to C99 types
bb2aef6f7d docs: Remove user interface section from Wireshark man page
7e7986fa9d WSUG: Update the automatic profile switching docs
da80ca3ccb Qt: Directly connect more signals and slots
0f77268bc8 epan: packet change return to bool
b0ac6dcb53 WSUG: Update the Configuration Profiles dialog screenshot
050ac413ff mp2t: Support files like BDAV M2TS with a header
6597563934 Qt: Fix build on older Qt 5
984b2ba803 tvbuff: use bool rather than gboolean for return values and local variables.
00d761d224 capinfo: convert to C99 types
9cd0d15d21 matter: Add dissector for BLE advertising data
3853be5bba Fix some spelling errors
cc8490681f epan: Convert the value_string code to C99 types
b9a6ecdb0a capinfo: table_report_header should be boolean.
ed34fc324a TACAS: remove unused code
1b6222d1fa DNS: Add new top-level "Answer Type" statistic
56537aa72a Dumpcap: u_char -> uint8_t
f358612e7a MySQL: Decode execution of prepared statement with query attributes
e712788773 BIER: Add BIER encapsulated in MPLS (RFC 8296)
ef2e116fab VS19: Suppress a couple of const warnings
60b33815fa Fix some spelling errors
f5170aa507 MySQL: Add tree item for each field in binary protocol
2fdbb6ee0a dfilter: Have editorconfig refere to correct translator filenames
c473803e19 Fix 9P stat permission parsing
dd893873bf Qt: Have all DisplayFilterEdits have bookmarks
dd316b00ce prefs: Add help URLs for the modules added normally
a1a7d236b7 Qt: Open the Preferences dialog help section for the current pane
0b2b1cc498 Qt: Make sure the profile switcher has an initialized profile list
03d88c9f41 CMake: clear stale PCRE2 cache entry if needed
8c6619efd6 MySQL: Use json dissector for JSON results
d0759e5f1e MySQL: Decode JSON in binary resultset
8a3be65f04 fix dead URLs for CCSDS
51668e48ca epan: heuristic to pass void *data to dissector
cf57c1aa5c PW Eth: More heuristic tweaks
dbe10e253f manuf-data: Don't omit the privately registered IEEE assignments
db956a9b80 [Automatic update for 2024-06-16]
55bba99ea6 NTP identify chrony frequency transfer and network correction extfields
c1fe4ce86d packaging: Fix RPM on SUSE
6fcb1445e0 Clean up the dissector handle code.
c1bd0d561b thrift: fix return value of dissector
3b46d9294f PNIO: fix return value of dissector
aa5929b2fd stun: distinguish between draft and RFC XOR-MAPPED-ADDRESS.
56ac0722f2 Remove some unnecessary extra layers of dissector.
563479c322 docs: Add VERBATIM to add_custom_command
15b77d6845 MPLS Pseudowires: Add dissectors to first nibble table
667fcaa14b docs: Install user guide to build dir
4f8bb21107 epan: changed heur_dissector_t to bool
30eba22945 packaging: Build RPM with guides by default if we can
6ead3e2657 log3gpp: Fix read of uninitialized data.
fbedfaa160 NSIS: clarify personal configuration uninstall message
1bd09aa109 More spellings
1692f91fb1 ui: Fix help url comments
392a2a695a wsug: Use "Font and Colors" not "Fonts and Color"
c2d133a6e2 Qt: Explicitly connect some signals and slots
9de1089ad8 UI: switch back to wiki.wireshark.org, fix some URLs
a3becdd643 Qt: Explicitly connect our welcome page signals and slots
4876c160d6 Fix C6323: "Use of arithmetic operator on Boolean type(s)".
ccc085af59 MPLS: Add a dissector table for first nibble, heuristic list
37a449345b Lua: Default Dumper to pcapng
ba5777a8bc check_typed_item_calls.py: fix a test
5a94fd5022 capinfos: Fix printing packet comment headers with -TM
2584980a7e dumpcap: Always drop capabilities other than NET_RAW and NET_ADMIN
3440f67211 Fix some more spellings in header files
440b23d4bf Qt: Call init_profile_list() early
4c8aa06cc3 dumpcap: Enable capability debugging through the normal log system
9443744980 Initialize some variables
f90c517f45 Docs: Add option block titles to the falcodump man page
15f90c2dcd MATE: stop config on unknown Proto/Transport/field
d86e2fcaa7 CmakeFindZLIBNG: Add library name
9520691e0f macos-setup: Build zlib-ng
387e653017 Qt: Make sure we don't scan interfaces more than once
4e5cd1ae68 Qt: Add a null check to the Conversation dialog
365a821298 wmem: Remove G_GNUC_MALLOC from wmem_realloc and wmem_memdup.
8f664d3784 EVS: do not append "EVS Primary 2.8 kbps" twice
6099e2ed9e EVS: fix dissection for hf-only=1
4740168ef2 ZMTP: Add null checks
4da2be8875 merge: Don't abort a merge on a short read
12ccb05cf8 MATE: dbg_print - frame line break; print name:id of matching GOG
9ec125e617 MATE (WSUG): update Overview chapter; booleans are now words
25696b8612 Change some `wmem_packet_scope()` to `pinfo->pool`
2660a0f76a GitLab CI: Add Falco plugins to our macOS packages
8ebb1132f8 mailmap: alias two email addresses
413b33fe5c Build: 4.3.0rc1
b186f0b802 GitLab CI: Fix a copy+paste error
3f13b35a12 GitLab CI: More macOS build tweaks
e8c06e558b Update the release notes
40140ecc65 GSM MAP: Fallback Application Context version on unmatched transactions
0b58495ffb Falco Bridge: follow stream only for syscall
e879491e75 packet-c15ch: Enhancement of the C15 dissector
a71a628840 GitLab CI: Another temporary include fix
7ba18b976f GitLab CI: Temporary include fix
426d81bdd2 GitLab CI: We don't have Falco plugins on macOS yet
61305fd4b1 GitLab CI: Build Logray DMGs on macOS
ef46758d9c Qt: Check for a null recentList
a8db45c8a7 Address resolution using SNI found in captured handshake packets
5b43a3464e Windows: Update our Falco plugins
77a5c37879 Spellings in dissector header files
6023b8de6b dumpcap: Restore printing machine readable interface list to console
9dae98036a HTTP2: Don't add mutimedia/mixed as the stream id dissector.
35c8b1721f vmware-hb: Update Build Number
490d821054 macos-setup: Fix some shellcheck warnings
9e0b8f0baa capture_sync: Don't exit a command on a log msg
49ac59ee88 Fix some spelling errors
7101f2878b Qt: Adjust stretching for Edit Column
f55e50d7bf stanag4607: Fix mask bugs and enhance dissection
01d8231515 eth: Fix location of src not group address expert info
ece75c40ae Qt: UatFrame and UatDialog contiguous selection
d81b529d09 Qt: Move the IOGraph up/down buttons to the left of clear
71221471a9 Qt: Fix a crash in Endpoints/Conversations if recentList is NULL
5c92113ecb Qt: Contiguous selection in IOGraphs
e44e99b8e2 UAT: Add a function to remove multiple records
a41bfaf11e Prefer col_add_str() to col_add_fstr() with "%s"
5f8d76543d [Automatic update for 2024-06-09]
d150240236 Release-notes:Add zlib-ng information.
fd6a792c54 RPM: Add zlib-ng-dev as an optional package.
71f0456103 MATE (WSUG): update tcp.mate example; code examples formatting
c9456daf47 Falco Bridge: add falco to dissector name
8f9a9efc65 USB Audio: Fix typo: "vwalue" -> "wvalue".
addd201369 CMake+NSIS: Add the CloudTrail Falco plugin
c6bbfe0934 wsutil: Fix extcap configuration initialization on Windows
54f7a3f89a check_tfs.py: add a flag to count usage of common elements
9696c24c90 Versioninfo: Add missing space in zlibng version string
2e47e888a3 Add & use tfs_data_pdu_control_pdu
21767abdd4 Versioninfo: Fix zlibng version string.
22e5945b38 Make .c files in wiretap include the corresponding .h first
ce3ee9ba0f Brew add zlib-ng
fab6e005b7 dumpcap: Implement the -Q (really quiet) option
39d8467d88 RTPS: Add ability to decode RTPS messages protected with PSK
77888b168b rtmpt: fix clang warning about unused variable
f2f03f6fe2 A-bis/RSL: dissect known COMMAND VALUEs
f7e6a27d23 A-bis/RSL: fix parsing of hf_rsl_command, add hf_rsl_command_ext
1bc0ffa9de A-bis/RSL: fix parsing of Command Indicator IE
f35f053445 NSIS: Don't install the CloudTrail Falco plugin
2d05ed5ed9 wsutil: Fixup our debug console window title
e349937b18 Windows: Fix the Falco libs Arm64 package
f2b994eb88 GitLab CI+CMake+tools: Add Falco libs 0.17.1 and build Logray
6c911a833a zlib-ng2: add DLL to NSIS and WIX installers
19ea7ca8d3 capture: Support the -F option, request nanosecond time stamp for pcap
69c06cb9cc pw-eth-nocw: Strengthen the heuristic check
11157e6f74 MATE: new AVPL first added left at end of list
37c5883848 ieee80211: fix trigger name type displayed in Info column
cea97e5dfa Zigbee ZCL: Improve Thermostat Cluster support
2c84133c1e ipsec: Have a preference to allow bogus padding to pass NULL heuristic
aa0911e709 MATE: Switch times from floats to doubles
28677566a6 Bluetooth: Convert 32 and 128 bit SIG UUIDs to 16 bit
ddec068b0c lldp: Make dissector less greedy
25e1a8e48a macos-setup: Fixup the Falco libs pkgconfig generation
6e89d99e09 RTMPT: Attempt to fix OSS-Fuzz 69219
82124e2571 ieee80211-radiotap: Fix integer handling issues
9c5be0c9fe ieee80211-radio: Fix array indexing
f833bec344 Add some more spelling words
7b29a0ac90 Add more spelling words to wireshark_words.txt
96fc4db55f ieee80211-radio: Add EHT Data rate computation
2059cd7144 saprfc: fix Dead Store found by Clang Analyzer
389151f569 Qt: Allow the Learn links to word wrap
19405895f6 E212: Fix a duplicate entry in mnc value_string
6b33196381 Try adding spellchecker to pipeline
3db6a6624c win-setup: Fix packasger name of zlib-ng on arm
2bbc6d5ce2 BLF: Don't include zlib-ng.h twice.
885a9b2811 findZLIBNG: Fix hint. zlib-nf is in its own folder and include
70656cd8b3 ZLIB-NG: Add posibillity to use ZLIB-NG.
93ec0877ee zb-ncp: Add r23 packets to dissector
1eb6d49815 Add updated windows packages zlib-ng and cvpkg-export
1b7d3415b3 packet_range: Get the number of packets chosen
55e08da673 Qt: Update last applied filter if and only if applying
e1144a24f6 SMB2: Update NETWORK_INTERFACE_INFO "RSS Queue Count" to Reserved
bdc66cff21 MATE (WSUG): add images to List of Figures
75924801d9 Fix some spelling errors
3760147893 RK512: make a preference variable static
92d958ad45 Make FT_AX25 a string-like type
3ac65170d2 Qt: Fix leak in InterfaceTreeCacheModel
68d4f1be3c VRRP: Change default method for	VRRPv3 checksum	calculation
e179984f0a MATE (WSUG): consistent acronyms; ToC formatting
27385a62e3 miwi-p2p-star: fix clang warning about documentation
2b30075493 miwi-p2p-star: fix commit check error
ba5613e681 miwi-p2pstar: fix build
0072947520 Add MiWi P2P star dissectors
c463ac88cb Qt: Use the term "event" in more places
714d4ca0c9 btatt: Fix direction of Mesh Proxy Data In
b883762491 tap-iostat: Reduce memory usage
25f125c5b9 Qt: Make it more obvious and user-friendly to restore snaplen to default
f622eac21f Qt: Make it possible to clear Comments from all interfaces
dddd244dc0 Qt: Put toolTips on the label stack as well
154cbfc3f0 [Automatic update for 2024-06-02]
7091d67d46 Logray: Hide some menu items
db39247719 check_typed_item_calls.py: blurb and repeated filters
c29c1bb27c Qt: Fix leak on CaptureFileDialog preview of file with errors
cc8264d68f gpg: Signature made Fri May 31 18:25:37 2024 PDT
gpg:                using EDDSA key 25A6BB88DD9B764C6B5541C2738409F520DF9190
gpg:                issuer "sam@cmpct.info"
gpg: Can't check signature: No public key
test: skip test_sharkd_req_follow_http2 test if no http2 support
aa68da794f Protobuf: avoid a couple of redundant assignments
e8c0851bf6 sharkd: Add "comments" field to "frames" method
3952b0a11f epan: Convert the follow code to C99 types
938f0722ce epan: Convert the address types code to C99 types
c65b263354 YMSG: Replace content field values with field names where possible
d747de352a YMSG: Update Dissector with reversed Commands, Statuses and Content Fields
b3263e5b3c Change the Telephony stat groups names to reflect their current position
9d1113f293 ETW: Expand flags and property fields
931c71a406 Zabbix: Add zabbix.agent.redirection filter
138d043886 Qt: Endpoints and Conversations last opened tabs
2cbfa825f2 Falco bridge+falcodump: Update to Falco libs 0.17.1
16d4c4ad66 ORAN FH CUS: update some comments quoting section numbers
d9c5e3585f Fix some spelling errors
adb9543df7 NAS 5GS: fix dissection of extended rejected NSSAI IE
2bd458e5aa SMB: Eliminate "[transact continuation]
b71ddc7afc matter: Bluetooth Transport Protocol dissector
fc77875129 Qt: Raise autostop filesize limit to 2 TB, enforce in the GUI
8b9c3c620e Qt: Fix CaptureOptionsDialog tooltip for stop files spinbox
ff2d72decf SAPRFC: Call val_to_str_const() as no format in default string
718c035b04 lua: Add methods for other compression and decoding algorithms
17a14beb71 Fix remaining 'redundant' item blurbs
3fb21089d6 btle: Extract out function obtaining btle_context
61e906f67d btle: Dissect CRC in one place only
01c4326045 btle: Remove btle_context_t::connection_info
4690e7328d Tools: Minor arch-setup and alpine-setup cleanups
fa15d4042b Remove more redundant item blurbs
b91773117c Update mailmap
2b8f96969c Fix typos in packet-tls-utils
3f28340979 epan: Rename tvb_[child_]uncompress to tvb_[child_]uncompress_zlib
8e5f8de883 SPRT: Fixed SPRT Parser Crash
6cb8ac5676 Protobuf:  don't write beyond end of array
448ae64bf3 USB-Audio: Add dissector for Extension Units
9962a87a8a MySQL: Handle DATETIME if the column definition is unsigned
11a834966a Update packet-lldp.c
9c2e5f9166 lldp: prefer proto_tree_add_item for LLDP PNIO Port Status
9510d0303a lldp: fix duplicate display filter
08d864bd0e LLDP: use tfs(on_off) for Profinet Class3 Fragmentation
05f6364cbd SPRT: Fix crash
72baba76a6 Add RK512 dissector
ab47b25fa3 cmake: lemon: wipe CMAKE_SYSROOT if needed.
ab2b4ff756 SAPRFC: Fix compilation
3ab27e2356 SAPRFC: Added SAP RFC protocol as main dissector
86bfe36281 LLDP: add more information for 802.3bt properties
e2f44831aa LLDP: format new 802.3bt power values as Watts
cbe856fbc0 LLDP: update power-over-MDI decoding to 802.3-2022
719fbc53bd adler: Use zlibs version if available to benefit from any optimisations
53ece3998e lua: Update the documentation for tvbrange:uncompress
f20dfedbdf Falco bridge: Translation fixes
f21418adce Qt: Keep status bar correct in multiple file mode
3e8eaf03ce adwin-config: Restrict UDP dissector to port 7000
20c464f32a Delete yet more redundant item blurbs
bd660b39d0 Falco bridge: Add a string length check
14dbca3f71 Ignore Conversation Filter, Conversations, & Endpoints stat groups
d62171c1f5 epan: constify field_info as a parameter in a few functions
0120000427 doc: Move UAT tables back up a level in WSUG
d12b9a7662 X11: Finish const-ifying.
deffaab5aa Delete more redundant item blurbs
a6a74afa8c Iperf2: Isochronous and FQ Headers should be present if CCA flag is set
eaeb83584e Qt: Put MENU_STAT_GENERIC / REGISTER_STAT_GROUP_GENERIC stats somewhere
91032f6fbc capture: Always pass the interface description to the capture child
fe16c00a67 SCSI: Const-ify scsi_cdb_table_t instances.
c775c96f24 IPMI: Const-ify ipmi_cmd_t instances.
100fd9f2ec SMB: Const-ify SMB{,2} function dissector tables.
05b5359301 DHCP: Const-ify some option-parsing structures.
3696e92990 Lua: update globals and test
335b153951 Lua: Update the docs for 5.3 and later
91cdcb2737 lua: Register new ProtoFields and ProtoExperts in Evaluate window
ea927f9cb0 LUA:Drop support for LUA 5.1
66aab8bfc5 Make crc32 use zlib function when available
61dfa20808 wslua: Update register_menu doc for consistency
631c1af6da wslua: Remove bogus register_menu documentation
c535090848 Qt: Add MENU_STAT_TELEPHONY_SCTP groups to the GUI
fbaad1657c wslua: Set the log domain for the files that use logging
d40040eac7 Qt: Only remove and delete the FunnelTextDialog's own buttons
a3d57e8897 Qt: Always return paths with native directory separators
a3c63ce61f Docsis TLV: remove blurbs that are just subsets of labels
8dea03b0df Zabbix: Add support for agent redirection message
f12e11acca lua: Update manual links from 5.1 to 5.4
10329ac196 MySQL: Assume a minimal set of capability flags
5443e9192e Qt: Fix a leak of the MaxMindDB paths in the About dialog
5a8a7077f1 lua: Fix leaks when reloading plugins
8cc925bc2e [Automatic update for 2024-05-26]
460c22a146 epan: Fix another leak in dfilter translator
9001df8d64 Fix some spelling errors
fa1f32c2e0 epan: Fix leak in display filter translator
6e891ac5f6 doc: Mention the MaxMind default directories
293262bc37 Qt: activateWindow when asking about unsaved packets
8850120bd6 enterprises: const-ify the table and use array_length.
a4db80d018 enterprises: Manual update in preparation for "const"ing.
ea2e15be6c RTMPT: Add Enhanced RTMP Multitrack Support
59561df10a Qt: Drag and drop for I/O Graphs and other UAT-based views
4a916ce570 docs: Update Display Filter Macros, UATs in WSUG and elsewhere
2e7fbd021a ftypes: Const-ify ftype_t references and instances.
5d4bd0e9b0 MMS: Initialize parameter_tvb, check if it's NULL
aa760445c3 sharkd: Fix bad "stream"/"sub_stream" reponse fields in "frame" method
c659f21bc3 btatt: Support Read Multi Variable Read / Response
6b9cca6e59 Fix build after 10d70661343a2548b5867bfd5a1964def327e938
10d7066134 Use array_length instead of "sizeof arr / sizeof (TYPE)" (Part 2).
c7635588d9 uat: Minor updates
863b5f6d98 CMake+tools: Add more scripts to the shellcheck target
26c57d271d dfilter: fix memory leaks in translation registry
c0100f5705 wsutil/CMakeLists: add missing array.h
13ca1a4ca4 Delete more redundant blurbs
591550c315 Use array_length instead of "sizeof arr / sizeof (TYPE)".
1358f8cb35 Qt: Add context menu to launch I/O Graph
bf3172e86f qt: Work around gcc 12.1 optimization bug (more e1a6913a).
466f77c706 LTE RRC: Use array_length and fix a minor bug.
e60926f848 Falco bridge: Fix compilation
a4904bc1dd Fix GATT service discovery when both sides have services
7b87fb200d tools/check_typed_item_calls.py: check blurb vs label
e09cfc09f2 Pass conversation types to conversation functions
fc1dcd86e7 Replace "ElementsOf" macro with common "array_length".
779525d436 Replace all "sizeof x / sizeof x[0]" with array_length.
e3adfd5c36 Consolidate array_length and g_ptr_array_len into a new header.
e49d6dd7cb Shellcheck updates
0c3bf2d77e RLC LTE: fix dissection of EUTRA DL CCCH messages
b457e92c82 caneth: Initialize the other fields of the can_info
bf1f858061 TCP: Set base sequence, relative sequence numbers for IP fragments
5fe00c99b2 Debian: Update our po files
8f1bf84efb Debian: Logray packaging updates
7c4bb6eb3c epan+UI: Add display filter translators
5819e47e84 Zigbee GP: Don't try to decrypt truncated TVBs
15ced22366 Revert "Lua: Fix handling of Wireshark exceptions inside dissectors"
c37480e0dc Lua: Fix handling of Wireshark exceptions inside dissectors
e73d316bcf Zabbix: Change GLib types to C99
59e6eb3d23 Fix some spelling errors
adfa002030 TCP Stream: Make sure the SACK rel/abs sequence number is correct
53d8c1b659 MySQL: Handle displaying parameters and result sets in charset
8f6822071e Qt: Switch rwin_graph axes depending on TCP Stream graph selected
d2f17dcb84 IEC104: Fix some range_string values with -ve range
a24f2fa307 tls: Support ECDHE_PSK cipher suites from RFC 8442
8e2a8b9eba kerberos: add aD-PFS used by apple
df1d24a247 kerberos: add basic dissection for pA-SRP (used by apple)
8a2a42241f Const-ify dcerpc_sub_dissector structures.
f678ff67bd DCERPC: const-ify references to dcerpc_sub_dissector.
ba36d7474e [Automatic update for 2024-05-19]
46387e29d8 tls: Refactor PSK key exchange
b3cd29910a Qt: Disconnect UatModel when closing file in IOGraphDialog
f38c37c7c3 ui: Add include for io graph item
3c57680a48 Qt: Add a getter for fileClosed in WiresharkDialog
9fb91d58a6 CMAKE: Fix ENABLE_ASAN for MSVC
e831244038 smb2: allow decryption using keys learned by kerberos
a5f9dcec48 smb2: support 32bit session keys they are used with kerberos
80404fa096 smb2: mark invalid frame_{req,res} with UINT32_MAX, frame_req=0 can be a valid one
4994c7d3ce kerberos: copy pac_names from EncTicketPart_key to EncAPRepPart_subkey
a5070214be kerberos: let dissect_krb5_PAC_DEVICE_INFO/netlogon_dissect_PAC_DEVICE_INFO provide device_sid
1ba660c0b3 kerberos: remember account details from dissect_krb5_PAC_UPN_DNS_INFO on EncTicketPart_key
f28f515e44 kerberos: simplify struct dcerpc_info faking und use ptype = UINT8_MAX
e4e4074c36 dcerpc-netlogon: let netlogon_dissect_PAC_DEVICE_INFO() generate a device_sid
3effa6c750 dcerpc-nt: add dissect_ndr_nt_PSID_cb()
cc099f7c96 dcerpc-nt: let dissect_ndr_nt_PSID use CB_STR_ITEM_LEVELS(2)
f5a48b11c3 dcerpc: move ndr_pointer stuff to dcerpc_info and avoid globals
7942590f18 dcerpc: pass di to find_pointer_index()
0045546576 dcerpc: fix warnings when converting guint * to char *
a9c5a7639a UDP: Correct level of hierarchy for the payload subtree
e0a328e372 Implement IEC60870-5-7 Secure Authentication
523776ee68 Tools: Update debian-setup
6e8a12a738 tls/dtls: Add support for ECDHE_PSK
a3117aed72 tools: Update Lua to 5.4 for Alpine
7bf71c0b3a tools: Update alpine-setup
59b376dce0 CMake: Look for the lua library with versioned suffixes
1ed58a814a tls/dtls: Add support for DHE_PSK
8d97dd8959 dtls13: support early data and various fixes
004782d734 GitLab CI: Fix our commit count
933f1dbcce Lua: Use pushnumber or pushinteger on structs depending if it fits
acd72486e8 Lua: Check size of lua_Integer
af5960edf7 Qt: Disable a I/O Graph Dialog's UAT when the capture file is closed
9094db82e1 Zabbix: Rewrite passive agent detection
845948ecae ntlmssp: generate a session key for anonymous authentication
ada4ff5a72 LINK16: update Message and NPG strings
3261d39edc UA3G: Flag a couple of value_strings that have wrong values
b94fd299ed macos-setup: Upgrade Ninja to 1.12.1
260d28ed9f Gitlab CI: Use the Medium GitLab SaaS Linux Runner for Clang-Tidy
2e0d1b8da0 btle: Fix usage of periodic_adv_info_tree to avoid memory corruption
29012e8497 CMake: Have CheckAPI targets depend on the source files
c0bb8a18fe Fix a copy/paste error in tools/check_typed_item_calls.py
1219a22255 dtls13: add support for DTLSv1.3 decryption
8beafca0e0 dtls: v1.2: refactor out appdata dissection
7af116b4d2 ieee80211: Add "HE PHY" BSS membership selector
ea4b5de09a static-ify a bunch of const locals.
7698e03ba1 Qt: Fix RTP Player crash
98cf88ca7f Zabbix: Detect and show pre-7.0 passive agent error messages
9d7b2b0ad2 Fix some spelling errors
6ccb0e0677 CQL: Use val_to_str_const
169392ce60 Packaging: Get MinGW cross-compiling working with Qt 6.7
70a3c9f829 wslua: Fix segfault when registering a field / ei twice
02afc549f8 epan: Convert the column API to C99 types
cdc1222434 smb2: fix ahndling of pre-3.10 Negotiate Protocol.
eb9b12e60a SMB: Display bytes before TDC is reached
ff99ab6bc3 SMB: Display bytes until TDC in TRANS2
c2769f24fc SMB: display bytes before total data count
600fe274c5 Qt: Add context menu to I/O Graph UAT header to resize to contents
49fda244c8 [Automatic update for 2024-05-12]
6c077b3c06 release-notes: Mention graph updates
05ef1f4451 Qt: Fix a crash when retapping I/O Graphs
2b2b032af2 lua: Deregister heuristic lists added via heuristic_new on reload
c0b47f7a7b Bluetooth: Mark AUX_SYNC_IND as AUX_SYNC_IND instead of AUX_COMMON
411babf083 Bluetooth: Improve packet dissection when PDU type is unknown
ab18953439 tls-utils: fix JA4 fingerprints for QUIC and DTLS
e5bac5721a spellings in ipv6 comments
3d19dffc02 docs: update README files for some static initial values
858bd5c2a0 Falco bridge: Make EOFs less verbose
8c21bdd76e NSIS: Fix logray.nsi
4049ea7e6c Lua: Fix DissectorTable on certain Lua versions (e.g., 32 bit)
e2d1030255 dumpcap: Print a pcapng block type in hex
c1c3cd75f7 Falco bridge: Fix our event cache
c67f85430c macos-setup: Update to GnuTLS 3.8.4
9ca9618194 Zabbix: Add Zabbix 7.0 features
1428fe28e6 Lua: Revert a mistaken change to lua_pushinteger
7882e2dd2f Qt: Add visual notification to UAT Model entries that won't be saved
706c40efe4 Z21: dissect LAN_GET_HWINFO
25a49ed0da Z21: dissect LAN_GET_BROADCASTFLAGS and LAN_SET_BROADCASTFLAGS
2bdaac6de8 Z21: dissect LAN_GET_LOCOMODE, LAN_SET_LOCOMODE and LAN_SYSTEMSTATE_GETDATA
d11798e575 macos-setup: Add opencore-amr 0.1.6
6622e10475 matter: add comments with references to spec sections
eb4d4ba5bb matter: use C99 integer types instead of glib types
ab31326397 wslua: Use Lua_Integer where we can for the wslua_ functions
969b716740 Windows: Add opencore-amr 0.1.6
00e069e6cd Add a ENC_TIME_ZBEE_ZCL time encoding and use it.
48680be67a tzsp: register dissector table sooner
96095979f8 Add and use tfs_activate_do_not_activate
eccf1104d6 GitLab CI: Remove LUA_FIND_VERSIONS ANY
4438847557 Qt: Apply pending I/O Graph UAT changes when changing profiles
effad83df8 ui: Return failure on a zero or smaller I/O interval
1b443364a6 Qt: Keep the I/O Graph legend in order
b119b9d601 Windows: Upgrade GnuTLS to 3.8.4
df25f11ef5 Qt: Fix I/O Graphs crash with multiple dialogs
4acd5d3dbc 802.1CB: add a trailer field.
c8a21fd579 Fix some spelling errors
8c92ca7aff rpc: fix handling of ONC RPC with unknown protocol.
a53c458c7d samr: fix arguments to lsarpc_dissect_struct_lsa_BinaryString().
b98d0939bc falcodump/falco_bridge: Add back ZLIB_INCLUDE_DIR on Windows
fe51f8424f Windows: Upgrade nghttp2 to 1.61.0
e23cbfee8b spengo: add basic dissection of IAKERB pdus
86895994d6 Rename ENC_TIME_MP4_SECS to ENC_TIME_MP4_FILE_SECS.
cbc005f9fc tzsp: use a dissector table for the encapsulated protocols
7178f56825 Rename ENC_TIME_CLASSIC_MAC_OS_SECS to ENC_TIME_MP4_SECS.
0a94c0b2ca Zigbee ZCL: OTA Upgrade Time can be UTC not offset time
bb479f4ea6 Convert a process_specified_records callback to a bool
b5355046a2 GTPv2: Add Information element on IE Types with multiple instances
a0e399e5c3 gitlab-ci: Remove docker tag from jobs
73b0c12e38 epan: Convert a save_protos_list callback to a bool
24a0417eb0 Qt: Restore TCP Stream switching between absolute and relative seq
6eb74c5b36 Qt: Connect the TCP Stream Dialog crosshairs action
c558094638 MySQL: Update collation data
33c5c85f10 Revert "MySQL: Multibyte Collation Support"
14cb797040 Qt: Use customContextMenuRequest signal with QCustomPlot
4464c7f245 TCP Stream: Make better decision about which side is the server
5ca4d08b9a dot11decrypt: Have Dot11DecryptFtDerivePtk return failure on failure
2ce3882d3b epan: Convert a follow callback to bool
74aa73afe7 epan: Filter address columns for types without a filter function
fc8e0d583d kafka: Dissect assuming a supported API version
df1a129b19 [Automatic update for 2024-05-05]
80cb54344c Kafka: Sanity check array dissection
3bf649206a Qt: Flow Graph for unique addresses
c0deea09ee docs: update WSUG and man pages for network resolution
f306c1653a epan: Switch our capture dissector callbacks to bools
723bb5d37a epan: Switch our decode_as callbacks to bools
fb438a29b7 Peekremote (v2): Add Data rate computation
2d722e7ad7 epan: Switch a conversation filter callback to bool
30bb8f5950 docs: Combine the FILES section of man pages using an include
ebcc6be29f Fix some spelling errors
122f0aff99 Qt: Export the entire flow graph as image (or as much as we can)
9ab952b964 ZigBee TLV: fix infinite loop in deeply nested packets
593ea4b16f dot11decrypt: Prevent maybe-uninitialized warnings with LTO
fe4ef60a53 MAC-NR: decode MSGB PDUs
23d36f4b38 Zigbee ZCL: Complete IAS ACE Cluster dissector
b4bcf69166 wimax: Change include_cor2_changes to a bool where it's declared
0842745d10 recent: Lazily fix the recent column width and alignment list
317b93dbb8 CMake: Fix our Falco plugin path
704fe87abd Qt: Fix an typo of row vs count in columnListModel
045e00939c Qt: Fix Coverity CID 1596731
9ca6eff53d PIDL: Don't initialise static hf and ett variables.
a1ece0131d Add error handling for gcry_md_open.
a127ce71b3 Zigbee GP: Fix crash with check if data is null
f3a42c5cd5 DTLS: Don't check legacy record version in dissect_dtls
ae5d917309 Qt: Check Flow Graph "Limit to Display Filter" in constructor
e9c92d0b64 tls: Add expert info for unsupported, illegal key exchanges
e1cb009f6e logray: github macos action with brew install
d55dab93e7 wimax: move shared preferences to a header file.
d5c90cf182 sequence analysis: Fix inconsistent and illogical use of "Any"
742648ccdc TLS: Add missing break statement
8e1ce872ad DTLS: Support heuristics for DTLS 1.3 unified header
8747d60e3e dcerpc: PFC_HDR_SIGNING is negotiated only once per transport connection
fc6dfad9df CQL: Add some more information on various CQL packets in the COL_INFO
775c3be838 MySQL: COM_CHANGE_USER may not have connattrs
c832290745 MySQL: Multibyte Collation Support
14b592ca78 Qt: Cleanup Flow Graph a bit
1da57b5ad5 LAPD: Set source address
2884e9a5b8 irdma: IBM i TRCCNN RDMA dissector
78c6af54ab dcerpc-netlogon: add ServerAuthenticateKerberos()
3156103b8f Diameter: Remove Whitespace error
7a37fa1837 Diameter: Decode MME-Number-for-MT-SMS(1645) to ISDN number
c9d1bb229c epan: Remove a couple of unused struct elements from tvbparse_wanted_t
2e89527513 Qt: enable tooltips in Copy menus
17c238e25a gssapi: also register "gss-tsig" as "dns.tsig.mac"
e1a965d2f2 Github/workflows: update actions using node
a95dec6ef9 Qt: Fix ProgressFrame location in non-VoIP Flow Graph
44aec53735 Github/workflow: update upload-artifact action to v4
b088414e38 nettrace_3gpp_32_423: expand name length
8a5717c08a DNS: Add DNS Error Reporting (RFC9567)
b2cfbb7279 Copy as Printable Text: specify ASCII or UTF-8
1f35d50889 epan: Switch the prefs API to C99 types
6ab1417123 epan: constify the header_field_info in the field_info
fa8b28f013 CMake: Get rid of a check for WIRESHARK_BUILD_WITH_QT5
956747b76a Appstream: Fix appstream errors for Flatpak
a136377981 DTLS: Scan server hello correctly
826ddddfe9 falcodump/falco_bridge: remove ZLIB_INCLUDE_DIR
f844a1b722 Qt: Move I/O Graph reset button to button box
50ea04e4dd epan: constify the packet_info pointer in find_conversation functions
18422c168c Conversations: code maintenance for the deinterlacing method
c8044fffaf macsec: Fix Coverity CID 1596640
84fe646b78 Qt: Use afterLayout signal for Flow Graph y axis labels
674e79c29e GitLab CI: Fix the Documentation job artifacts
7ef8501c34 ptp: multiple tlv_pathsequence in announce message
4f8f52dea0 GitLab CI: Fix the Documentation job
4320031c97 ipars: Fix truncation warning
9ea2377c80 [Automatic update for 2024-04-28]
f566d380e2 sharkd: Support microsecond intervals in "iograph" method
15392c324d wslua: Fix integer validation signedness
0810f94f88 Fix some warnings from check_typed_item_calls.py
baafc805bb Fix some spelling errors
f1dd3bf4f2 5co-rap: Use ITEM_LABEL_LENGTH for snprintf in CF_FUNCs
575bce404c Qt: Fix Flow Graph y axis column widths
e703e51887 "Linux IPMB-over-I2C" is really just "Linux I2C".
2056120ddc 5co-legacy: Use ITEM_LABEL_LENGTH for snprintf in CF_FUNCs
03acee1d0f Qt: Add a preference for automatic profile switching
03579023ca Qt: queue Flow Graph replots that result from mouse moves
cc4c931b4a Qt: Fix flow graph scroll direction via keyboard
22a6672fee Qt: Explicitly connect our profile dialog signals and slots
b778bebe50 PROFINET plugin: dissect PROFIenergy measurements
259bbbff2a Qt: Fix Window scaling graph axis labels
ea5ed37426 TLS: SM3 and SM2 are not in TLS (Signature|Hash)Algorithm registries
bb38a9fa13 TLS: make reassembly function table static
85e8f07b7c SDP: Don't replace generated Call-ID list
8b8ea851e3 BLF: Add support for ETHERNET_RX_ERROR and ETHERNET_ERROR_EX objects
5bcff02df9 tshark: Set dumpcap update interval to 0 with -l
8b393bc304 Add support for MACsec traffic decryption
a2eaaa4e88 E212: update MNC information
f186f44a71 github/workflow: fix macos
4205eb2dbd Fix some (trivial) warnings in pidl dissectors
6966cdb73e SSH: Handle "curve25519-sha256@libssh.org" KEX name
60a6bbd6f3 DCERPC spellings
289a159042 sharkd: Improve sub-stream support in "frame" and "follow" methods
19521b5419 CMake: Find and link with QtDBus on Qt6
24d02021e8 Qt: Move the I/O Graph tracer to frame selected in main window
7969fd6bec GitLab CI: Fix a job status check
9b0150eaba Peekremote V0 enhancements to indicate band
e03a58958e GitLab CI: after_script updates
e095dd464a GTPv2: refresh IEs name according to latest release
bdc5f76203 dcerpc-pn-io(profinet): Fix warning about display filter
289c6a1257 Falco bridge: Fill in our initial internal events
bb9e79510c BLF: Fix optional Hardware Channel in ETHERNET_FRAME_EX
a16241b23f TLS: Enable handshake reassembly across connection migration
ae39eeb370 DCERPC dissectors: make some symbols static
a9f783600f EPLv2: modified limitation of valid SDO segment size
6f8ca8498b fix typo after gcf19f6f27
591daaf5a3 QUIC: Restore cipher after a key phase change if decryption fails
e8b256c9a0 fcfzs: fix calculation of the number of fill bytes.
e267bfdd88 lldpd: move hf_lldp_tlv_enable_system_cap* to capabilities_enabled_tree
24f5c8d424 zmtp: fix Dead Store found by Clang Analyzer
ad231c7a9c nfapi: fix Dead Store found by Clang Analyzer
cf19f6f275 dtls: fix Dead Store found by Clang Analyzer
4107962715 cql: fix Dead Store found by Clang Analyzer
7db83791a7 tipc: use the message length to compute the filler size.
d44e951488 tipc: use proto_tree_add_item_ret_length().
8c06c62a89 Update the Keysight Ixia Netflow fields with new SIP fields
39cc00a972 tipc: use HTTPS, add a direct URL to the protocol spec.
1a40e22a00 icmpv6: Do not add time string when lifetime is infinity
ab3511c597 NAS 5GS: fix dissection of NAS message container IE
c28e620561 LIX2: update Timestamp to show UTC instead of Local
e40ec77006 NR-RRC: Remove version from SIB dissector table name.
aea66ddc33 tipc: fix byte count.
161b9809b1 CQL: dissect Prepared response
cda7c030e1 tipc: fix padding after bearer instance string.
291822a25c CQL: take into account NULL and unset values
93a577ca1e CQL: fix two implementation bugs
f0462182da PER: When showing internal bitfields handle integer values.
dfec2284f3 NR-RRC: Add callable dissectors for SIB messages
ba75d1bad2 CQL: add parsing for error codes
196780d4c2 Add Tracing UUID to result dissection
0d5be00e26 [Automatic update for 2024-04-21]
32ce95de22 fcfzs: mention the FC specification that describes this.
d277ecdb3f pcapio: fix a check for idb_filter size.
9e16b57164 TCP: Fix extra "TCP port numbers reused" with missing SYN
9dffc3834e GSM RP: fix dissection of SMS in 5G Nf interface
b0aab2f796 MMS: Add more IEC 61850 dissection.
be3550b3b1 editcap, libwiretap: Don't use array of initial DSBs after freeing
0261fd7da6 http: Fix buffer overflow, use after free in HTTP Range
d7c082bc0d Revert "Refactor plugin registration and add ABI/license check"
80156b405c Revert "plugins: Fill in short description field"
539f85782c Revert "Update README.plugins and release notes"
a76fa03e42 Revert "plugins: Remove unused "min_api_level" field"
4e12581711 Revert "Remove plugin license check"
7a8e0c6700 Revert "Qt: Add plugin description/homepage fields to About dialog"
1043b044ad Revert "plugins: Remove unused argument to scan_plugins_dir()"
2925a22554 Revert "Qt: Replace plugin column "Path" with "Scope" in About dialog"
4d93ab1f3f Revert "Qt: Add Install Plugin to Tools menu"
a94db07e7b Revert "plugins: Rename "dfilter" to "dfunction""
a818fd93ce Revert "Plugins: Fix the issue of duplicate scanning of the same directory"
8f3c30d274 Revert "plugins: Give higher priority to the personal folder"
39a2befd09 Revert "plugins: Remove an assertion"
91399562d6 Revert "plugins: Improve build with !HAVE_PLUGINS"
87d06cdb5b Revert "wslua: Add a scope field to lua plugin description"
7f60f901a3 Revert "wslua: Add support for SPDX/URL/Description info"
a6fafc9f7d Revert "Qt: Add back "Path" column to Plugins tab"
b06c7b8f12 Revert "Qt: Fix plugins double-click/show in folder"
9d70cce3f8 Revert "Qt: Remove an #ifdef for Windows"
1435054a92 Revert "plugins: Lower a log level"
2bc0f26e54 Revert "Qt: Remove another plugin #ifdef"
bf45ef8310 Revert "epan: Remove HAVE_PLUGINS #ifdef"
6a10ec2292 Revert "Qt: Remove HAVE_PLUGINS #ifdef"
bef72fcf5f Revert "epan: Remove register_all_tap_listeners plugin callback"
11fd52fdea Revert "epan: Add plugin get_descriptions callback"
28808100aa Revert "CMake: Refactor plugin add_library() macros"
b64c5077a2 Revert "Remove version component from plugin path"
6d1b32b688 Revert "plugins: Add a codecs API level"
3d42d1dce7 Revert "Rename some codec plugin folders to lowercase"
e6bfc5d34b Revert "wslua: Add another exception for binary plugin subfolders"
fc6871fe55 Revert "CMake: Fix WiX packaging"
e7c8cd4197 Revert "Try to fix macOS packaging"
7a228c11fb Revert "Try to fix Debian package"
94e1851f3e Revert "Add plugin extension to wireshark.pc"
e840517752 Revert "osx-app.sh: Sign plugins with .so extensions"
e4d44aa340 DCERPC-MAPI: call val_to_str_const()
3964ee302d IP: Fixed clang errors
1771f09ff8 BER: Only append text to empty/missing strings. Use MISSING as text.
8920fb270f BER: Add info about empty strings.
05b26c4c8e nmea0183: Add DPT sentence dissector
1ffdd2360d ISO15765: Update autosar link
9d67d6b246 ISO15765: Fix reassembling when different flows overlap
dd6e07b9b7 Move some WS_LOG_DOMAIN definitions
0e2d9b7056 Windows: Use the common Qt Export and File dialogs
9778cc8220 sharkd: Fix SIP follow filter returned in "frame" command
0b094f7df7 ISO15765: Fix out of order reassembly
74820a1dc6 CIGI: Don't have multiple identical tfs entries
35bb4273d9 MMS: Make sure we initialize a struct
b4a3e0d6c5 BLF: Fix random read in the middle of a linear read
90d7ecf697 Windows: Add include depended upon packets checkbox
53db86fb6d HTTP: Improved robustness and memory freed
d4da04f8ee ieee80211: Fix typo in display filters
b8b73109c4 ieee80211: Add new fields in RSN extension element
cff321563b pidl: add more issues to the README.
9f5475293a pidl: add more issues to the README.
283af80b85 Peekremote Version 3 that encapsulates radiotap
db9ed8844c dumpcap: Fix our pcapng block length check
317177d1d0 Qt: Fix removing ignored packets from selected range
ef65ed493c x11: update with the latest main-branch xcbproto and mesa.
5617e2d082 gtp: Use slash as protocol separator
2796b7c479 MMS: Add a NULL check
1c0f9aeeec rohc: Use slash as protocol separator
5f3fbb318c Fix some spelling errors
4362cf100a PDCP-NR: limit security updates to SMC
e5b34fed00 pfcp: fix code check warnings
0ea560dacc SIP: Do request/response matching on other transport types
d9874489f5 debian: Check if dfilter.h is usable, too, in headers-check.c.
30cd04270c Debian: Build-depend on quilt
47a208d21e pcapng: option sizers don't calculate padding
202760f434 Correctly format 'Hash Algorithm:' single vs multiple
b36749f56a pcapng: fix writing hash options
4d3c0147f4 PIM: Added support for two new message Types (rfc9465)
5c5b18de0e MMS: Fix #19767 + more enhancements
5e60fc7964 NR RRC: fix SRB4 configuration in MAC NR
b7598b2010 pfcp: Update to 3GPP TS 29.244 V18.5.0
09b83c0ece pcapng: Fix logging
cbae3bfc66 VXLAN: add Linux default port
e1a6557d34 c-ares: Suppress deprecation warnings
a2c5e159fd HTTP2: Override existing header with fake header
f14d5538b8 addr_resolv: Use ares_init_options
9d2ecd0c07 PFCP: Add request/reply matching max time preference
3d33427dd9 MMS: Fix fuss test #19756 and add itemid str.
d71e8f0291 GTP: add more context fields for PDCP-LTE frames
4b4e6a39bd MAC-NR: LCIDs 3+4 may be SRB or DRB
d6ecaf1d1d PDCP-NR: be more careful about length of IP payload
6dc78e62fd gtpv2: Dissect PSCell ID IE
97b871fe02 Switch some GLib-isms in asn2wrs.py to their C99 equivalents
03e0762a4f tools: Miscellaneous C99 updates
f4a192a2af epan: Switch proto_tree_add_item_ret_boolean to bools
52573ed9af [Automatic update for 2024-04-14]
50d0cbc1c5 epan: Switch more gboolean *s to bool *s
14e24bec38 PFCP, GTP: Remove unused structures
3fdd76f9c4 Qt: Fix overflow-before-widen
60a2f917ee TCP: Replace hard-coded number by appropriate constant
2aca89319d PDCP-NR: don't link back to (not set) security frame 0
d14f36e90a nmea0183: Add GGA sentence dissector
fee2eef9c7 ieee80211: Mark TPC Report link margin as reserved in certain frames
8c473a4970 MMS: Add IEC-61850 PDU names
c5a8168f8a epan: Switch ptvcursor_add_ret_boolean to bool
61cdb88799 epan: Switch process_reassembled_data to bools
986bd67a0a GNSS: add dissector for Galileo E1-B I/NAV navigation messages
b46c1e9fc7 IO Graph: Add intervals down to 1 microsecond
0bf8a291ed Resources: Add column preferences to the CloudTrail profile
6126f56551 ieee1905: Add dissection of supported VHT MCS sets
179bf05a4d ieee1905: Fix bit ordering of HE-MCS set
ed7f4df031 Dissectors: 'return(x)' -> 'return x;'
06a9f5feab Qt: Remove unused include from IO Graph
cc25d57bc4 Qt: Use nstime_t in the rest of IO Graph
bfcc3d7a35 Qt: Start to use nstime_t in IO Graph
2aed3428ec Falco bridge: Add error message for missing display attribute
2224b243c2 Qt: Recalculate I/O Graph if zero plotting changed
a0f675728b Update Ixia/Keysight netflow fields. new fields for https headers, for Appstack v4.12
2ef222903e Kafka: Update messages to their latest versions
e84adf41da Qt: Hide export dissections dialog when accepting
ea70c16e05 Qt: Fix crash when closing TimeShiftDialog before redissection done
a2a911ea1a fix: Hmac Missing
9c352cf9ab BLF: Properly skip 0-length containers
14902cfe82 BLF: Fix debug message
50018d8994 GTPv2: fix bearer_qos_oct1_flags and tra_info_pgw_flags
90c1736b10 Kafka: Fix the snappy decompression (again).
1924285965 Kafka: Fix two mis-dissections in old message format.
0ef10e400c tcp: Send the header to the tap even with exceptions in options
2ab349d0f6 Snappy: Use the tvbuff_snappy routines in Couchbase and Kafka.
9363a27350 Snappy: Minor cleanups.
9df309fce8 bacapp: fix typo
df4023b5ed epan: Switch our column format match list from gboolean to bool
9448de75ad Docs: Add a note about recursion to README.developer
1cc371fa57 Clear queued rescans when opening a file
ae1d09e9fa PDCP-NR: fix issues around userplane ciphering and integrity
15c086c5e8 RTCP: suppress or fix some spellings
e556035728 RTCP: Use dissector table for RTCP-RTPFB payload types
21d170a957 "const"-ify extcap/* and wsutil/*.
6b95c52a49 Conversations: Introduce a deinterlacing method
107666afa1 Fix type of queued_rescan_type
304cb10701 file: Don't tap the same frames twice in a live capture
8ca35924ed Add support for snappy content encoding to http packet dissector
4637eeea9c tap: Remove redundant console warning text
365b4dbec8 Qt: Don't try to remove an already removed IO Graph tap
fe2b3001b1 LUA: Update documentation to the fact we now support LUA 5.3 and newer.
5abfe91cc1 Qt: Work around Qt6 dataChanged pessimization
4f2abc9b46 [Automatic update for 2024-04-07]
d54cd5e0ba HTTP: Fix null pointer deferences
dbc22579cb Updates to NTP reference identifier codes.
76f52fc911 wslua: Remove obsoleted @since tags
63087ee7b2 http: Test strstr result against NULL before adding
3852a0b5b0 LUA: Requre version 5.3 or greater
40c420ab9b  MMAS: Add a preference to dissect as iec61850
c56a81d41c TCP: Add a flow counter to the statistics
3b034815a2 Asterix: "const"-ify all the data structures.
4606845990 Qt: Rescale IO Graph axes before getting the x axis range
8f889b5833 Qt: Remove the URL code from the profile model & view
748e482dc7 Qt: Add Apply to Preferences Dialog
b63d6d3bb0 Qt: Fix IO Graph startOffset when packets aren't added
2ae6c42ce2 Qt: Fix IO Graph currentActiveGraph
5d8fcce4d6 Qt: Enable IO Graph Crosshairs context menu action
a3e7a7fb29 fix: "const"-ify most of fix_fields.
d0b143bbec Remove init to zero for static variables
c47011890a HTTP: Incorrect request/response matching
f291ea8f30 HTTP: corrected request/response matching
1e591a35db # This is a combination of 3 commits. # This is the 1st commit message:
4e4897423b HTTP: Incorrect request/response matching
4f8343feb7 HTTP: Change to TestDecryptTLS.test_tls13_rfc8446
447023d544 HTTP: Fixed indentaion error
18a1e3294f HTTP: Change to Ubuntu pipeline test
49b3fb60b2 HTTP: Incorrect request/response matching
84c0e00130 HTTP: Fix request/reply matching
4751c4a9da HTTP: Fix request/reply matching
40f57684d9 HTTP: correct req/resp matching without comments
f97a8a5b58 HTTP: corrected request/response
437fd1dacd HTTP: Fixed error in last commit
2670533eb5 HTTP: Fixed incorrect request/response matching
211c3034e7 HTTP: Request-response matching corrected
bf57ada43f HTTP: Ranges are used to match reqs/resps
6649fa88c1 HTTP: removed unused function declaration
33ab83081d HTTP: Incorrect request/response matching
24307ccdbe wslua: Add missing @since tag
f650b22bb4 busmaster: update a URL to HTTPS.
d17e3a2842 wslua: Improve documentation
f3e4237af7 Qt: Expand on a comment
d6d6053716 LTE RRC: upgrade dissector to v17.8.0
475661b597 F1AP: upgrade dissector to v17.8.0
07f68d0d15 http: Initialize a variable
cc4f989805 Telnet: vSPC: Track the "vMotion conversation".
ca4f217083 conversation: Add support for a "blob" conversation-element type.
d63bac4d77 Telnet: vSPC: Dissect "sequence" and "secret" in easy cases.
d6bc7d969d wslua: Add integer atttribute setter/getter macros
0cbdec7f71 fix: Migrate packet-fix.h changes back to source files.
410b435fd7 E1AP: upgrade dissector to v17.8.0
4fd6630d9b XnAP: upgrade dissector to v17.8.0
c84115f881 wslua: Add ProtoField attributes
c48b750be9 wslua: Fix type conversion macro names
600d66f1ac MSWSP: const-ify "GuidPropertySet".
dc03f8790c IO Graph: Use a larger maximum index size
fc77bd3ee9 Qt: Enable min/max button on GeometryStateDialogs by default
0a636a636c QUIC: Remove support of old draft-deconnick-quic-multipath
9de88ef317 fix: Use bsearch for tag lookup.
0c637a2b5e reordercap: Handle IDBs in the middle of the file
8b802bffd1 Zigbee Direct: Fixed UUID mismatch with join, pjoin & leave characteristics
64158f3e3a Switch away from gshort and glong
393d3e059d RakNet: Update encryption state on open_connection_reply_2
9268a4838a ceph: give c_warn_ver() a more sensible data type.
93ff0a109a NGAP: upgrade dissector to v17.8.0
d54b84d0ac Protobuf: when matching against URIs, allow '*' wildcards
81f925907a Qt: Add automatic profile switching
7130e33d30 Qt: Ensure Copy Bytes as C String is a valid C string
7d5172dec1 NR RRC: upgrade dissector to v17.8.0
b456632e40 X2AP: upgrade dissector to v17.7.0
5e290a99ab NMEA0183: make a function static
8b2d15115b S1AP: upgrade dissector to v17.6.0
668e6c6f79 packet-vnc.c: desegment multiple TCP packets when not enough data is received
7f2043c720 Qt: IO Graph human readable axis ticker with SI prefixes
5b637bd968 wsutil: format units with floating point
76879a480a http: optional check for ASCII headers
9710a98b67 Initial work on supporting DTLS 1.3
acaf5ad7f9 Qt: Only retap when making an IO Graph visible if necessary
85e93bb30b Use bsearch for lookups in sorted extended value strings.
82bc36ba53 CLNP: use a dissect-as dissector table for the OSI security option.
a85952e2ce GTPv2: Dissect UP Security Policy
5db5366f9b Dissectors: don't do e.g. return (0)
8f6a4d3b3b text2pcap: Fix a printf format
7a3a258118 Qt: Retap when changing to or from a IO Graph LOAD graph
67d7b1e58c extcap: Fix a strlen check
83f46b61ef Fix some spelling errors
cd5630e375 MMS: Add IEC 61850 decoding to some fields
f98f501b61 fileset: Check for g_regex_new error
74827d33dd EHT PhyType support for wlan_radio dissector
755fc1dbd3 ui: Convert our remaining UI code to C99 types
124d73b6e9 RADIUS: Updates to dictionary.huawei
932ec25362 Qt: Fix a preferences dialog data type
d5b092268f Convert extcap_parser to C99 types
4dda75fb0d Add a built-in dissector for ZMTP
0949fd3498 doc: Mention updated Lua 5.3/5.4 support
efdeaac67d Qt: Change IO Graph tracer when current UAT row changes
d7926e3290 epan: Switch proto_get_frame_protocols to bools
f0f8cdce36 Qt: Add some comments and links to IO Graph TODO
76255f37fd Mitel DECT: Change a gboolean to bool
4cf64a4ace ATN: update some comments.
b5970abe2d UAT: Handle TRUE and FALSE regardless of case
0b93055203 prefs: Don't cast a bool pointer to a gboolean pointer
6afe57a1b8 Remove parentheses from return bool
5a91ac3af9 Doc: tweak some of the Lua API documentation
5919c84347 Move libm linkage to libraries
773bcf6cb9 tcap: make a variable not used outside the dissector static.
7084b6e4db Change some extern references to boolean preferences
fb70e77fd1 Qt: Convert our utilities to C99 types
b00b162a87 Qt: Convert our widgets to C99 types
f3311c1840 Qt: Convert our models to C99 types
2ec0c3ff90 epan: Convert the color filters code to C99 types
cd3588d52f ui: Convert the CLI code to C99 types
d81488c167 Lua: Convert to C99 types
45e75413a8 wslua: make the heading for the example a discrete heading.
a8c5341dcc Qt: IO Graph Y Axis factor needs to trigger a recalc
7b6e196c41 wslua: put the example of use for treeitem:add at the right level.
949191823f epan: Use bools in our pref_set_pair_cb callbacks
62bc594401 wslua: fix the documentation for Tvb:reported_length_remaining.
5a9393c646 Switch our boolean preferences to bool
20046e4a0d NTLMSSP: Initialize encrypted session key
7c744e7933 editcap: Don't memmove more than allocated in the buffer
6aed3e5232 Qt: IO Graph bar border color
9aa9a6b048 nmea0183: Add ZDA sentence dissector
0fae2569bf [Automatic update for 2024-03-31]
be55ec3c0c Mongo: Strengthen heuristic a bit
90654d3f76 Fix some IP lengths
2862ae66f5 Qt: Update ProgressFrame to use a bool
57d98f1362 Qt: Recalculate IO Graph when switching plottable
2562674df0 epan: Convert the secrets code to C99 types
4bc1dcaa83 Protobuf: don't warn about re-including base types
e85196966d epan: Convert a couple of proto tree callbacks to C99 types
e10839dd5d epan: Convert our stream printing code to C99 types
1816bd1a11 Lua+ui: Convert the funnel code to C99 types
444cb3cea1 ui: Convert the top-level ui files to C99 types
574ed488d1 Qt: Only rescale the one visible IO Graph
81c7238776 Qt: Recalculate IO Graph at more appropriate times
59fbdef13e Check number of selected bytes for FT_IPv4/FT_IPv6 fields
38c0efcee8 Mongo: Ensure the offset advances
75b1ffe119 macos-setup: Add a warning about a comparomised version of XZ.
ee4891977b Qt: constify some IO Graph getters
75aa5599b4 ui: Convert capture_ui_utils to C99 types
b2f1dbff0e ui: Convert dissect_opts to C99 types
2b4117c5bb ui: Convert the failure_message routines to C99 types
7686e79601 Qt: Constify PacketListModel::getRowFdata
2d3c6050ba Qt: Retap IO Graph if the Y field changes
119a385ba2 GQUIC+DOCSIS MAC MGMT: Recursion updates
f8760b70ba wow: Fix identical branches for some messages
98b08894c7 check_typed_item_calls: don't warn about width of field for add_uint()
8285e80224 JSON-3GPP: Handle 5GC over HTTP/1.1 (OAI), don't create HTTP/2 sessions
1c90d8197f ltp: Add correlation of cancel and cancel-ack segments and heuristic dissector
16186deb94 epan: Add some Clang-tidy suppressions
318e8d3161 cpu_info: fix missing decl in else macro block
1a4abf8e6a Qt: Modernize some of our main window signal+slot connections
0bb3161d7f ws-function-blocks.dia: Update some outdated information
5824e57120 docs: The 'manarg' macro splits by line
9e388820d0 tcpcl: fix Dead Store found by Clang Analyzer
b261d1cdd8 dns: fix Dead Store found by Clang Analyzer
63bb4b023a pldm: fix Dead Store found by Clang Analyzer
83687ce837 ipv6: fix Dead Store found by Clang Analyzer
b18a2989ee tcp: fix Dead Store found by Clang Analyzer
2e33fcf230 bssgp: use the right table for Attach Indicator string lookup
3a7b618897 IPPUSB: Avoid (mostly harmless) string overread
6f688e19d2 Qt: IO Graph: Use logarithmic ticks for log scaled Y axis
c5510d931e packet-lldp.c: ttl == 0 means Shutdown PDU, decode accordingly
6c0d76206b Qt: Treat IO Graphs with lines and data points as line graphs
1205a5a38d socketcan: fix CAN packet type detection
a91509ea7c Change some `wmem_packet_scope()` to `pinfo->pool`
b43ae13285 Assert on heur dissector list not found
ecea70dbd3 Qt: Actually display the intended IO Graph Legend Title
bddf6b7fbd IO Graph: Make LOAD graphs displayed
ab26d00454 PROFINET plugin: init PE service_modifier always
24b27a78e2 Qt: Apply the fix for SyntaxComboBoxes to Qt 5.15.3
484de637d5 Fix syntax in tshark man page examples
66a6c53914 Qt: Ensure IO Graph Legend appears if box checked
a780f96f1b Qt: Actually swap the plottables when rearranging IO Graphs
393197fdee PROFINET plugin: decode PEservice responses
d10e9883bf ui: Switch the recent and simple dialog files to C99 types
a7236f6a57 sharkd: Add "column_info" field to "status" method
18625d706b Dissector for RTCP Congestion Control Feedback payload type
1f63e02a9e tools: Add gdb to the debian-setup.sh test dependencies
350917786d I/O Graphs: Squeeze some bytes out of io_graph_item_t
070a974b48 wlan-radio: Fix access of unitialized bool
3b61f4fd74 IO Graph: eliminate possible overflow in LOAD graphs
10f41cb995 macos-setup.sh: Various changes to build on a newly setup up M2-mbp
b9b19599f7 packet-dhcp.c: Fix a typo in aerohive suboption
39bc393c86 Qt: Copy IO Graph absolute time to CSV when time of day is selected
d8b291c566 ASN.1: Regenerate dissectors
7a34922f05 GTPv2: Dissect Alternative IMSI IE
5887358afc asn2wrs: Remove unicode char '->', it fails on windows
dc5b8b9c60 wow: Remove extra newline at file end
ce8bfd9975 wow: Autogenerate all messages for all protocol versions
bcc7145d75 wow: Add add_string function
1cda9725d4 wow: Rename ett_wow_realms to ett_message
e658085377 wow: Refactor dissect_wow_pdu function to improve locality
94505a4a23 wow: Move main parsing into own function
0dcbd4cf90 wow: Convert to use ptvcursor
981f7f2709 wow: Completely rename variables in preparation for autogenerated
c746778018 wow: Change opcode names to match actual names
c92d04accb wow: Make protocol_version localized to conversation
8d5f016225 wow: Make message layout be dependent on protocol version
407da2a8c1 wow: Pass game_version directly through parameters
436eb02100 Update Ixia/Keysight netflow fields.
f6454f6dd3 follow: Get rid of frs_return_t
0e28b66dd8 Qt: I/O Graph fix highlight and click on last interval
2438e82c40 Clang-tidy: Enable recursion errors for dissectors and wiretap
105da2927f DVB-S2: Add a null check
4534258885 ISO 7816: Add a null check
0cc1a5f110 H.264+H.265: Add null checks
af3ded6742 [Automatic update for 2024-03-24]
b48ff4df36 wiretap: Recursion updates
b39cd257db Fix some spelling errors
cd564f93e5 PNIO: Add a missing Clang-tidy suppression
6d4375846b Recursion updates for Gryphon, MATE, OpcUa, PNIO, and WiMAX ASN CP
5366c18d28 Add recursion checks to SoulSeek, SML, and Socks
f9e954497f Add recursion checks to LLRP, MQ PCF, OPSI, and OSC
823b49f6c3 BLF: Fixing Flags Decoding in FlexRayRcvMessage(Ex) (BUGFIX)
eb5a4b149a GTPv2: Add NF Instance ID and Timer in Seconds IEs
7e49e3155d expert: add a new expert group for dissector bugs.
e4a3342068 expert: register ei_unreassembled with proto_unreassembled.
7c7ae3c72c Fix some Perl scripts.
0e551efb92 nmea0183: Fix end of line warning
0e1bad2875 USBVIDEO: Add a class data type check
c733727c76 Windows: Upgrade c-ares to 1.27.0
668c6e1eeb woww: Update from autogenerated message information
e6ad1f677e Amend whitespace in reordercap.c
ef64dcf328 Fix reordercap -n flag generating empty output file
534f7c32cd socketcan: update CAN CiA 611-1 definitions
a98b35d988 socketcan: display len8dlc content for Classical CAN
3456a9809e socketcan: display CANFD_FDF and CANXL_XLF flag content
d3dd050c6a socketcan: simplify CAN packet type detection
c414c067d6 CIP: Fix Forward Open Response Parsing
13c8a2f887 Convert Wiretap to C99
5738b5ca2c epan: BCD strings with multiple filler nibbles at the end
e640ecd591 TFTP: Fix export objects in single pass tshark
2b7fc4b8d2 wiretap: Add a Clang-tidy suppression for BLF
0302978a2b LISP: Add missing Clang-tidy suppressions
1ed5bd8dd2 Add recursion checks to EXTREME MESH, LwM2M-TLV, MPLS ECHO, SNA, and TCAP
30f77b439b nmea0183: Add generic NMEA0183 dissector
6adb987104 Qt: Dynamically allocate IO Graph items with a higher limit
28be55d9ef hci_mon: Support decoding ISO data
a9bf01aad1 ICMP: fix minimum original datagram length
15660308cf epan: Don't change ports in error packets, similar to addresses
f940d12361 GNSS: add EMS meta data synthesis to EMS text node
f410c309be Debian: Add a Logray package
3ea56842a3 mac-lte: fix more bogus casts.
5de524bc20 mac-lte: Fix memory access in LONG_BSR_LCID
02bf9e15d8 Qt: Fix some leaks in IO Graph
696baec976 Falcodump: Fix a couple of option names
6afdbf2de0 Falcodump: Add options to exclude syscalls
b41e5eaed1 Qt: IO Graph label precision, make scale factor a constant
4c5f838c58 MinGW+NSIS: Install NSIS package in setup script
3cff44e4a0 MinGW+NSIS: Work around QTBug-122257 when building
3757f42e5f DOF+Etch+SIMULCRYPT: Add missing Clang-tidy suppressions
6653bfd82e Add recursion checks to DCOM, MPEG PES, PROXY, Snort config, and Thread
e9f0d2c22a Add recursion checks to DICOM, FC-SWILS, PIM, RSL, and WASSP
db886b4acb Add recursion checks to DCCP, KNX/IP, PANA, SOME/IP, and WLCCP
bfa4ad9041 GitLab CI: Re-disable Homebrew updates
73b6bf25e2 Add recursion checks to CSN.1, GSM A-bis OML, NAS-5GS, SolarEdge, and WMIO
68f427822a Qt: Scale IO Graph bar widths to the interval
96281f0369 [Automatic update for 2024-03-17]
53d9f11e01 Qt: Queue IO Graph reports during mouse moves
f90b2df701 packaging: Quiet a Python SyntaxWarning
088bcd5682 packet: Add missing param documentation
ab5c10662a test: INVALID_INTERFACE is a possible exitcode for tshark interface test
df78e393c8 CQL: Fix a recursion check
277d965657 Add recursion checks to CQL, GSM GSUP, MSWSP, RSVP, and WTP
624822b073 QUIC: Handle older MP draft as well
ed83f9b2ee QUIC: Support decrypting Multipath draft-07 with Path ID
33125aadcb TCP, UDP: Add fields for relative packet numbers within stream
d25124910f Goto the nearest undisplayed frame
f5024976f7 epan: Remove subnum from frame_data
1a417f5840 Convert fuzz to C99 types
93e6399046 tools: Install Lua 5.4.6 on macOS
7122291d5d Add recursion checks to COSE, GQUIC, SUA, and XML
5b29346f9b Add recursion checks to COROSYNC/TOTEMSRP, HSMS, ProtoBuf, RTLS, and YAMI
0ff53d7a49 Falcodump: Add capture filters
6d10f6144e Falco Bridge: Dissect JSON objects for cloudtrail fields
1923c6cab0 Qt: Limit on how often mouse moves update the RTP Player graph
50c8bc46f4 Windows: Upgrade Lua on Arm64 to 5.4.6
55c9a08651 Qt: Add Clang-tidy suppressions for ProtoNode
87a9a18726 Convert extcap to C99 types
69797c06a9 androiddump: Unused variable on WIN32
fa1a1b82e0 Lua: Switch the downloaded Lua to 5.3
3621124cd8 packaging: Have Debian Build-Depend on lua 5.3
c77748ae86 release-notes: Add Lua
50af5f1dee tools: Install Lua 5.4 with MacOS brew
533c186bc8 Sysdig Event: Update our events
c810864876 NSIS: Fix some paths
89cbc5baa2 SOME/IP: Improved robustness of UAT-based HFs (part 2)
371f9e1418 Convert randpkt_core to C99 types
f8b4e9d974 Tools: Add a quiet option to asn2wrs
497b90a4a1 Qt: Make visibleIndexOf O(1), not O(N)
42a13925a0 Fix potential integer overflow in getnum
7cfffcfef3 DNS: Added limit check to TTL indices used in new statistics
fcc5709ce8 Qt: Don't select and scroll to packets twice
75c54c2a8b Fix common spelling mistakes
72bdaefacb CI: Update location of extcap plugins for signing
14c0f79ec4 text2pcap: Make sure our plugin directory is initialized
8d5036b994 diameter: support Diameter Address type in vendor dictionaries.
654fbcb5ec Fix our WiX package
73f516a3c4 tools: Add opencore-amr to additional list for macOS homebrew
25f6f3ba0e tools: Optionally install Qt5 DBus on SUSE
91ea231d5e packaging: BuildRequire a Lua version, not just 5.1 or 5.2
eb58552384 wsutil: Allow converting zero length bytestrings again
0baad53fba falcodump doc: update to libcloudtrail 0.12
32689c250f wsutil: Fix init_plugin_dir
8e703dfb9a tools: Install lua 5.3 on Alpine and Arch Linux
e3a77df837 QUIC: rename DCID by Path Identifier (multipath draft-07)
e4cf02711c QUIC: a new MP_[NEW|_RETIRE]_CONNECTION_ID from multipath draft-07
2b09b0c66b QUIC: MP_[NEW|RETIRE]_CONNECTION use old draft value
3b4b9c8dde QUIC: Add MAX PATHS from pre-draft07 multipath
3e03082288 tls-utils: add Initial MAX Paths TP (multipath)
1ea44a05e9 Qt: queue TCP stream graph replots during mouse moves
cc694b7f2f Resources: Update the default Logray profile
08ddd7e863 wsutl: filesystem updates
2155ef34b0 Qt: About dialog "Folders" updates
8512d130f6 UBDP: Reformat code
4929ecb906 UBDP: Decode hostname as UTF-8 instead of ASCII.
6420dcff7f UBDP: Add new fields
302af75963 dfilter: Don't crash on arithmetic between string literals
97bef124ae SNMP set correct req/resp relation when req's are repeated.
8026883af8 SOME/IP: Improved robustness of UAT-based HFs
1f3933913a dfilter: FT_PROTOCOL does not have a value string
6afb4f52d4 check_typed_item_calls.py: Look for fields that could be FT_FRAMENUM
8541041922 CMake+wsutil: Split our Wireshark and Logray extcaps
1b8aa82a23 Let `check_dissector.py` work on plugin dissectors
8c371a912e dfilter: Allow character constants in arithmetic
0969baf2c7 Fix some spelling errors
e05dfae553 dfilter: Fix parsing of single character hex character escapes
7134a293fa dfilter: Allow calling upper and lower on function results, literals
adbba6df7b Qt: Sort SCTP All Associations items numerically
0c58df3d1d TLS: Set unused debug file pref to the empty string, not NULL
f3bf4969e5 Zigbee NWK GP dissector - APP ID 0b0010 decryption
26c42f4535 NAS 5GS: remove an unused dissector handle
a72bd62458 PEEKREMOTE: Add 11be support in the dissector.
6e525aa148 TLS: Don't let the debug file and key log file point to the same file
c778292a10 GNSS: add dissector for SBAS L1 MT63
d29e7b6599 GNSS: add dissector for SBAS L1 MT0
3ffddc19a4 NAS 5GS: add dissection of Tests Procedures messages
826bafe869 SMB2: Change frame fields to use FT_FRAMENUM
ebb5ef3bbb CIGI: Don't throw exceptions in heuristics
e89dc8e2ab NFS: Add a NFSv4 SRT table for operations
e7d47c929d Fixed Zigbee NWK GP dissector - scenes command
47538631d4 SANE: prefer to give uint to WORD_OR_RETURN()
c084f120a2 wiretap: Add a Clang-tidy suppression to the Ascend file scanner
a2d40c7cde Falcodump: Fix compilation
9bfa8d9142 Add recursion checks to BVLC, DOCSIS MAC MGMT, MsgPack, RTMPT, and ZigBee ZCL
f5b887fa38 Fix some spelling errors
6307233ec9 Fix some cppcheck warnings
128c298122 Add recursion checks to BT SDP, GTPv2, NHRP, SCTP, and Windows common
e50ef0effb Add recursion checks to BT BNEP, DOF, ICQ, Q.2931, and S7COMM
75fdad769f [Automatic update for 2024-03-10]
d98913aa82 Qt: Don't call begin/endRetapPackets() twice
77ec5a5068 GitLab CI+tools: Homebrew recently adopted PEP 668
6f2514fba5 Add recursion checks to BGP, Etch, LI5G, RPL, and SIMULCRYPT
018fecc284 ASTERIX: Add Clang-tidy suppressions
709404e401 Add recursion checks to BFCP, EDONKEY, QNET, RTPS, and XMPP
7013af8367 wsutil: On Windows handle hard links in files identical
b8f2baa8ba wslua: Update comment to mention FT_NONE DissectorTable
c2e95293d2 dfilter: Add vals (value string) function
4d57ab3498 opus: Use BASE_ALLOW_ZERO for frame data
ba362cbf35 USBLL: Show data field for Zero Length Packets
ec6b75ec46 Qt: Add lint recursion suppression to findText
5a4e2bce58 wslua_dissector: Support 'decode_as' from DissectorTable:try()
baa7944443 Qt: Honor pref for hiding interfaces in interface list.
34be81a6e9 opus: Fix dissection of payloads with multiple Opus frames
9bb019d3bc packet-x75: Add sub-dissector table for "Decode as..."
221220f2b4 release-notes: Mention Find Packet improvements
0228fefb10 falcodump: Add builtin (syscall) capture support
2992aa2e24 Logray profile: Add dfilter_buttons
c3c06e7c5f cllog: do more correctness checks on the file contents.
eaf07372e1 tshark: Custom fields for -e based on field expressions
eb9a4ae8ef cllog: do some additional checks for valid values.
9476748548 cllog: add support for log files from CLX000 CAN loggers from CSS Electronics.
6fd3af5e99 t38: Allocate forced defragmented memory in correct scope
6e11f84301 RTPS: Return end offset on failure
7fbd190c84 Qt: Don't allow tap dialogs to apply with no capture file
c2bb7e3e6e Spelling: highlight found Wikipedia words
2b390596c0 prefs: Don't remove initial handles from auto port prefs
beced82218 Make a couple of variables from ASN dissectors static
99a887066d DNS: Added new statistics called Query-Response.
a2a9382629 oids: Read SMI library configuration files
03df722198 ieee80211: Fix sizeof AID column
4eb2924388 smtp: Fix password decryption
c85a0a11f2 Tools: Install libopencore-amrnb-dev in debian-setup.sh
ba82fcdef6 ICMPv6: Remove recursion check from 0 length option path
54717a81d1 GSMTAP: check version field
674e35bd62 http2: Return header value decoded from US-ASCII
c03998f6d2 LUA: Use LUIA 5.4.6 for Windows
c831e05400 CMake: Allow overriding rpath on macOS
8103dd92fc ieee80211: Add address type for RA and TA
2188257743 Lua: Make tests work on Lua 5.4
d46e93b274 ASAP: More recursion updates
f38f79d6e1 Add recursion checks to Bencode, BT-DHT, ErlDP, H.233, and H.264
fcde25cfb8 Add recursion checks and suppressions to BEEP, Kafka, and OpenFlow
48e65f0c54 Add recursion checks to Banana, ISAKMP, KINK, M2UA, and M3UA
cc69ce9399 GNSS: add dissector for UBX-RXM-MEASX
e1c8fb7681 TCP: RTT value is missing for GSO/GRO or repackaged segments
cde165b480 TCP: Regression on ACKed unseen segments
b67073e19d fgcp: Add Session Protocol (0x8893)
4e997a93ea Lua: Replace lua_pushnumber with lua_pushinteger where apropriate.
972bb56d0a Remove our recursion checks in ICMPv6 and NETLINK
e5f006fab3 vmware-hb: Handle zero length address
897dc0bd37 LUA: Ue LUA 5.3 in our setup scripts
1cb540d1f7 PROFINET plugin: add dissector for PROFIenergy service request/response
7a190ad5d4 LUA: Use LUA 5.3 for windows builds
be3b5d04f0 ieee80211: Add fixed dialog token to some WNM Actions
61e8d3392a Lua: Convert the time to an integer in tests
52d7053944 ipv6: dissector: ioam: fix nodelen=0 with OSS
ad69c29f8e Lua: Don't test for removed functions
5e4d7dd565 Lua: In tests, use load instead of loadstring on Lua > 5.1
4e9c97d2a0 ORAN FH CUS: Update some comments, long string texts, etc
97a6ea116e [Automatic update for 2024-03-03]
dc84bddc1f ASAP: Make sure pinfo is set
c4d62f9761 Add recursion checks to BACnet, CIP, IPP, LISP, and NETLINK
556ffd3c03 Fix some spelling mistakes
c49e1f2cea Add recursion checks to ASAP, iSCSI, JXTA, MBIM, and MQTT-SN
a59656a1a4 iee80211: Fix SID endianness when adding to the tree
3948fe5132 Add recursion checks to AMQP, GNW, LDP, CFLOW, and RDP
65fe09f74b MEGACO: Display descriptors inside audit descriptors
7e2e622231 z21: Add some heuristics
d0c09f4859 Add recursion checks to various protocols
91b7ef3930 ieee80211: Fix typos
177dfab770 Rebuild our ASN.1 dissectors
4f35c3a34a epan: Add simple recursion checks
2bb39e1386 TWAMP: Fix Sender Timestamp format
febcf46bbc gRPC: Add separate dissector handles for gRPC Web and Web Text
6c23554f68 doc: Update falcodump manpage
95f6f94f8b tools: Parse ranges in make-services.py
73b0f9e5d3 JSON: Make it possible to disable JSON_3GPP handling
6dabac0cfe CMake+wsutil: Switch back to the default INSTALL_DATADIR
ac97a42bcc Check that string_string arrays are terminated
cc2c5dad77 MEGACO: Find the token when the auditItem is a descriptor
3d1cb2cb19 MEGACO: Fix streamid item length
fcb734e17d HTTP2: Add heuristic dissector for on TCP directly
0300fec1bc TCPCL: Add preference to allow missing Contact Header
bb37fcb026 docs: Explicitly set wildcard when including dissection-options tags
0ce98d0fd3 Tools: Install Qt6 on Debian bookworm or later
d5d22dad96 Debian: Switch to Qt6
02942d9aae Tools: Another debian-setup.sh fix
566927e653 Tools: Fix our Debian Qt6 package installation
ecc1f6d9b4 Tools: Update our Debian Qt6 packages
aa812f47cc check_typed_item_calls.py: check string_string entries for duplicated keys
ade326dbf5 JSON-3GPP: Don't crash on empty suppFeat JSON value
7dc0f853c6 prefs: Fix null defererences, remove obsolete function
7583014fb0 MEGACO: Remove some long obsolete code
d62cc2b175 MEGACO: Dissect statisticsDescriptor inside mediaDescriptor
3d8e72fdf9 macos-setup-brew: Use LUA 5.4
fdcc57302f gsup: Add PCO IE
46123c430a gsup: Add ePDG Tunnel Request/Error/Result messages
611ed98634 Diameter: add 3GPP Third-Context-Identifier AVP definition
84ffa648ea ENRP: Check for invalid parameter & error cause lengths
49d15ea4e8 Wifi(NAN): Minor fix for NAN dissector
96ab1b9571 ptp: Improve display of rateRatio allowing more decimals.
2b9dcdc346 Protobuf: Add a UAT table to map URI -> message_type
bce195d8e0 Update existing NAN attributes to NAN R4
b517471bc4 Qt: Show tooltip in sequence diagram for elided comments
4fcb4b5364 Remove PREF_DECODE_AS_UINT
9840e6247f Thrift: Align the endianness for double
4eaf10bc4e Thrift: Fix recursion check
8989c732fc sharkd: Increase JSON buffer size from 2048 to 8192 bytes
d22842f662 Qt: Add case sensitive find to Follow Stream and Show Packet Bytes
3540bbc969 GSSAPI: Avoid dissecting checksum in signed-only KRB_TOKEN_CFX_WRAP
09f6a3aaa6 Qt: copy correct hidden state to device
4d6941caa6 hipercontracer: don't consume LDAP/SASL/KRB_TOKEN_CFX_WRAP messages
33c9657365 asterix: adjust to upstream change
e0300eaed8 Fix lots of spellings
eb706e9b84 [Automatic update for 2024-02-25]
2744c7e7d0 doc: remove redundant section
30c0ab964f CSV Export: Last column no longer exported when hidden.
c0288ca829 Qt: Only set Packet List style sheet when relevant prefs change
ea38f142e8 Qt: Work around QTBUG-122109 when applying packet list style sheet
e5e0797bd5 Qt: If no preferences have changed, don't signal
63d6edbd3e thrift: make some functions static
92573aad71 RNSAP: Dissect IMSI
62e8882701 SCCP: Use register_dissector_preference
e5168435b5 dfilter: Add functions to override field base
ac90d8c834 Inject TLS Secrets: Check for NULL used secrets map
5239b6bc8d Look into some items where VALS doesn't fit in mask
54b52063c5 falcodump: add missing AWS regions
a5dee645cf DNSCrypt: Add support to parse DNSCrypt Initial DNS request
a65cce3c70 extcap: Use extcap.cfg as extcap config file name
0eb0d6fdb4 ICMPv6: Add a recursion check
5a04c4ecee DHCPv6: Add a recursion check
1515b211e2 SMB2: Add recursion checks
40b210e1d6 cose: Peek ahead for map principal value before dissecting map items
8f49a831cf ptp: Corrected data type for cumulativeScaledRateOffset.
c72fc5b163 Fix some spelling errors
b5ffe3deac QUIC: Handle early 1-RTT data from server
00c938b7a9 OSITP: Pass ED-TPDU to subdissectors
ff23d579de SNMP: Add support for RFC 5343
25487eceef feat(#19647): decode Datum enum and Ver field
1703eea653 feat(#19647): decode resolution fields
f501c57fc3 feat(#19647): check longitude and latitude max value
5e9e75537a fix(#19647): correction of fractional calculations
ac9ff53c7a LUA: Pickup LUA 5.3 or 5.4 if available and use it.
8b0e90d62e AllJoyn: Add recursion checks
34c90f7a3d 6LoWPAN: Add recursion checks
302eb58770 GTP: Fix filtering of UL/DL items
f9e052b88e LUA: Make it compile with LUA 5.4
926344c16c LUA bitop: Convery our lua_bitop.c to work with 5.3 and 5.4
282bd19e88 TN5250: Add a recursion check
f8af3cd410 Add Clang-Tidy suppressions to various dissectors
7183ac40da MONGO: Add a recursion check
722816c68e dfilter: Handle 64-bit extended value strings
2f6833b5f7 SMB2: Update reserved field and add new dissection
fea3d36a7b extcap: Allow starting from extcap config
942d7f4b41 R-GOOSE: Strengthen heuristic for CLTP on UDP
339d6d4aba text2pcap: Set encapsulation to WIRESHARK_UPPER_PDU with -P
c99e37131b TPNCP: Fix two potential array overruns.
b8c6c9e1a8 5co-rap: Add a Clang-Tidy suppression
d7b15ff6d1 RBM: Add a recursion check
bb73b87bc7 MP4: Add Clang-Tidy suppressions
46c652102f JPEG: Add a recursion check
ff93425a66 Thrift: Add support for raw sub-dissectors
e911f8ec9d stats tree: Update plugins for new path separator
57c19da670 ISIS-LSP: fix masks for attach set of flags
4176fb8f15 BLF: Fix the build
3b2c961eeb BLF: Add a recursion check
f3e1d98434 Clang-Tidy: Fixup some suppressions
55798da218 PLDM: Fix coverity warning about version printing
6f79b432dc Annotate short names of VP9 fields in field names.
16d85df6f4 ISIS LSP: Add a recursion check
45f9dae43c GIOP: Add a recursion check
6c52cdf959 ENRP: Add a recursion check
fed4751087 add missing field for Roon Discovery
4300f713b1 prefs: Always write main prefs file
70157523b7 wsutil: Only copy configuration files that are regular files
8bdc10c6ca Telnet: Include a packet summary in Info column.
aa64b079a4 x509sat: fix type of organizationIdentifier
11350a714a Couchbase: fix link to memcache text protocol
7426e8c3b0 PLDM: rework the way the version string is generated
028f423f4e CBOR: Update our recursion checks
aa10123bf0 BACapp: Update our recursion checks
5f0672d749 Add initial Clang-Tidy configuration files and a CI check
9a67fac86f prefs: Backwards and forwards compability for hiding columns
61e4026336 Add missing status/flags to packet-couchbase.c
4ee708f3a1 Protobuf: Add a pref for last-ditch message name to try
87c0f372e0 x509sat: Add Organizationidentifier (2.5.4.97)
28e94c2670 rlcmac: Add USF to COL_INFO in DL CTRL blocks
4cfbe0f5c1 dfilter: Don't allow "matches" operator with FT_FRAMENUM
e248d37036 Thrift: always generate field_id proto item
268e742541 extcap: Fix writing preferences to file
4d4f264153 added copy as C Array
4fb2ef8af8 extcap: Really don't load extcap interfaces if disabled
48bb12831b Some spellings
d7b2445089 [Automatic update for 2024-02-18]
deac878dd5 tools: Don't assume that Homebrew has Lua 5.1
f91c6bc812 Tools: Use bsearch to look up vendor in pci-ids.
a9064a1048 PLDM: don't separately fetch field values - use _ret_uint() instead
887767433f VP9: Fix spatial layers label and add generated field
a383ce12fb IPSec: Check ESP ICV with Extended Sequence Numbers
270ad4feeb doc: Mention that Lua 5.3 and later doesn't work in the WSDG.
165cf06f5c Protobuf: add media type application/x-protobuf
dff1a79961 GTPv2:Use more proto_tree_add_bitmask_list
b1bd18d826 macOS: Update our app bundle plist info
76cfa03d61 wireshark metainfo: Add a developer name tag
e540c8777e Qt: Drop command line options when changing configuration profiles
8b63b0243c PLDM: change some distracting formatting
456b8af98b doc: extcap_example.py SyntaxWarnings with Python3.12
595359c793 Qt: Implement macOS "Show in Finder" in Cocoa.
775fedcef1 Adding PLDM dissector for FRU Specification
e49da31a8d epan: Fix copy-paste error
1307fa9226 extcap: Update comments about callback
5ed34995de extcap: Don't add args to a list just to destroy it
f1d0622b47 IPv6: Implementation of conversations with stream identifiers
30c0b28f87 Qt: Implement "Show in Folder" using DBus.
99df5f588b prefs: Read the old hidden column preference
d54031eda9 GitLab CI: Add release notes artifacts
8803d13aec stats_tree: Free the split string array
49540ec646 columns: Allow any field expression syntax to be used in columns
19904e94ae Modbus: Show register/coil number as generated without link to data
150e2ed18d Modbus: Decode data in Write function to Value
e2862d77d6 DNS: Stats tree updates
53638f9ccf Stats tree: Change our path separator
28c42e2656 Some more spellings in dissector comments
b2be437e39 Add EARO status codes from draft-ietf-6lo-multicast-registration-16
e78684d793 Dissect P-field in Neighbor Discovery EARO option
efa68ae1d7 Rename nd_opt_earo_flag_val
285f9ec650 DRBD: Add support for dissecting the DRBD "lb-tcp" transport
1e067dc17d DRBD: Add support for new versions of P_OV_RESULT and other packets
f845ce118e check_spelling.py: add globs
cf22e64b21 X11: static-ify the generated dissector.
83bff589ea X11: update to the latest xcbproto and Mesa.
556e604e12 X11: Revert part of efcaa68807151b46e4352bb7dbdd4134057237a1.
37937ef514 candump: use WTAP_ENCAP_SOCKETCAN, not WTAP_ENCAP_WIRESHARK_UPPER_PDU.
b7b7a6ce96 macOS: Try to keep launchctl from failing in ChmodBPF
da3a73d68c busmaster: use g_htonl() rather than g_ntohl().
49934c1d14 dfilter: Add a flag to return field values for the tree root
098462e703 CMake: Fix some version checks
38a29e82cc socketcan: the priority/VCID field in the CAN XL header is big-endian.
a018829a36 Falco bridge: Sort our Container I/O totals
0e5416efbe Falco bridge: Fix our default container name
fc6255688d OCP.1: Add message size check in loops
4c9584ef45 column: Update custom column regex
c787f791bf AT LDF: Minor improvements
7161168838 epan: custom column FT_NONE and FT_PROTOCOL check marks
3b6785683b AT-RL: Support Allied Telesis Resiliency Link
920d2774bf stats_tree API updates
a902951351 Art-Net: Add missing fields and update to Rev. DI
0cdbb03d95 socketcan: use the right byte order when manually fetching a field.
849c1251df busmaster: use WTAP_ENCAP_SOCKETCAN, not WTAP_ENCAP_WIRESHARK_UPPER_PDU.
fdf4ecdb4a socketcan: fetch the protocol/VCID field in the right byte order.
a313faaa42 Fix two typo'd words.
a201387e32 Fix checks for SocketCAN field availability.
8143babe21 Byte-swap CAN XL headers in LINKTYPE_LINUX_SLL/LINKTYPE_LINUX_SLL2 packets.
a57b564f81 socketcan: don't use the byte-swapping preference for CAN XL.
4508a77bbc NFS: add support for dissecting GET_DIR_DELEGATION operations
55c75998ce NFS: rename the "notification" fields in the dissector
41930060b0 prefs: Use column index, not format, for hidden state
b9c2ffd180 column: Split custom column formats from the right
9fbff8d554 Qt: Stats tree dialog speedup
938192ca9c TCP: Fix location of Timestamp Option values
93c79e2bfd [Automatic update for 2024-02-11]
8f670352df blf: if there are no log containers, return FALSE when pulling one.
e5c519ba45 socketcan: provide more information in the Info column for CAN XL.
825f27723c socketcan: append text only after putting the value into the tree.
214a744bb7 dfilter: Return the register containing fvalues
b96747823d socketcan: show more unsigned values with %u.
c713f7260a socketcan: show all relevant digits in Info column and top-level item.
7d6f2b182b socketcan: clean up some variable names.
2c40e6c903 socketcan: add a CAN XL SDU type subdissector table.
bb495a512c SOCKETCAN: Fix a couple of spellings and use XL length field
f2fae54a58 recent: Don't use format info at all
07b8a53361 Add & use tfs_should_be_traced_should_not_be_traced
4aa91006d0 GTP: const-ify some big data structures.
9989fd2830 Add Stack Overflow links for showing file in folder.
319101f544 Falco bridge: Make sure our strings are UTF-8
5e10272450 Falco bridge: Add container I/O stats
57a1be8873 Falco bridge: Skip some more syscall fields
6f0c9d4f0b socketcan: work around libpcap bug, add CAN XL support.
127548227e recent: Keep recent column width in sync with prefs
2574d5b9c6 Qt: Add width and alignment to column preferences
eebe0a38be Qt: Fix the FilterExpressionToolBar context menu position
d3c837f6e0 Falco bridge: Fix a couple of integer casts
4ec1ae4523 wsutil: Add null checks to wmem_map
e967a3ecc3 Fixed Zigbee NWK GP dissector heuristics
cd33794373 Fix: formatting
9b36918071 Qt: added preference for hiding 'Welcom page' -> 'Open'
b571c553b4 DCM: const-ify some big data structures.
c0c2cac89e DCM: Update from 2021b release to 2024a.
3f69f2a0f8 Tools: Expand licence-check horizon to 160 lines.
1d16a8fb89 Frame: Use "System Event"
98ebebec80 Sysdig Event+Falco Bridge: Highlight I/O data
b7ae4f2eb7 Qt: Add null checks to the protocol tree
b8999a383c Fix some more spelling errors
754a16258c LI5G: update column protocol and filter name
75a64a96b7 Qt: Only save the filtered rows to the Map
7fbff7a381 GNSS: add dissector for UBX-RXM-RAWX messages of u-blox GNSS receivers
59d56d7520 Move unit string for cycles to unit_strings.h
5a761cf95c GNSS: use proto_tree_add_bitmask() for UBX bitmask fields
54fa2250bd GNSS: replace usage of "^2" by UTF8_SUPERSCRIPT_TWO
44bcfa9f0a GNSS: add dissector for UBX-NAV-SBAS messages
f1463bbd32 GNSS: Map GNSS ID in UBX-NAV-SAT SV info subtrees
d66973d947 GNSS: reduce ett_ubx_nav_sat_sv_info length
48a5255a25 GNSS: make available SBAS UDREI mapping to other files
c3305a4bd1 GNSS: add dissector for UBX-NAV-TIMEUTC messages
4b68415213 dcerpc-netlogon: fix const related compiler warnings
b85a56ac73 dcerpc-netlogon: fix dissecting NetrLogonGetCapabilities
962979a802 dcerpc-netlogon: add basic dissection for NetrChainSetClientAttributes
d65b6075af dcerpc-netlogon: add decryption support for netlogon.sendtosam.opaquebuffer
e673fc411d dcerpc-netlogon: fix dissecting of NetrLogonSendToSam
4f1ed11da0 dcerpc-netlogon: fix netlogon_dissect_NETLOGON_SECURE_CHANNEL_TYPE for NDR64
a8ad212436 dcerpc-netlogon: add the latest opcodes from [MS-NRPC]
8a6a10b02d dcerpc-netlogon: make use of common dissect_ndr_nt_SE_GROUP_ATTRIBUTES()
3a0891a257 dcerpc-nt: add dissect_ndr_nt_SE_GROUP_ATTRIBUTES
dde539d342 windows-commoni: add new wellknown rids values
dff5065873 windows-common: fix handling of Compounded Authentication/Claims Valid SIDs
4be3aad2a4 pkinit: pass kerberos_is_win2k_pkinit() over actx boundaries
647bb10117 Kerberos: add support for aes256-cts-hmac-sha1-96-sk
8b15994f2b Kerberos: add support for PAC_FULL_CHECKSUM
8efeee83d1 Kerberos: add AP_OPTIONS UNVERIFIED_TARGET_NAME flag
ecb4562e3b M3UA: also dissect tcp/2905, implement reassembly
c9bbcca3b8 Qt: Show "Events" in the status bar when appropriate
eab4734a0d Logray: UI updates
2de251261d conversation: Fix conversation_element_list_values.
b5d010d44e CMake+Logray: Add the About → Authors CSV resource
2a73e99cfb Falco bridge: Syscall conversation updates
e972a755d2 dfilter: Handle null arguments to min, max
795dc54aae ldap: make use of STRING_CASE_INSENSITIVE for CLDAP
f6efcb3313 ldap: assume GSS-SPNEGO as default
9dde2bee6e DHCP: interpret option 108 properly
714e568f66 Fix some more spelling errors
600de02805 PDCP-NR: Show Integrity data
dcaad51341 XnAP: fix a typo in a variable name
7b114620c7 opcua: Have a default signature length preference
89ce06c459 Fix a grab-bag of typos.
2735ae7219 Qt: Add delta times to the follow dialog text formats
dae546e83a [Automatic update for 2024-02-04]
d74c040e9e file: Use the compiled dfcode in cf_filter_packets
126c95fe2b Falco bridge: Set our sinsp buffer format
6a0277a9e4 diameter: add Travelping vendor dictionary
78e9f6e003 F1AP: Set a UEId for PDCP-NR frames
97f33510e7 GTPv2: update IE F-Container to utilize expert field
80ced3ccb5 ERF: ignore a non-contigous mask
ad5439e064 gsup: PDP Address IE: Update naming and improve dissecting
546d8763e9 GTPv2: Handle EPS Security Context long EAR data
b69943609a extcap: Fix some leaks of argument settings
15c4bccee1 Updated to use new PI_RECEIVE and PI_INTERFACE extert Info categories
1e0e261b23 Separate ERF Expert Info fields
5e74e92934 ERF Interface Id Extension
adfa18fe50 Endace ERF Interface Id extension
bf79e63b1d const-ify enum introspection data.
0db3d8e012 const-ify proto/handoff/tap registration data.
7f7650b945 wslua: Allow UInt64 to be passed as value to a boolean field
8a14ae6304 Add some new expert info groups.
bfa4a36313 FAQ: Fix our Wireshark Foundation URLs
f3b0bf4a7e Sysdig event: Dissect parameters only when we have some
c8a2abdcf0 NSIS: Miscellaneous Logray fixes
3d49e841a6 check_dissector: check spelling of comments for chosen dissector
7bbaba61c0 SRT: Added handling for more handshake extensions
1ad0cd4580 tshark: process async DNS queue during the first pass
132847b6a4 epan: Pass in a 64 bit integer to proto_tree_add_boolean functions
e476661bde DOCSIS: Common MultiPart handling for MMM v5 and up
ee1afcfe61 DOCSIS: Hardware Friendly Resource Block Assignment (DOCSIS 4.0)
90e94555aa DOCSIS: MAC Frame Control Type 0b01 becomes Special Use MAC Header (DOCSIS 4.0)
91e3b39918 addr_resolv: Wait for pending lookups when switching to synchronous mode
8a54995b1c wsutil+tools: Version info updates
ee90fb0f41 GTP: improve dissection of PDU session container
2a67af62fe NSIS: Ship Logray's profiles with Logray
80bf3025af osx-app.sh: Sign plugins with .so extensions
c66700d7dc Windows: Upgrade libssh to 1.10.6plus
8cea8e7120 Fix more spellings - mostly comments
f4e71562d0 NSIS: Fixup the Logray installer
868b38040b Logray: Use the name "Logray" in more places
6cc1ff055a ASAM CMP: Fix Vendor Data limit and missing UDP Encapsulation
d053622cea Falco bridge: Allocate our tap data
5b6454aacf RTP: Add the extended timestamp to the tree
575d285554 WSUG: update Service Response Time support list
bf5ec983ab pfcp: small spelling correction
9eec8a12eb Fix some spelling errors
3d63241756 BLF: Fix handling of 0-length log containers
0032e25a8a RTP Analysis: Use extended timestamp in statinfo
ab73082708 CMake: Fix our falcodump symlink
3588090b2a Falco bridge+falcodump: Various fixes
574fc0e1a6 Qt: Use "Logray" in the about box when appropriate
f241cd6208 SANE: Improve the way opcode is remembered for resps
28e9035eec MATE: Update examples
81d094d47f RTMPT: Convert to ws_log system
24669a5ab4 ISAKMP: add parse auth_method and proto for China IPSec VPN specification
4e987dc451 epan: Remove layers when a dissector consumes no bytes via fragmentation
dc66792430 epan: When exporting as C arrays, don't end a line with backslash
4ec5c7f78f MATE: Handle fields that are in different data sources
f33439ea03 epan: Don't fake child nodes of visible proto items
df24178150 RTCP: Implement Profile Specific Extensions as a payload table
3383ac2d32 TLS: Explain legacy_version more
3e519a0385 Falco bridge: Correctly handle trailing internal events
fc6a511997 x50ce: addic Dissection of IPv4/IPv6
fbd408cb58 x509ce: Display unknown IP Address (DATA) when it is not 4 or 16
05ee426d93 Logray: Make the Syscalls profile the default
ef65fcb94d Bump the Logray version to 0.9.0
044ca84eeb macos-setup: Conditionally install Falco libs
2b5fd572f7 File sets: Match both formats, compressed files
a8aebe5cf4 Check for item long text being 0 - prefer NULL
da8c8fc1cf NGAP: append SMF PDU in column info
fde6865fe9 PLDM: make a function static
c6fee3ab52 Fix some more item warnings
4a948ad57a SANE: Quality improvements and correction
76909e44d2 [Automatic update for 2024-01-28]
57bfe3d4a3 COSE: Fix a leak
2d22fa26ba XMPP: Fix some leaks on malformed data
859e70fbb3 WOW: Fix use of unitialized memory
c77448d793 GTP, GTPv2: stat taps can't be wmem_file_scope
5dc8c6d5fb Check valid display value set for ipv4 fields
73c7fcab1e Check that string items have display set to BASE_NONE
7b58f82228 Set BASE_NONE for FT_BOOLEAN items with zero mask
f3216e8c4a RTP: Add OPUS dynamic clockrate
25f8695771 Be careful with scope of strings used for columns in SRT table
0103e8f9d7 DNS: add queried names to DNS statistics
38bcee5963 Services: const-ify the data structures.
989002841e BACnet:Fixed dissector for authentication related properties.
dd846520f4 [Zigbee GP] Fixed move and step cmd dissectors
d424f4b330 feat(ssh): Add support for ping@openssh.com message dissection
a335e10838 feat(ssh): Add SSH dissection support for proprietary extensions
c85c4dcfef feat(ssh): Add SSH_MSG_NEWCOMPRESS message value
7039e85f8e feat(ssh): Add  SSH dissection support for RFC8308 extensions
19ddbcaaae feat(ssh): Add SSH extension dissection support (RFC8308)
352fe53a15 dfilter: use strpbrk when checking if macro or field reference
f09710965a [#19584] show heur dissectors in `tshark -G` report
56292dc522 Qt: Set imported hexdumps as tmpfiles, don't set last open dir on then
a3900a5d5e change display order of IEEE802154 address fields
08956f6d13 DNS: Add expert info for missing response
f5f8a574b1 Tools: const-ify pci-ids data.
864c212b51 SRT: Parse the Group HS extension
1e3a1d7118 Adding PLDM dissector for Platform Specification
cb259891f7 Qt: Restore drag and drop filter buttons
d1301fecc1 macos-setup: Use `set -e`
4571d9f194 Fix more FT_BOOLEAN items with no mask - set len to BASE_NONE
fa84f7541e Check that FT_BOOLEAN items with zero-mask use BASE_NONE
bf30e483c0 bthci_vendor: Add broadcom read mem and refactor writemem
5a28b01e86 rtmpt: Don't allow chunk_size to be zero or negative
86705cc863 macos-setup: zstd and lz4 fixes
4d6a8c85b5 Fix base for FT_BOOLEAN without bitmask(BASE_NONE)
08cf0e9553 file: Don't recompile the dfilter during a live capture
70e78cd390 ringbuffer: Use g_path_get_basename to find the last component
26c6e3af12 test: Skip mongo zstd test if we don't have zstd
cf74fae3d9 HTTP2: Heuristicly detect application/json
ffcf580230 epan: Make hex_str_to_bytes reject an odd # of hex characters >= 3
f274be5523 dfilter: Handle null arguments in macros better
c538dd9ff9 tools: Add a protected branch check to validate-commit.py
ffbf7ff540 dfilter: Allow semicolons to separate macro name from arg list
5c972dd075 GNSS: fix formatting of SBAS MT25 velocities
72e83ae49a ieee80211: Add decode as Wi-Fi for UDP payload
78a8793cbc "Follow" implementation in logray
457764fce3 HTTP2: Heuristically detect multipart/mixed
808d9d39f7 openSAFETY: adapted verification of ID fields in sub frames
b6a9c48eb5 E2AP CCC: Clarify that V1 has been added
b05def7a50 dfilter: Don't parse invalid characters in macro names
0755cde944 Qt: Don't offer field completion for literals containing ':'
de98508497 gsup: Fix decoding of empty IEs
0926a98b30 Zigbee ZDP dissector field parsing fix
34c703f7de Windows: Updgrade GnuTLS to 3.8.3
a4b88e3d8b macos-setup: update to GnuTLS 3.8.3
4a27b7e3e8 someip: Fix Dead Store found by Clang Analyzer
9d65454c9f Update dictionary.aruba based on Aruba ClearPass 6.11.4 RADIUS attributes
7b43059f1d Qt: Add back "Copy as Printable Text"
676478c8d3 epan: Use an ellipsis to indicate truncated fields
271496bd23 Lua: `DissectorTable.heuristic_new()` with description
2456e96caa Tools: More macos-setup.sh cleanup
49050877b3 tools: Add an installation prefix option to macos-setup.sh
6e474d1af1 [Automatic update for 2024-01-21]
760e512dd4 capture: Remove the logging parts before each line
3bbf468421 Qt: Indicate that the grammar has changed when reloading macros
651122a798 Undo some more double colons
c3e98efd5b http2: Use our own process_reassembled_data
534cc08ebc LUA: allow conversion from string to uint64 in any base
39aeb7a7dd tools: If macos-setup installs Python, install a recent one
6d39c511fb extcap: Set matching libssh log level
55214bdacd extcap: Provide a more useful error message when key passphrase is bad
a7f7cd6487 Tools: macos-setup.sh shouldn't install legacy PCRE
9a97bf2216 Add support for attributes defined in NAN Spec R4
d1723c98d4 Qt: Fix some leaks in ExtcapArgument
4bb69a479d capture: silence warning for non-root user
d0bb6b3dfe Dissectors: remove accidental double-colons
1058293e78 X11: ConfigureWindow: Fix 'window' and bitmask fields.
76bb8cca37 Tools: Clean up macos-setup.sh
94c2f18924 Fix -o capture.auto_scroll: setting
49ada98a88 Increase libssh minimum version to 0.8.5
87f06bfd58 netflow: Handle variable length fields with zero length
256c9bebac Adding dissecator version 4 for GICI protocol
f67b74550b ISUP: Add recursion checks
0cca51a61b UCP: Handle alphanumeric OAdC
577d8313fc GSM A DTAP: use proper tree for spare bits in de_bearer_cap()
2640465545 tools/check_val_to_str.py: add option to test generated files
b411905eb9 NRPPA: trivial cleanups
8cf61be180 capture: Don't print an empty error message on extcap errors
2d6310f4f8 SMB2: make a function static
79c6e9db9d HTTP3: Huffman decoding
c3c0fb7263 SMB2: dissect FSCTL, Query info, and Server notification
8d79ea2f0d Falco bridge: Improve our internal event detection
73ece5e8c8 epan/dissectors/packet-cql.c: fix few typos
80a3890dab extcap: fix build with older libssh
84cf907fcb WSMP: Set correct length of N and T headers
05e1338d61 GTPv2: correction of IE Monitoring Event Information
524621ca21 NRPPa: upgrade dissector to v17.6.0
bf909bf93e Add descriptions for heur dissector tables
f20d45f1aa Qt: Always enable our "Follow" menu items
9703cf23a8 TLS: Update the follow tap name to match other dissectors
7983d70203 GNSS: SBAS dissection improvements
75d79e5d7d rdpudp: Fix leak
85aeaf1f34 Adds a dissector for SANE (Scanner Access Now Easy).
bcfa25bdfc Falco bridge: Add a quick CPU+PID cache
d302ff5b42 F1AP: upgrade dissector to v17.7.0
893a68e6d9 [#19585] Add description for heur dissector tables
7919c374d7 E1AP: upgrade dissector to v17.7.0
1295d416ed XnAP: upgrade dissector to v17.7.0
e31f805c81 NGAP: upgrade dissector to v17.7.0
28c7e0cce3 NR RRC: upgrade dissector to v17.7.0
feff9a8b80 LTE RRC: upgrade dissector to v17.7.0
87dfdbb915 LPP: upgrade dissector to v17.7.0
e0811c1aa0 x75: don't register for WTAP_ENCAP_LAPB.
760462e2dc Qt: Status bar updates
5c8c379b69 extcap: Add ability to enable SHA-1 algorithms
b8f252dd99 Qt: Add support for date and time before file index in multi file mode
b5c839815e Remove duplicative members from interface_t
eeb818f5e7 TLS: Display minimum supported version when version unknown in Client Hello
91e75f3e46 NBSS: Handle short packets
f5615dd9f9 IPv4/v6: fix field offset calculation for GeoIP entries
7da3a871a3 [Automatic update for 2024-01-14]
c413d81967 rtmpt: Add a default chunksize preference
f374ddf2fb Falco bridge: Add conversation filters
666443ebd1 Resources: Update the Logray Syscalls profile
06f80366d5 Falco bridge: Update our memory stats
664b858d44 SOMEIP-SD: call val_to_str_const()
2c9b66d14a RTP: Use the same extended seqno / timestamp cycle for a new setup msg
6e12e504b9 iface_lists: Do not reset capture options when refreshing interface list
d4bc9d4036 opcua: Parse more Server and Client Certificates
6c26a3c7dc Fix uintptr_t not found error
eec059c598 Falco bridge: Use ws_strtoi
04bd21b700 pcapng: Sysidg events don't always have timestamps
a0f5d63515 Release notes: Note that the Parlay dissector has been removed
520fb7848e GitLab CI: Install ruby-dev in the Documentation job
490d0514d9 Parlay: Retire the dissector.
846fae3141 rtmpt: Mark depended upon frames
9152670fe5 opcua: Use fragment_add_seq_offset
16fa05d719 Help: on macOS local pages are found in the DATA_DIR of the bundle
f99cc3a69b WSUG: Document the creation of filter button groups
b7ece5f111 RLC Stats: Check earlier for whether frames should be considered
caa9bfbe41 wsutil: Check GLib version for g_spawn Linux bug
73e5eeae50 GNSS: add dissectors for further UBX messages
2d04c10741 tftp: fix a typo.
3c62d285ac Falco bridge: Use g_str_hash
8f3756431f Falco bridge: Remove an unused struct member
821fa78fee Fix some spelling errors
7ce05b9dd7 opcua: X.509 Certificate dissection
10a77d7b46 Parlay: Add a recursion check
76f6b5285d opcua: fix payload size for unencrypted chunked messages
4a5965fee6 Logray: Mark unused parameter key in follow
f13740da74 Qt: Allow Manage Interfaces columns to be sortable
610e5f0543 Support enhanced-RTMP ExVideoTagHeader
65c04f2886 Fill gaps in AWDL DataPathStateTLV.
1c25228013 tshark: Fake unused proto items when -e is given
fe54aa6371 Revert "Main dialog: Wireshark stops extcap on exit if no packets received yet"
53e180491c SOME/IP-SD: Improve handling of ANY values and unknown entries
5d2bcdd377 pfcp: Update to 3GPP TS 29.244 V18.4.0
9aff6a9314 netlink: show padding between short attributes
27857b268e ISO15765: Cleanup and fix incomplete dissector warnings
73bf0d5b23 Falco bridge: Minor performance improvement
f01e345749 Logray: Add back the "Follow Stream" dialog
c3293b9520 Don't overwrite error message from dumpcap
ba6f76e0d5 Falco bridge: Add a preference to show internal events
c659ffbed1 Falco bridge: Disable memory statistics debugging
c8281ec58a netlink-netfilter: Show padding bytes
885e638a03 NAS 5GS: set subdissector for SMS NAS messages in HTTP2
624ba9311c packet-cql.c: add support (partial) for custom payload result response
f52841191b capture_opts: Use g_list_free_full
626caf9699 Fix crash in capture_interface_stat_start.
579aa4117c WMIO: Fix an infinite loop spotted by coverity
7eaf8bcba2 ATLDF: Remove unused macro
14767f824c iface_lists: Reduce some unnecessary string copying of if_info_t
f9b2ad18c2 dfilter: Be ready for unparsed syntax type in semantics check
de12268a9f Epan: Cleanup plugins only after all possible calls are made
2fe5b48cf8 Falco bridge: Add a subtree to show process ancestors
c0d0e01f95 Falco bridge: Hide some syscall fields
6af57646d7 Falco Bridge: Reduce our cache memory usage
186706b6cb Falco bridge: Add support for event arguments
b8bf79eb21 Falco bridge: Cache our extracted data
5822f3d101 Falco bridge: Add a null check
f7dad73b9f CMake: Fix the Logray plugin directory
66c607f118 Document discontinuities in OSPF and IRDA dissectors
ec4b92c69f Wireshark + Logray: Batch interface capabilities in one call
ae3afe910b Infiniband: fix a couple of item offsets
a195204327 ORAN FH CUS: fix an offset and a length
4b04c3fd05 ISO15765/UDS: Clean up of Address Handling
6cc134358d Dot11Decrypt: Switch from recursion to iteraton
218db31955 asn2wrs: Fix our recursion checks
b29a969131 capture: Restore save file template when stopping multiple file mode
6a2dd639ef tshark: Retrieve interface capabilities in one call
b4c07ac165 NAS 5GS: upgrade dissector to v17.13.0
0c923da588 [RF4CE] Fix for RF4CE NWK heuristics
e1efe33c0b WMIO: make a variable static
d52dc11ae4 cbor: add recursion depth check
352ad96b57 Fix some spelling errors
1d6c7eecb0 [Automatic update for 2024-01-07]
5b87714ec8 Add parsing support for IWbemServices and WMIO
4feb30a85e Qt: Packet List vertical autoscroll only
b8e7db6600 QUIC: Fix running dissectors on 0-RTT data
ec232d03d3 SOME/IP: Do not ignore messages with empty payload
d3b5f367e9 T38: Fully initialize t38_conv struct, part 2
4232cb5575 rtmpt: Limit initial allocation size instead of max packet size
91266a7683 doc: Update WSUG for TCP Completeness filters
822a95d156 rtmpt: Fix iteration check
7afb54035f Windows: Update our minimum version
1a81a7cacf RSVP: Support Capability Object
4f3b03b72a NTLMSSP: Zero out the session key at the start of creating a v1 key
e68771714a Qt: Update some comments related to WinSparkle
96b0a674c7 Qt+WinSparkle: Don't close the main window in the can shutdown callback
b1e900496c E2AP: Check whether table entry was found
75fa97e7f2 RSVP: Fix typo
75fc7e11e8 TCP: Duplicate ACKs hidden by Window Update and SACK presence
a8bfde6eb7 UAT: fix wrong cbdata being passed to cb.set()
25fb6c316c SocketCAN: Add hidden CAN item to protocol tree in case of CANFD
4278536da4 Tools: add script to make value_strings used by bluetooth
af8643c5ae epan: Make "frames passed the display filter" the default
8f7f7cd7de s4607: Add to "decode as"
ca02798714 RTPS: Don't leak in the guid hash
dd7df70be8 Add ".snoop" to the list of capture file extensions.
40111d9e8f GitLab CI: Generate our release notes
2e30826a61 Debian: Ship sharkd
bcb0d02568 NSIS+WiX: Install sharkd
69c9e06dae Thread: Update for Thread version 1.2 and 1.3 along with TREL
c550e9f26a SSH: don't hide signature types you don't dissect
5816b3c75c SSH: We don't use Gerrit for a while now, remove its port from defaults
0e9ea401f7 TCP: Prefer full checksum over partial if the same
6f17dcd67d RTPS: Fixed User Data Dissection feature
329523afee TCPCL: Do not call g_int64_hash on a gint
370e5db90a E2AP: check table pointers when adding ranFunction
d44e171cee T38: Fully initialize t38_conv struct
9f05d77cec sctp: Fully initialize tmpinfo struct
8f797db63c asn2wrs: Add recursion checks
c9c40514d8 MLE: Don't call tvb_bytes_to_str with zero length
1229ee0468 COSE: Fix some leaks in cose_header_context_t
940feb7bf2 maxmind_db: Set CLOEXEC on the pipe file descriptors
fdaba24262 Ethernet: Implementation of conversations with stream identifiers
e60046305f Qt: Add capture comment to custom title
77b0583568 DOCSIS: Extended EH Elements are not recursive
bf1ab5c304 macOS: Include the admin group into access_bpf.
7fcc15cb54 pfcp: Add Service Response Time statistics
45b929a1b6 RTPS: Fully initialize a struct
e07603d512 ChmodBPF: Specify AssociatedBundleIdentifiers in the Launch Daemon property list
4a74687e60 addr_resolv: Return NULL for unknown port types
b67b86059e IAX2: Unknown HF is now 0, not -1
322ae0f0d8 Happy New Year 2024
9600ef2279 dumpcap: Pass the Capchild log level from parent to dumpcap
3fbefe9c36 dumpcap: Make capture child logging work
2bf14f5fe6 JSON-3GPP: fix a (presumed) typo
695740ea41 capture: Don't print a warning for an empty message
4f46ed269f USB: Dissect protocol also at interface level
a024563fb3 [Automatic update for 2023-12-31]
96207a4e27 Don't pass UTF_8 arg to valgrind script
c08e6e56fd Remove packet scope usage from a few dissectors
4a454d8d62 dumpcap: Don't use fd 2 (stderr) for the sync pipe
17fcdb4735 pcap: Update link_type_vals
dc6f197726 dumpcap: treat connect errors as remote capture errors.
d9247e7edb GitLab CI: Get our clang version from our container
68d85c8032 wtap: Add DLT for DECT_NR
648b18c92f Qt: Fix crash on Windows adding pipe when interface list isn't loaded
1b9d95d6b5 Look into some cases where 1 value_string value is missing
ef2eb13350 netfilter: improve nftables dissection
af5a53efc0 ISO15765: clean up code and fix typo
fe3b55d85d ISO10681: Code Cleanup
35fa4fa36d SOME/IP: remove empty line
97d59fc20f CFM: Fix check for Management Address [Domain] when Chassis ID Len is 0
4e6484600d LLDP: fix return value of lldp dissector
42e85b29e1 GNSS: fix SBAS MT1 - MT5 field lengths
1ccbc482a0 packet-sv: fix the seqData validity
b0e87a4207 irda: make it clearer that the control field is at the current offset.
c635a0b388 irda: update some comments with new and additional links.
84ddc8c446 LIN: Don't process payload if the frame has an error
1d6abf627c Bluetooth: update UUID and Company ID registry
7e0004ed96 tools/check_static.py: show in output if file was generated
9bb31318fe GNSS: add dissector for SBAS L1 MT24
64b9bad199 BTL2CAP: Switch to using more efficient bluetooth_uuid_vals_ext
2dae7c2d79 BT_ATT: Adjust ranges for protocol registration
1243b49c49 tools/check_static.py: make script more readable
bfad74780a [Automatic update for 2023-12-24]
74d97afd72 capture: Fix leak of secondary messages
c7c5d962e0 Tools: update generation scripts to no longer initialize proto vars
922d1f6219 SCTP: Use hashmaps for association indexing
a1b2a14ad3 Qt: Set Packet List autoscroll off
9b4c2ffb33 ICMPv4: Mark formally deprecated types
3794caff71 capture: Fix up getting stats
52c1ebb4e1 SCTP: Send sctp_info to the tap even if there's an exception
87d749d2fe ISO15765: added a bit of documentation
f863b276c3 JSON-3GPP: Fix label for mapdu item
5f870017f7 E2AP: fix range check while registering RAN-function dissectors
54ed27e11a Qt: [Re]start the stats when filling the interface list
0fc2359812 tshark: Deprecate -G with no argument
685ea4f15d Don't include net/if_var.h; it's not present on all *BSDs.
8e3de579a0 tshark doc: Mention that -G must be the first option given
5de1a339c4 Fix some spelling errors
db28c15aeb DTLS: Initial support for adding DTLSv1.3 to the Protocol column
60dd24f701 E2AP: Add stats counter to Telephony menu
af408571e5 JSON 3GPP: add TS 29.502 ch6.1.8 Feature negotiation support
50bf11fd8c IPv4: Mark deprecated option types
e293a19071 usb-audio: Fix Dead Store found by Clang Analyzer
8069ffebb0 dumpcap: fix Dead Store found by Clang Analyzer
a37c90e497 addr_resolv: Fix Dead Store found by Clang Analyzer
0b9c79598b radiotap: Fix Dead Store found by Clang Analyzer
4d3475223a bgp: fix Dead Store found by Clang Analyzer
6b837c6f28 QUIC: fix Dead Store warnings found by Clang
a09c648670 E2AP: When updating mapping from OID, take care over pointers
2a33688291 packet-gtp: Avoid dissect MS Network Capability when len = 0
8bb3d89065 ITS: Use CAM Version 2.1 ASN code
689ff45cfd tools: Switch to target UNRELEASED in make-version.py, too
a0d904896d Qt: connect SCTP All Associations Analyze button correctly
2634e62b70 SCTP: Add chunks as FT_NONE instead of text-only node
f554ac643e epan: Add as much of a text-only subtree length as we can
95a9fc5c0f QUIC: handle connection migrations for zero length CIDs
acf419cfc9 iscsi: display number of bytes to Write
999f9f65c7 iscsi: display number of bytes to Write
ecdb67b4a0 ISCSI: Add R2T time and bytes transferred in List
f699b10405 Display number of bytes to Write
6a3f441da8 tshark: Load the profile settings before certain reports
2b21fe5e4f capture_sync: Keep PIPE_BUF_SIZE and SP_MAX_MSG_LEN related
c1ecdb49b3 s4607 - Fix Dwell Mask
c55ae0513f NSIS: Remove some references to WinPcap
29e56d0167 asn2wrs: Fix compilation without -L flag
be5f98b851 androiddump: Don't hang for 20s on Linux if loopback is down
fd8e052955 capture: Fix Coverity 1559542
f2095c8027 Recurse into folders while checking URLs
a7d5c07a13 E2AP:  In E2Setup message, read/use OID outside of shortName
e2594ef0e4 ieee80211: Allow RPS IE dissector to parse multiple raw assignments
607b3671c8 dumpcap: Add a welcome mode
b22ed213e0 capture: Move pcap failure secondary message to header
08eb1d87c7 wol: use the Wayback Machine for a now-dead link.
71344aa160 Qt: Don't clear selected interface when auto sorting
ed3b6e6b50 Check for some document URLs
dd6b58fcb8 Have a common provider routine to provide time stamps.
b8bad2c745 asterix: 'number' upstream change adjustment
aa7bc121b6 RLC Graph: set initial x-axis scale correctly
1724e23865 capture: More prep for retrieving and caching capabilities
11e8b5e8d7 Qt: Fix build with DEBUG_STARTUP_TIME
3a7169a5f9 GTP: Correction of IE RFSP Index
66ab1e64e5 Revert "Debian: Move codec plugins to the proper place"
05d9608dbd NR Taps: more fixes
71da5f72b5 ieee80211: Fix RPS IE (802.11ah / S1G) dissector for RAW slot definition.
3421eff1bc capture: Move deserializing the interface list to a static function
a3467677cf [Automatic update for 2023-12-17]
1a95f230b9 dumpcap: Allow retrieving interface list + caps
dadc6f1fa0 Update mailmap with new contact for Carlos Pignataro.
9b6c116324 bitcoin: code simplification by using `proto_item_set_end(...)`
005dfe2271 capture: Get regular and monitor mode link type lists at the same time
63840f1cfb extcap: Fix Coverity 1559270
636f0a989a capture: Add return messages to the if_capabilities_t struct
c655b8e103 capture_opts: Free the if_list on a bad adapter index
26e3979971 Add plugin extension to wireshark.pc
e1f599cf51 Debian: Move codec plugins to the proper place
38ff71b5ef Try to fix Debian package
03d59b1458 DNS: fix warning
ed0a777776 RTCP: extend list of transport layer feedback formats
d43c1754b6 RDPUDP: fix conflict about incompatible types
974e09b0c6 scsi-sbc: fix checkAPI warning about shadow variable (index)
34edc1a3be bitcoin: fix checkAPI warning about shadow variable (index)
f10ca976ab gpg: Signature made Thu Dec 14 22:56:48 2023 PST
gpg:                using RSA key DA07BBAC01FC4D28C7AA6BA62AD7D1752A5D1B4D
gpg: Can't check signature: No public key
BGP: Add Source Address to Type 1 Session Transformed Route
7c38369bb6 Try to fix macOS packaging
ba2f53ef11 Windows: Upgrade libpcap to 1.10.4
8c45aaeb06 CMake: Fix WiX packaging
b2213b12e9 wslua: Add another exception for binary plugin subfolders
36065ab356 Rename some codec plugin folders to lowercase
7f32c90ab9 plugins: Add a codecs API level
b52d9173f8 Remove version component from plugin path
b51a3933ba CMake: Refactor plugin add_library() macros
70383151ae doc: Mention partial checksums in Checksum Section
7b4d667f30 BLF: Fix BLF_OBJTYPE_CAN_FD_ERROR_64 not decoded as error
9c2959b483 EPLv2: textual decoding of ASnd error code
b983decbcb opcua_application_layer: fix Dead Store found by Clang Analyzer
6081bf1535 merge(wiretap): fix Dead Store found by Clang Analyzer
00be42a1f2 tls-utils(ECH): fix Dead Store found by Clang Analyzer
cd8893db10 capture: Serialize the machine readable interface list
e3837d403e Falco bridge: Minor code cleanup
baf8ec83ef Logray: Add a Syscalls coloring rule
5353057795 GitLab CI: Switch to clang 17
e9d4f4f846 GTPv2: Dissect IE Group ID
8ba4fb537d Improve pkg-config description
4a9214b12d GTPv2: Dissect IE PGW Set FQDN Extendable
897c94bd04 Qt: Don't connect in the .ui file only to disconnect in constructor
107550c9c0 Move wireshark.pc.in and make our .pc file paths relative
c0bfd405b5 Resolve GCC clobbered variable warnings
1fc41b77b2 Logray: Fix the Syscall profile
ac524cff38 Windows: Upgrade GnuTLS to 3.8.2
0d52ed247e srt: Parse Key Material message.
934fe03fca Falco bridge: Add protocols for each filter check type
8486ba26c6 epan: Add plugin get_descriptions callback
5bcfa5b261 epan: Remove register_all_tap_listeners plugin callback
0ed89bb91b Qt: Remove HAVE_PLUGINS #ifdef
fd21a7717f epan: Remove HAVE_PLUGINS #ifdef
4e7b79edce MAC and RLC statistics: fix filter expressions to work with NR
4158fd0115 Zigbee improved Smart Energy time format and display
6b7664bfd3 Fix some broken dissector URLs
04165f8536 Monero: Use col_add_str
b16190ab6d Falco bridge: Set our event number
807413ea33 ORAN FH CUS: Update some value_strings for v13.0
e2dff8eb27 Qt: Remove another plugin #ifdef
edc7ebfcdb Qt: Don't fill in interfaces if we're just doing a caps query
cc7f348b38 capture: Free capabilities automatically when the hash is destroyed
a57069a7ca CIP & PLDM: make some functions static
2936f5c026 E2AP: add support for CCC RAN Function
79d26352f2 GSM-MAP: use common tfs.c true_false_string
66c4987948 RLC Graph: some improvements
3d5ac61f29 GTPv2: Dissect IE PGW Change Info Extendable
719ca70130 HTTP3: Use BASE_SHOW_ASCII_PRINTABLE for QPACK
88e5ae3d14 HTTP3: Use the Wireshark logging system
360cb3f40a plugins: Lower a log level
22c27f2dae Qt: Remove an #ifdef for Windows
e3d23bfad4 Improve paragraph about the GPLv2 in the README
ae170d9b22 Logray: Only retrieve the extcap interfaces
ccb8a79bc2 [Automatic update for 2023-12-10]
0c9cceebe3 Qt: Cache the capture interface list in Wireshark and Logray
2e5f5ab645 HTTP3, QUIC: Desegment HTTP3 QPACK Encoder Streams
17d479f876 nflog: time stamps are in seconds/microseconds, not seconds/nanoseconds.
2e288ae393 HTTP/3: Only decode a QPACK encoder stream on the first pass
f50c46ea8c On *BSD, use a PF_ROUTE socket to get indications of new/removed interfaces.
7a6338c60c QUIC: Don't desegment and call app handles for 0-length stream segments
25bce48873 Qt: Fix plugins double-click/show in folder
12234b2064 Qt: Add back "Path" column to Plugins tab
bb09bed969 wslua: Add support for SPDX/URL/Description info
4db3e8f3f1 Capture: Check to see if the interface name is a Windows Named Pipe
0bcd2b6e6f wslua: Add a scope field to lua plugin description
5f6b5c40f4 plugins: Improve build with !HAVE_PLUGINS
8db858b667 RLC-NR: Further fixes to tapping NACK_SN + ranges
47376298a5 plugins: Remove an assertion
b1521550c6 plugins: Give higher priority to the personal folder
e0acd7ef1e rdp: add dissecting of relative mouse moves
bfda80d230 check_typed_item_calls.py:  Improve checks around items in bitmask calls
8cda6390de Fix some issues around tapping RLC NR ACKs
9a9b2e114f GitLab CI: Make sure we set the ccache size in our fuzz jobs
a23e4fa086 Plugins: Fix the issue of duplicate scanning of the same directory
5e370aa748 assa_r3: Dissect UPSTREAMFIELD_NOTUSED as an unknown type
a7827322fc plugins: Rename "dfilter" to "dfunction"
c76a28fca4 Qt: Add Install Plugin to Tools menu
158e104569 ITS: CAMv2 uses "pld" PathHistory defenition.
f5e25421a8 SOME/IP-SD: Adding expert info for StopSub/Sub combination
18a5b0976a Qt: Fix crash related to new TCP analysis pref
6ec6e5b545 Another check for a routine returning an error.
c512da8b8b SOME/IP-SD: Adding expert info for Offer Service without Endpoints
5b2533af87 TECMP: Adding support for ILaS data
dd9e07ae6d MAC 3GPP Stats: treat all CRC errors as generic failures
70497ac5f8 check_tfs.py: ignore utf-8 encoding errors
2971ce995d Check for success of routines called between pcap_create() and pcap_activate().
c6e03be53a dumpcap: check whether pcap_stats() succeeds.
e17a22df89 Fix some spelling errors
866de7bcde Zigbee display Smart Energy Fast Poll End Time as numeric and string
fec945c2c6 Correcting AVP Type for Framed-Pool and Charging-Gateway-Function-Host AVPs
00bbec71ca Adding Diameter AVPs to CiscoSystems.xml
8e8e07d892 epan: Remember whether heuristic dissectors are enabled by default
51c6fa874d Qt: Replace plugin column "Path" with "Scope" in About dialog
678a048549 plugins: Remove unused argument to scan_plugins_dir()
8ebde1309d Improve interface displaying and writing with multiple sections
577cc97f32 HTTP3: Improve QPACK dissection split across packets, prevent crash
62529defd3 recent: Fix leaks
52eb0cab5b Added dissector for the Monero wire protocol
74f3dad37c Don't warn about rdp.flags.pkt being non-contigous
f6913a9107 GitLab CI: Disable more options in no options build
184cf9e28b Qt: Disable the capture actions at startup if built without libpcap
b14d9c963c Remove init of tap variables
3644aa86a4 Draft: Make LTE Uu stats and graph work for NR too
e7a6c296b6 Qt: Disconnect signals in PreferenceEditorFrame
024f8a27bd Fix dumpcap build on platforms where isfinite() is in libm.
85e0909553 Fix wsutil/ws_strptime.c to compile on FreeBSD.
71fd16605c RDP: copy_address considered leaky
9c39c82cb1 Qt: Add plugin description/homepage fields to About dialog
242ddbb24b wslua: Fix loading "init.lua" in subdirectories
869728143d Remove plugin license check
c001d55cc4 gpg: Signature made Tue Dec  5 08:37:02 2023 PST
gpg:                using RSA key AB9A0CFF814FA65614B5F474397DFEBE343AD96F
gpg: Can't check signature: No public key
Qt: Fix profile menu widget parent relationships
d069a39c89 Busmirroring: Add expert item for invalid value
6230344148 Adding PLDM dissector for Base Specification
dc148e0ea5 CIP: Improve Connection Analysis
01796d6f2e IPv4: Implementation of conversations with stream identifiers
0e01240e78 SDP: Don't look past the fmtp parameter tokenlen for equals
1da30947b0 Qt: fix build with older Qt <5.15
98a8a9787b ZigBee TLV: Add a recursion check
fedc96177f [Automatic update for 2023-12-04]
1a33c02055 check_tfs.py: iterate through subdirs of epan/dissectors
388f928c01 Test: Disable an ASTERIX test
0b2bb4fdb3 plugins: Remove unused "min_api_level" field
412f184af2 PDCP-NR (trivial): show calculated digest preceded with 0x
e66f010ca2 Qt: Add context menu to Resolved Addresses
369651d618 BLF: Fix BLF_OBJTYPE_SYS_VARIABLE dissection
f835dc800f Update README.plugins and release notes
60f1972fa3 plugins: Fill in short description field
90b16b4092 Refactor plugin registration and add ABI/license check
87ec22e63d bitcoin: implemented dissecting `addrv2` messages
a7568772e7 Test: Make sure sampleif.py uses our current Python executable
9cd0366734 Qt: Add Copy, Save As to Resolved Addresses dialog
5877ba7fc5 Resolved Addresses: Only show used services
d34b57d7de Resolved Addresses: Only show hosts that are in the capture file
64723c6fdc check_tfs.py: show more clearly how to use tfs i.s.o. value_string
6f38651c3f Fix some spelling errors
3e877c3ecf Resolved Addresses: Only show ethers actually used in the capture file
f93fa9d896 GitLab CI: Use the default / stable macOS image
e5e6e67965 Resolved Addresses: Only show OUI actually used in the capture
268df12057 doc: Update WSUG for Windows 8.1, Server 2012
1ca9a8d872 Resolved Addresses: Only show wka actually used in the capture
0a68875657 TCP: Show the frame in which a PDU is reassembled
e200051eda manuf: Resolving of MA-M, MA-S, 28 and 36 bit OUIs
17acb9541e Qt: Use per-interface filters in CompiledFilterOutput
6409a42f4b Qt: Invalidate the idle dissection timer when clearing packet list
5256414290 AUTHORS: Change to my email address
2792c89909 Add "Use monitor mode on all 802.11 devices if possible"
363e0a7447 DNS: Reduce false positives of the DNS heuristic
8aea8c2156 DNS: fix typo in DNSSEC algorithm name ECDSAP386SHA386 -> ECDSAP384SHA384
2be3a61834 Qt: Save GeometryStateDialog splitter states
2f3f879f90 manuf: Remove curly quotes, double angle brackets
7234ce727b manuf: Update make-manuf for a few more Chinese names
93591e5ea1 Added Diameter AVPs 6080-6081 to VerizonWireless.xml
fc0f96477e TECMP: Make ASAM CMP detection backward compatible (Bugfix)
52c9976bba srt: Show rejection reason name for internal codes.
d0b08c94d7 Diameter: Fix capitalisation of "SCEF-Reference-ID-for-Deletion-Ext"
1c2093eec8 pcapng: support the if_tsoffset option.
2cab4226ef GNSS: add dissector for SBAS L1 MT26
f4883589eb CIP: Update Safety Application Reply handling
1885540bc0 Glib-compat: adding g_array_binary_search
958924d17a Qt: Improve DisplayFilterEdit completer selection with mouse
f9914098f6 Qt: Handle manufacturer names with spaces in Resolved Addresses
715f817682 capture: Always return the capability hash table
78383d6784 ZigBee ZCL: fix a memory leak introduced in be881f4 (CID 1558103)
c3048b3e3e check_tfs.py: use a set for the files to be checked
be881f404b Zigbee make the formatting of Zigbee UTC Time more readable and usable
3b8fb201a0 ieee80211: Fix two issues
8873aba1a0 Fix parse number of scalability structures in VP9
a8eef49a9e libwiretap: add support for signed integer-valued options.
14c524a278 Handle the if_fcslen option as having an unsigned 1-byte value.
10eece14e3 editcap: fix a tpyo in a comment.
860c3e0ba3 QUIC: Short Header packets can't be coalesced with Initial or 0-RTT
bd796dd1e7 wiretap: Fix rejecting non-EMS files
55a1f8b602 BACapp: Update BACnet vendor ID's
7bc7cd788c gpg: Signature made Mon Nov 27 09:07:39 2023 PST
gpg:                using RSA key AB9A0CFF814FA65614B5F474397DFEBE343AD96F
gpg: Can't check signature: No public key
USB Audio: Initial control transfers dissection support
83c94249b4 icmpv6: Make ND_RA_FLAG_RSV the two last bits
653d79ef09 rdp: add preliminary RDPEAR channel support
ea259b8841 rdp: various fix for the dynamic channel
e0d86ea198 Qt: Use Qt [save|restore]Geometry for GeometryStateDialog
cbc2cd039d check_tfs.py: remove unnecessary wrapper
ed91d8ae37 Qt: Add side-by-side layout preference option for Packet Dialog
34cc9b2e1a ipars: eomtype should not be global
d27c0adb5a ipars: don't throw an exception under if (tree)
9969584dae ipars: pinfo is used
7d732bad8c [Automatic update for 2023-11-26]
b7d4527bb6 Use prefs_register_dissector_preference()
2f1392169a prefs: Add prefs_register_dissector_preference()
92546a4a66 tshark: Don't dissect just because color is requested
457810c4d8 Qt: Also reset splitter recent values on layout change pref
52b7ce523a recent: Move new main geometry state to recent_common
6a6f83abc4 debian: Silence library-not-linked-against-libc Lintian error
a09853ddbd debian: Set target distribution to UNRELEASED
ac3326b4ab debian: Drop the wireshark-dbg package
1dec9cef99 debian: Merge wireshark-qt to the wireshark package
f393db6b9c recent: Main maximized is only in recent_common
699a60b2fd mgcp: Fix a buffer overrun
d762dd521a Qt: Disable Ok button on invalid range preference
3b9de4df3d tshark: Cache the interface list
c62e98c0f5 capture_opts: Don't retrieve the interface list for "-"
f5cc6ebbe5 ui: Make sure to use user-specified interface descriptions
a36ec2a2f0 ui: Move the check for the ex-opt for stdin_descr
74101e73f5 Qt: Plug leak in ManageInterfaceDialog
13a9f710eb tshark: Remove a useless call to get_interface_descriptive_name
e508e9364d Fix some item filters
8237070fca ui: Have get_interface_descriptive_name take the capture_options
3381725b71 Zigbee fix incorrect endianness on Smart Energy (SE) Tunnel Close Timeout Value
4e8603b604 BLF: Implement a mechanism for linear read
2b18176645 Capture: Fix deserializing single if capabilities on Windows
39ed3527a5 BLF: Use binary search on log containers
0837f2015a wustil: Warn about passing NULL string to ws_label_strcpy
697f37cf2b Capture: Get our capabilities list in one dumpcap call
a8586fde3a gvcp: Don't try to add a NULL string to a column
8defdda060 Qt: Fix View.. Reset Layout
1506126169 dfilter: Fix diameter.3GPP-* filters
2590f82a81 debian: Revert to listing Wireshark Self-made package as the maintainer
1b4f3f491d debian: Use strict generated shlibs instead of symbols files
136ca4287d TLS: recognize ech_required alert
26630c3587 LBAs are zero-based thus one(1) must be added to them.
29445cbfdf iSCSI Read Capacity
3852197510 WIP iSCSI Read Capacity fix for Ubuntu failure
99a9d40601 iSCSI Fix LBAs and display Binary Prefix sizes
d8b8400c27 TCP: changed "[TCP segment of a reassembled PDU]"
455a21f751 RTCP: Add MCPTT values from TS 24.380 V17.7.0
120c5cce8d Fixed typo in zcl temp meas cluster
06d81f7b32 ZBee ZCL Closures: make a function static
30d0165bbd Try to fix tests on ARM64
e9de042644 Qt: Remember what monitor we last ran on when maximizing
1fdb2720b1 Qt: Free the old splitter geometry values when saving new ones
898ec16857 Qt: Save the main window QSplitter states and restore them
002b40de89 rdp: fix indentation in file
6ec01c0583 rdp: various fixes and enhancements
05accf6c9b Zigbee: Add support of window covering cluster
c16eaeb014 ENIP: Add TCP/IP Interface service
2e41f52062 CIP Safety: Improve Analysis
0d93782443 dumpcap: Serialize machine readable interface caps as JSON
212cfe132c wsutil: Add wsjson function to get boolean
3570a9a219 isakmp: update dh_group value_string with RFC8031 and RFC9385
24e7627fe4 Change some `wmem_packet_scope()` to `pinfo->pool`
24c0cba235 doc: Mention rpcap fix in release notes
e425fb606c recent: Remove unused wlan_stats_pane geometry (GTK-only)
afb03fa515 GVCP: add ASCII (0x02) to Character Set value_string
69f04acd3d DCERPC: update LSA idl from upstream variant, adds support for new calls
c3548e3005 manuf: Add back the special case for all zeroes
ff447b1aec Qt: Store active remote hosts in a preference file
2fa48bbbd5 Make recent remote interfaces a list
ad6947eb71 GNSS: add dissector for EGNOS Message Server (EMS) files
cea4faac39 GNSS: add wiretap for EGNOS Message Server (EMS) files
1ae5f9714c Fix extraneous include
e68689783c lustre: Decode lvm_user_md_v1
ff153d4471 WSUG: Windows and macOS installation updates
182bf5b835 Qt: Don't pre-populate Remote Interfaces with recent data
d1699f0c67 Qt: Prevent infinite recursive stack smash in CaptureOptionsDialog
a0fd835e80 F5ethtrailer: add session parameter to file info
f082e564d2 dfilter: Fixup b72d65302e
bcc082f1ef Qt: Only call pcap_freecode on success
b72d65302e dfilter: Fix subtraction with NN-MM
9c9b270cb1 Remove README.aix and README.hpux
a9b0dc0aa7 ZigBee ZCL: Fix an array bounds check
3e86238f7e PROFINET: Correctly decode AR APDU status
c6ad48d3f2 LLDP: Decode more PROFINET subtypes
2a9bc63325 Remove init of proto variables
e8e16400d8 tools: Improve match for proto variables
04e12ad947 CMake: Move wireshark.pc.in
64b3136321 [Automatic update for 2023-11-19]
47a4d7f480 GitLab CI: Check help URLs in Commit Check
2a482336b8 epan: Fix truncation of BASE_OUI labels
8c22a6cc02 blf: expand a comment.
fe23a8bdef More item fussing
b61c0ac536 dissectors: Remove init of hf and ett variable arrays
f2774d4b5b file-blf: add some sanity checks of length fields.
90f2fcd329 dissectors: Use gint for ett variables
d9bd2d2155 GitLab CI: Don't run Lintian
3e296c041f blf: check the validity of the header length field.
ba5a010f47 synphasor: Remove indent from ett variables
ecb295c6dc rdpmt: Rename hf variables
958131ca10 docs: Alter FollowStreamSection anchor
5f95a57ff2 docs: Add Time Shift section to WSUG
49f5bea629 Qt: Don't try to compile capture filters for unknown dlts
4ae05e6c9f Qt: Fix leaks in CompiledFilterOutput
2b4c88cb42 Fix saving recently used capture filters
454bf3f260 netflow: Rename hf variables
ae5c7ff41b blf: add more error checks.
ec915136d9 blf: add some comments to the header.
855c445d14 Capture Filter Syntax Worker: free BPF program
e15d167646 wsug: Add interface name to temporary capture file name
7c9946bdab ncp-sss: Fix header field abbrevs
d6f158c848 5Co: Fix protocol name in fields
5c8ba89ef3 bmp: fix peer down RFC9069 TLV parsing
5a57a8499d dissectors: Rename hf and ett variables
6e39bcc7fa rdpudp: Fix header field abbrevs
ea85bff16c dcerpc-netlogon: Fix header field abbrevs
1222d2ec65 tei_management: Fix header field abbrevs
50585a94bb idn: Fix header field abbrevs
935df1e875 bitcoin: dissecting segwit transactions (witness fields etc.)
3fac54aaa8 XML: fix issue about parsing encoding attr when standalone attr exists
34d9cc68a1 dissectors: Remove init of hf and ett variable arrays
9e59a18db8 dissectors: Rename expert_field variables
3b386ed6e6 docs: Temporary capture file format
656649d033 wiretap: Write MPEG-2 Transport Streams to native format
e675c13f89 SCSI-SBC: Handle Service Action In limited by allocation length
07638b0646 RSVD: Handle MS-RSVD TUNNEL_SCSI_RESPONSE spec 7.0-10.0
25db7cf10b RSVD: Don't create tasks twice, handle responses before requests
c25e0f9084 Fix overriding capture option prefs at the command line
9a28224e93 Exporting hex strings: speed up a little by not zeroing temp buffer
71cec914fe QUIC: Heuristically search for coalesced (e.g. GSO) short header packets
5d52bc5e10 Mongo: Detect both with and without TLS
c4b97d1f52 Start to check range_strings
3bb1c53aaa DHCP: adding Enterprise handle in Opt 124 Vendor Class
17b30b2e9a h265: Remove unused comments in hf variables
c1c8a04db4 TCP, UDP: fix formatting for zero-padded partial checksums
200a52616d NGAP: add dissection of n2MbsSmInfo media type payload
5233a55fdf A few more item warning fixes
a2e90a6557 Qt: Update correct row in Advanced preferences
bee7b2cb8e Qt: Fix Recent Files Max Count at startup
8988d21d26 Qt: Use qstring_strdup in more places
b40c7d6c8a LIX2: Update to 3GPP TS 33.128 V18.5.0
6360ddacb3 LI5G: lift dissector to ETSI TS 103 221-2 V1.6.1
e1fdc2224a tshark: -U must be one of the export PDU taps
304868dcf6 capture_file_dialog: update a comment.
81edda6c32 http: clean up some issues with the Load Distribution statistics.
d48e0a75cc Fix (or disable) more dissector item warnings
7b550c21d4 docs: Add wsug chapter on 802.11 Decryption Keys, link UAT help
fb3e2bf984 Qt: Add an option to show changed preferences
7cd82a923c GitLab CI: Copy our Debian packages instead of moving them
6ce97e418b Docs: Move attributes.adoc to the doc directory
a0839b6e5e dot11decrypt: Fix bits number
09e9b352d0 dot11decrypt: Explain why key parsing failed
7a82a9707c Make the code that handles the file open dialog style common code.
46a97fe111 More fixes when converting display macro configuration
22c6a8f0d4 RF4CE: protect against an out of bounds copy
3fa9915a1a Debian: Update our symbols
91465bcb8b Qt: Fix display filter macros when switching profiles
24570a3573 dot11decrypt: Don't keep copying and converting strings and bytes
2cbed520a2 Qt: define QProcess::splitCommand for older Qt 5 versions
8ca602f6e7 Fix (or ignore) more consecutive item filters
0f7edbcd4e Packaging: Fix our WiX DLLs
b553202875 WSUG: Update Display Filter Macro documentation
b0ae205c51 dot11decrypt: Percent-decode WPA passphrase in parse_key_string
774d5b2175 DHCPv6: Add option 79 handling (Client Link-Layer Address)
58b3d0163f Windows: Update libsmi
b64a54b43b Windows: Make sure we ship our minizip DLL
487dfc8743 [Automatic update for 2023-11-12]
df2e0b7d61 Qt: add command line options support in the TLS Keylog Launcher
fee9fb26e8 Zigbee: add support for NWK verified frame counter flag in security header
90b1a157dc dot11decrypt: Fix setting log domain
7ab4bbb9d0 Qt: DisplayFilter left align buttons
814dc49d61 Qt: More missing ApplicationPaletteChange event workarounds
7b726e3f6e Qt: Change button style in FilterExpressionFrame
ccfc06c25e Resources: Update AppStream metadata to the latest format
12f6d8df8d BLF: Set the name of the STATUS interfaces from channels XML too
be3d45fcb0 BLF: Extract channels and ports names from AppText Metadata XML
19f7e572a4 Work around macOS running applications in /.
12b015d1c4 SNMP: Add prettification for DateAndTime in the other branch
4e7b1b611a Fix possible overrun in radius dictionary parsing
d6912ddf1d Qt: Fix header name for Display Filter Macro Dialog
3ddad3fcae GitLab CI: Run lintian after we've created our artifacts
cf5811140d isdn-sup: Properly register dissectors
84141d45c2 TCP, UDP: Calculate partial (pseudo header) checksums for offload
cb21172447 HTTP3: Guarantee unique offsets for the header data
3498469956 HTTP3: Fix field highlights
36a9f4231b Qt: Update styleSheet in AccordionFrame
44454184f5 Remove unneeded includes of "ui/last_open_dir.h".
a1467a8ce2 Minor corrections to release notes
ca78434471 Add a newline at the end of the last line.
3b08042a4e Remove README.windows.
88ce30d51b RF4CE: NULL dereferences in packet-rf4ce_secur.c
a5e0be51df Windows: Upgrade Minizip to 1.3
cefcf0ac02 Windows: Upgrade c-ares to 1.19.1
5550ec4b69 Qt: Update ComboBox in updateStyleSheet()
d139a97067 Fix some spelling errors
20a98a485c doc: Add hard line break between secrets types in editcap man page
17d129b903 Qt: Update styleSheet on ApplicationPaletteChange event
0520153cb5 UAT: Fix a Coverity warning
4365250098 dfilter: Add back unparsed syntax type
85f0a53f77 dfilter: Fix an error message
adfbd315b6 GitHub CI: Use the latest version of macOS
625c1a5ded GitLab CI: Always publish our Debian Stable APT Package artifacts
0b69bfcafa ANSI-MAP: Add parameters to the OriginationRequest SET
5eea10e4e4 GSM SIM: fix dissection of READ / UPDATE BINARY commands
7161431cec Qt: Use QLineEdit border only on macOS
92753cb401 pfcp: correction of Outer Header IE bitshift
b34ec48b1e Ethernet, PRP: Convert PRP to trailer dissector
4ebb6e9893 tshark: Escape delimiter separated value in compliant ways
85262b5a89 ISO15765: Fix error in dissection of STmin
3d79f131e8 Fix AVP decryption in Radius dissector
4fcceef21c Qt: Remove PINOs from Enabled Protocols dialog
a9c1fa3a68 bmp: version 4 capacility expert info fix
bdaae9ddef Qt: Add QLineEdit border in AccordionFrame
b2f5ac5123 Qt: Change InterfaceToolbarLineEdit border color
3ab45fe831 GitLab CI: Make our Debian symbols downloadable
cd757e0c16 Qt: Add macro name validator
3e8e39061f Qt: Remove an errant tr()
bc528a344e Fix some more copy/pasted filters
4d23680d25 Qt: Reduce the spacing between the two rows of the search frame
7d87367e22 dfilter: Add a function-like macro syntax
c568589189 Qt: SyntaxLineEdit state-icon top position
c6af671324 dfilter: Add macro check
9ae752109c dftest: Add option to dump macros
bc64efa538 dfilter: Replace macro UAT config file and update GUI
4205d41163 TCP: Don't export PDUs that are desegmented in a later frame
d93cbe28f6 Qt: Add InterfaceToolbarLineEdit border
5880b2195e Qt: Fix Export Packet Dissections Help button, connections on non-Windows
398ef5f09b Use case-insensitive capture filter match
177cc29ea6 wsutil: Make filter lists dynamic and on-demand
cdd2d1902a tests: Use fixture for dftest command
99a7079bc0 sharkd: Fix displayed delta times in "frames" method
9daf31cc10 Infiniband dissector: Fix typo in comment of parse_DCCETH()
186e6512f9 Infiniband dissector: Enable to parse ATOMIC Write operation packets
472de027ea Infiniband dissector: Enable to parse FLUSH operation packets
f85da38c5a Infiniband dissector: Add definitions of FLUSH and ATOMIC Write
b7cc44eb34 epan: Convert uat.h indentation to 4-space
f4301d5113 dfilter: Remove an assertion
5113423596 dfilter: Reformat switch code style
a1dd95456c dftest: Enable flex/lemon debugging with -D
1e532ee7c3 UAT: Add uat_destroy()
eed96b41fb Add support for comments in cfilters/dfilters
26785e7394 Remove support for deprecated "filters" configuration file
0deeb8caf1 SMB2: dissect SMB2_FS_POSIX_INFO info level
4d294c0b73 epan: Prepare dissectors for initialize static values to 0
5cedcc970b plugins: Initialize static proto values to 0
eb4eeb07ca epan: Initialize static proto values to 0
309a47997e tools: Initialize static proto values
b5644e111a Qt: Add DSBs info to capture file properties
40219156f9 GTPv2: Add SCEF Reference Id Ext to Monitoring Event Extended
29090f6236 tests: Use tmp_path pytest fixture to create home dir
29ec73de9a UAT: Remove unused boolean field "from_global"
5fe1dcab27 GTPv2: comment an unused hf entry
ce2822a2c4 GTPv2: remove a trailing : in a field description
5a6ebf213e GTPv2: Add SCEF Reference ID Ext to monitor event
e973c15aaa GitLab CI: Fix the Commit Check job for external projects
434f378500 GitLab CI: Fix a couple of paths
7d0025eaea GitLab CI: Run `tshark --version` in a few places
817e7c01cf ISO15765: Remove the duplicated text in the "Information" column
6a1015061b macsec: Calculate FCS correctly for short frames
dc6113083e dfilter: Check function name for validity
d967ce3605 dfilter: Fix scanner for protocol names starting with digit
d661136b77 GitLab CI: Conditionally install the GitLab CLI (glab)
3c410aa9be bmp: add support for draft-ietf-grow-bmp-tlv-13
841d8e9b49 [Automatic update for 2023-11-05]
f821b03d5e macos-setup: work around problem with the Xcode 15 linker.
6a514b62c5 HomePNA: Also set the length of the proto item when short
8bffe8954e WebSocket: Make the max unmasked payload length configurale
6646a33a54 Thrift: Update field_id in all sub-dissector functions.
ac72413cdd IEEE1905: cleanup dissector
ea60ff33e2 AVSP: Fix FCS calculation
426e26f11a mikey: Skip unknown payload types
4b6438ee36 OpenFlow(v1): Add Actions to FLOW_MOD
6fcb86615d HomePNA: Fix FCS calculation when there is no piggybacked payload
743a9b3b0e SMB2: add SMB2_FILE_LINK_INFO
1646b2a3be SMB2: fix dissecting device number
79aec8b002 SMB2: fix order of file size and allocation size in SMB3 POSIX info
19de076fed iperf(2): fix conflict for display filter name
fa3836a57c Detect more copy/pasted filters - looking further back
9433d37731 GitLab CI: Make sure GITLAB_TOKEN is set in the Commit Check job
0f38e1662f rsvp: Add missing hf for exclude route
28dfc3eae1 TNS: Handle connect data in subsequent packet and data descriptor type
dac5a920ab coap/tls: Remove SSL_COMMON_LIST_T proto init
82015a0a88 LDAP: val_to_str() format string has double %
40ea13a17d RF4CE: remove two useless local variables
140132d0ab HTTP3: fix web-transport
0969229bbf ICMPv6: Improve Option 21 PvD ID
62d45fcc7c WLAN: Fix header field registrations using 0 rather than NULL
aecba1f68b gitignore: Fix our Vim swap file pattern
e3642264fa RTPproxy: fix an unaligned access reported by UBSan
d1f64e9cbb SMB2: prevent calling wmem_array_append() without a valid pointer
ce1b766a95 per: Fix check for extension addition group
f6d51ddc6f Add Message-Authenticator validation to the radius dissector
77ea80001e OPA MAD: fix unaligned access introduced in 036f2e12
9c36381961 RF4CE: Fix illegal memory accesses
c27483bf7d zigbee-direct: rename time variable for avoid checkAPI warnings
4350dac99f HTTP: Fix chunking detection for certain request methods
3d8da75ba9 Qt: Fix show bytes as image typo
2cac1ca9e0 asn2wrs: Update to not initialize static proto values
660cefa708 PNIO: clean up the title and description of the GSD folder path preference.
4035dfa94d GitLab CI: Repository and error handling fixups
7d0b92aa0e Initialize static proto values to 0
520f0d8e26 Qt: Enforce Minimum Qt version 5.11
8fc6ea3229 opcua: fix CID 1548379
f17f629870 fix return value of decrypt_opcua if decryption fails
a84dc083c3 ISAKMP: Update value strings from IANA registry.
04335b02d7 GitLab CI: Update some commit check result text
74dce085af Infiniband dissector: Fix output format of 'Unknown OpCode' packets
491857ae7e dfilter: Elide branch jumps to next instruction
5a4d883f85 dfilter: Fix crash with nested function calls
e0cafce263 BusMirroring: Add brief introduction of the protocol
3f51655358 BusMirroring: Add the dissection of FlexRay frame
afdbc17b96 capinfos: Fix count of IP address and decryption secrets
a3fd4fd25b pcapng: convert FCS lengths between bytes and bits.
c9d41e2641 Revert "sttype-op(dfilter): fix Dead initialization"
b40931cd17 dfilter: Print function argument types for constants
27e8c8ebde FindPCAP: mystery solved!
af91d78a54 macos-setup: don't build GLib tests, to work around a bug.
ec001766f6 WSLua DissectorTable GUID Support
14a934fb22 GitLab CI: More rules updates
e9c7326d9c macos-setup: update to zstd 1.5.5. [skip ci]
1b634a3a8b GitLab CI: Print more CI variables and update job rules
9be8dc83ad RF4CE: Improving dissector heuristic
e50ffe7cb1 ICMPv6: Add Option 21 PvD ID
53876ae73b GitLab CI: Show a commit log when we have multiple commits
7733526e0a ENIP/CIP-I/O: Use CIP-I/O as protocol name for CIP-I/O
3173400167 addr_resolv: Remove confusing "only use profile hosts" preference
7ac827fd74 LAPD: Set address AT_STRINGZ
f051e97906 Fix Dead initialization found by Clang Analyzer
acdee88430 sttype-op(dfilter): fix Dead initialization
fa99fe81cc GitLab CI: Add plumbing for merge request feedback
4cf6568b2e Qt: fix handling display filter dialog TFS NULL value
347fa8a8a1 tshark: fix memory leak when printing an IPv4 address
de43cc7eee WSUG: Mention the at operator and field references
276fb25e61 ISOBUS: Remove incomplete warning and cleanup
0ee04d759f GTP: add dissection of RIM Routing Address IE
4d71744d84 uat: Small comment update about update callbacks
1484169815 prefs: GUI preferences don't affect dissection
3b09f561f2 opcua: add more comments
308336a05d opcua: add sanity check in keylog parser
9f17196a9d opcua: add lost sig_len parsing due to rebasing
2e835dc2c2 opcua: add encrypted capture file with embedded keys
df8b016ea8 opcua: make strtok_r compatible with MSVC
3c9e7bc58b opcua: implement loading keylog file from pcapng embedded DSB
36e7c60c50 epan: export secrets_register_type to be useable in plugins.
8f3fc34a0c editcap: add new SECRETS_TYPE_OPCUA
ca8594cc55 JSON: Shorten the name of JSON in INFO column
5789bc7977 Use C99 instead of GLib types in doc+docbook
47b310da47 GTP, GTPv2: use wmem_maps instead of GHashTables
5f3ed0670e QUIC: Add a null check
7fc8ed84d8 Qt: Unmark field when not found in a Byte View
d1f81f131e Alias my old email address in mailmap
e9b8349c14 ORAN FH CUS: Fix up ext 6 handling
6affa937f3 epan: Fix display filter macro post update
a913c2a334 Apply 1 suggestion(s) to 1 file(s)
8eceea5315 Apply 3 suggestion(s) to 1 file(s)
e240a45454 RTP ED137 Improve dissection with req/rsp and text in info column
5d7a0c149a NSIS: Make a bunch of sections hidden / mandatory
2dc3887a3b INAP: Fix dissection of local code in ExtensionField
9b62ec029e dfilter: Fix slices with byte references
1dd58a0559 ISOBUS: change to value_string_ext for faster lookup
0256c588a7 UDS: change to value_string_ext for faster lookup
946f1fd1a4 OSPF: Fix offset for dissect_ospf_lsa_opaque_ri
133f6594ad Qt: Fix address editor leak
9765f8575c wsutil: Rename inet_netw.[ch]
b9667fa9ce tcp: TCP Segment Len is not found in the packet bytes
0cf6471f68 epan: Move tvbuff functions to tvbuff.c
a178ec8a38 wsutil: Move and consolidate CIDR code
0509398c4f wsutil: Consolidate IP address code
1c0f9cd3ae IPv6: Move IPv6 header definitions to epan/dissectors
3ebeda8dd9 QUIC: Support testing if the QUIC bit can be greased (RFC 9287)
dee60892fc Qt: Rename the Browser SSL Keylog dialog to SSL Keylog Launcher
47ee58bf26 rf4ce: make a couple of symbols static
49f39be301 dfilter: Add IP address plugin
96f0f487d7 IANA IP Registry: More API refactoring
813be7fe50 dfilter: Allow writing references without curly braces
db49708b17 bitcoin: implemented parsing of missing service flags
dec1748f90 AUTOSAR IPDUM: Adding macros to header file
0e1945d4b7 ISOBUS: Adding support for Signal PDU dissection
8bbec5cc54 SOMEIP: Add macros to header and clean up
d0aa502d06 BLF: Give a different message for known but unsupported object types
cd2eea19b1 BLF: Add support for BLF_OBJTYPE_ETHERNET_PHY_STATE
dcc7ab3cea BLF: Add support for BLF_OBJTYPE_LIN_SND_ERROR and BLF_OBJTYPE_LIN_SND_ERROR2
c0f287ad69 BLF: Extract FDF, BRS and ESI flags
6db83ce7eb BLF: BLF_OBJTYPE_ETHERNET_STATUS: Add new field 'linkUpDuration'
2bff692d10 Add support for BLF_OBJTYPE_LIN_CRC_ERROR and BLF_OBJTYPE_LIN_CRC_ERROR2
c6c87a4abd BLF: Add support for BLF_OBJTYPE_CAN_OVERLOAD
91acc78466 BLF: Add support for BLF_OBJTYPE_LIN_MESSAGE2
8b631bf23f radiotap: Improve indication of 6 GHz band channels
2adc59ff92 Prefs: Fix TCP sequence analysis override pref handling
d300f30469 cmake: work around a mysterious macOS dyld problem.
6f4a9a9c92 Debian: Add missing symbols
e99a97f14a QUIC: add support of multipath draft06
b2def83df6 UDS: Fix error in dissection of "Sub Function"
c18aecc063 Exported PDU: Add new tag EXP_PDU_TAG_USER_DATA_PDU
9bd3965603 NSIS: Save our installation directory in the registry
233d97b69a netscreen2dump: drop support for netscreen2dump.py
fce1d98daf make-taps: compatible with Python 3.12
c51587af21 BLF: Fix relative timestamp
9752f1dd16 Tools: Clean up the lists in rpm-setup
726466ea4f epan: Use available space for FT_BYTES labels
42442281f7 nr-rrc: lookup UE ID from MAC,RLC,PDCP (in order)
0d941ce280 make-authors-csv: compatible with Python 3.12
d5eded157a ieee80211-radiotap: Remove undefined S1G NDP and indent update
35da15174b QUIC: Update to ACK Frequency draft07
c9b1866ca0 BLF: Fix compiler warning
4e0494e654 epan: When exporting packets as C Arrays, use C++ comments
8f28a0e9f3 plugins: Make flags unsigned
6f5fd697d9 [Automatic update for 2023-10-29]
24c8d79d53 bitcoin: implemented dissecting `sendcmpct` messages
904cad5297 Fix some spelling errors
e12c89f3ca IPv4: Fix wrong endianness displaying source/dest addresses
ca392f6ddc wsutil/to_str: Deprecate ip_to_str() for endian-explicit versions
1c2cf8064a Qt: Make Edit Name Resolution combobox size adjust to contents
41be4c8cf7 ZigBee: Fix decryption of first APS packet
0ea6bbb9e3 RF4CE: Fix illegal memory accesses
0ba993c81f Qt: Update address editor for FT_IPv4 changes
c88e3b332e bitcoin: parsing `feefilter` messages
5aec5b6046 Debian: Add missing symbols
250474a738 GitLab CI: Fix our Windows release info paths
ed482b263f GitLab CI: Add Windows package release info
de0be93e1e Tools: Fix the version file version
fa1be49d40 GitLab CI+tools: Switch to a raw version file
cd0b1be8da prefs: TCP override pref check field flags
0da43f2d42 HTTP3: dissect control stream, various display improvements
3beeba3161 HTTP3: fix nghttp3_qpack_stream_context_new memleak on error path
eabe5e268a dfilter: Refactor initialization and registration of functions
db99904eea Qt: Include functions in display filter completions
f46b9b1b40 RTP: Indicate when padding is bogus
919eb1c53f GitLab CI+tools: Add version environment files
e15d826b53 Qt: Fix leak in prefs
ea3bdb9eaf [RF4CE] Applying code review suggestions
f975adc436 [RF4CE] Applying code review suggestions
38b6c7cd0a [RF4CE] Added RF4CE protocols to release notes
63f90e34a8 [RF4CE] Fixing CI issue
f413a2da88 [RF4CE] Fixes after code review
46e0b5f168 [RF4CE] Fixing trailing white spaces
5bc1f9d07f RF4CE: add RF4CE protocol dissector
6fec850f62 dfilter: Install plugin headers
1a8e1b1466 Use explicit test for Clang with compiler attributes
0d46d9a60a ftypes: Add IPv4 setter/getter
e9c3747488 Qt: remove use of qAsConst which is deprecated in Qt 6.6
33b66952ac opcua: fix parsing of service payload for messages without payload
06b7217fd0 CMake: Have the docs target depend on the manpages target
7e351192e2 bitcoin: handling `sendaddrv2`, `sendheaders` and `wtxidrelay` commands
e583fcd9f3 Infiniband dissector: Fix inaccurate comments in the header
5fa851911e TLS: add SNI to Info column, display common extensions up in the tree
4846ecdade Qt: Fix our "Go To" menu connections
60a9e1124b Find: Matching multiple occurrences in Packet Bytes
a6f3e61d70 wsutil: Add a reverse mempbrk function
0cec46bb25 wsutil: Add a memrchr implementation
6c424b610d TLS: Change wmem_packet_scope() to pinfo->pool
44c2af8d62 Added ERF FlowID Hash Type inner bit
8aaef0e515 Qt: Check if focusWidget() is nullptr when setting previous focus
b02fb85020 More item check fixes
04b86acbb2 ISOBUS: make a couple of functions static
baa9f5b249 rdp: fix segfaults when decoding egfx packets
4a3472b9d4 rdp: parse redirected authentication flag in nego request
adaacddc48 opcua: add decryption support
32ed5eac61 doc: Fix the description of the "Raw" Follow Stream mode
112733d39b OER: Support signed field for unconstrained INTEGER
4212131392 BusMirroring: Add validation for data length legality
1f70205c58 BusMirroring: Add the basic implementation of dissector
59ae57050c Diameter: Add missing AVPs and update AVP names
dbfbfb608c TLS: extend support for more SupportedGroups and SignatureAlgs
e5b4007d05 macos-setup: Update GLib to 2.76.6
b558c5c2e6 ISOBUS: Improving the dissector
d99efed280 dfilter: Add display filter plugins
41e8d5a9b3 dfilter: Add WS_DLL_PUBLIC to more functions
7fbed5b306 plugins: Allow multiple types in description
061eea1c37 GitLab CI: Use PowerShell's Get-FileHash
1e5a2f16d4 bitcoin: added 5 missing `inv_types` (for `inv` and `getdata`)
953a52f040 pgsql: backend msg parse fail
e6215e7db0 IANA IP Registry: Use binary search
c2ace8931c Qt: Follow Stream stream and substream spinboxes keyboard handling
5f2bff0c45 Qt: Fix resetting follow tap when the filter changes
d44e9d3b4c IPv6: Add special-purpose block flags
c37d10383d IPv6: Make the "show address detail" preference default enabled
9a0e4a7980 IPv6: Improve some address labels
75f50ad622 IEEE 1722: Fix unitialized can_info
d917fa693e Qt: Fix Qt5 and Clang
670176726d Translation(qt): Add Korean translation
a35aa997ad RTPS: string dissection, unicode improvements
e21f61ed70 Falco bridge: Plugin fixups
e9e891da14 Qt: Use std::move in follow stream
ea5f48aa93 Fixups to IANA IP special purpose registry
799ae75010 dfilter: Refactor function semantic check
47746f0316 dfilter: Minor cleanup
5609c77144 dfilter: Allow testing for nonzero function result
ebbd6439c9 dfilter: Fixup e2a3acefe9
3b63098fb1 mergecap: prevent appending to an input file
e2a3acefe9 dfilter: Use a constant to declare function return type
4a377d49ff IPv6: Use IANA IP special purpose registry API
b82b32fdd7 Add IPv4/IPv6 IANA special purpose registry as generated data
29decd00bd BLF: Show comment, attachment and traceline in info column
3d9376499d BLF: Remove AppText minimum length
30ec1dc396 BLF: Add support for BLF_OBJTYPE_APP_TEXT Metadata segmentation
845507e98a Update Pinfo.port_type tests now that it's writeable
4b0281310c Allow writing of PInfo.port_type in lua
4d27035fa6 Add option to copy bytes as Go literal
fb21b775b0 BLF: Fix CAN usage of payload_length and payload_length_valid
da835213e9 BLF: CAN_MESSAGE: Remove payload length check since the size is fixed
3d94fceccd BLF: Fix CAN parsing
c50c2f63aa TLS: remove tls13_cipher_create()
e427db11ff ED137: Fix additional feature dissection
13e73a6bf6 RTPS: Added fields init_vector_suffix and session_id
62375e61c6 Qt: Remove obsolete comment about GTK+ follow
56200e40f5 Follow: Use common follow_reset_stream
3a50b6dac7 Qt: Remove unused member from follow
fcee2a36d2 mac-nr: add mac-nr-framed protocol
a0edd523b4 capture-wpcap.c: fix typo, move a #include.
9375a43d48 dumpcap: recommend upgrading Npcap for promiscuous-mode errors.
63b08c9850 Qt: Move addText to FollowStreamText
d16f0271a7 Falco bridge: Minor fixes
0bc3f1c89d Qt: Minor follow stream optimizations
36391da1b2 Qt: Fixup application bundle paths on macOS
99ebe90e89 macos-setup.sh: fix build of latest libgcrypt. [skip ci]
619ce9fbc5 XML: Add UDP port range pref, set 3702 (WS-Discovery)
f49f9c0020 Diameter: add support for SCEF Extended Reference IDs
f1339763f9 Qt: Improve FollowStreamText scroll performance
7f7e153100 TECMP: Fixing length of CAN payload (BUGFIX)
c86a85022d dfilter: Add "bitand" as an alternative operator keyword
1ee70cf25f dfilter: Fix failed assertion with time arithmetic
21a3ba0bf2 dfilter: Compute more compile-time constant arithmetic
33cd0c0f06 ieee80211: Update the naming of description and display filter
61696e68d4 Thrift: Multiple fixes in compact protocol
8d630d43e7 dfilter: Add back check for division by zero
1af4b495f2 dfilter: Use better assertions for invalid enums
128472b007 Windows: upgrade Npcap to 1.78
bc1b7c281c Packaging: Make sure we ship our PCRE DLL
6b1b8fb33c [Automatic update for 2023-10-22]
9be24e6c86 wsutil: wmem_strjoinv behavior on empty array
899002e8d8 dftest: Use debug level instead of on/off
b86a14be4a dfilter: Fix a compiler warning [-Wmaybe-uninitialized]
356b3ed6c9 dfilter: Add time multiplication by scalar floats
96932fe305 dfilter: Fix an error parsing byte strings
881dec9b90 dfilter: Add number lexical type
ec669afcbb dfilter: Add time multiplication by scalar integers
8710ec9cf1 dfilter: Rewrite if-else block using a switch
3f24475b8c TLS: improve visualization of Token Binding estension
6fddc23021 Docs+tools: Remove GPLv3 with Bison from the allowed license list
bde3da4445 BLF: Fix BLF_OBJTYPE_ETHERNET_STATUS
18b5564537 Docs: Move the FAQ to the doc directory
3aedd8751f VNC: Remove globals
0a2a388d32 epan: Fix NTP time encoding edge case
48cd7f9284 TLS: JA4 fix non printable ALPN values
e1455bc55d USB-COM: make some functions static
0156b04d75 Logray: Add some global profiles
d27f9e6ac5 Falco bridge: Make sure we have a valid syscall source name
c6b1d97a06 nettrace_3gpp_32_423: Timestamp wrongly calculated.
95159bbcdd Fix some spelling errors
dfddf5a557 macos-setup: Update libgcrypt
7bf7a13676 BLF: Fix LIN parsing
666a4f7f09 DHCP: Fix offset for SIP Server (option 120)
fa5f0a1264 Re-run pidl after upstream samba samr.idl changes
4ee9d4ee15 Add lsa_BinaryString from samba upstream lsa.idl
800831cab2 Fixup vcpkg-export-20231017-1
652b6b186f Add vcpkg-export-20231017-1
938111c587 BLF: Fix memory leak
f5a4548ddd BLF: Fix BLF_APPTEXT_METADATA and BLF_APPTEXT_COMMENT
55f57b73a6 Sysdig: Use libsinsp for native syscalls
c542f6aa3a MAC-NR: Fix handling of RedCap UL CCCH SDUs
4bf4b0b68c Translation: Update to transifex APIv3
a274d763df GitLab CI: Switch the openSUSE builds to 15.5
2799ca5485 macos-setup: Don't try to install too old versions
3bb57caa99 macos-setup: We require Qt 5.10, hence macOS 10.11
3d4689d819 gnutls: Set FIPS mode to lax if enabled
c3fefcc537 GitLab CI: Print our CI variables
d53abf8c7e PFCP: Wrong length used for TEID
7595fc7b01 Revert "plugins: Do not require a "type" subfolder hierarchy"
b0b6428471 ieee80211: Add different display filter for each WMM AC
21c6892d2a vmware-hb: Update build number
c2f98ec895 vmware-hb: fix display filter name
0d5be1eb42 Nettrace: add handle of both NAS-EPS and NAS-5GS
0382c7785b nettrace_3gpp_32_423: Offset for msg advanced twice.
1419acc886 wslog: Add WS_NOT_IMPLEMENTED() macro
4c3b5db000 dfilter: Improve type inferrence for constant values
311dacfe8e macos-setup: use compile options for libpcre and zstd. [skip ci]
b97e94627c macos-setup: fix a comment. [skip ci]
9605f3d3f4 USB: Differentiate IN and OUT endpoints
da7b7c81de USBLL: Call USB dissector after USBLL address is set
c21e23722c USB CDC: Add follow USB CDC Data stream
861a3eef63 Qt: Edit capture comments in separate dialog
988635fd26 VMware HeartBeat: Enhance dissection
0a58117fed Frame: dissector table for PcapNG custom blocks
65d035d1bb ieee80211: Add dissection of ETAG FILS Request Parameter
09dc64dfdd MAC-NR:Handle the length off all UL lcid.
3be1c99180 netscreen: do bounds checking for each byte of packet data.
c5d9aa2812 Windows: Upgrade to nghttp3 1.0.0
2cc9d615e9 plugins: Add back a (flexible) folder type hierarchy
14fbc968f7 BLF: Fix memory leak for interface name
bb293845dc androiddoc: Update man page
968483728f androiddump: support capture filter
b89bee479a Windows: Upgrade to nghttp2 1.57.0
b227c21dce tls-utils: Make a value_string static
1d123c46cb blf: Use WTAP_ENCAP_NONE, record linktypes must match interface linktype
390b5e3fd9 MAC-NR: Handle RedCap CCCH SDUs (length and which RRC dissector to call)
c7d0e02b49 plugins: Optimize directory scanning
95340cfdc1 TLS: add JA4 TLS client fingerprinting
067dce3fdf BTatt: add value to time related items
c108e75142 BTatt: factor out timestamp code
f15c7ee135 http3: Don't point to file scoped memory after leaving the scope
b2a9654292 mac-nr: Make defines and value strings for LCID values.
3489952a81 Make `grep proto_register_protocol` more useful
adb4f1d91b CI,Tools: auto-enable Homebrew updates in CI, remove brew doctor
eca88da1c5 HTTP3: remove nghttp3 min version, update setup scripts
19fd8b7e81 nghttp3: Add runtime version information, if present
b42cd0df29 Fix some more item-related warnings (check_typed_item_calls.py)
f59981450d Lua context commands: only populate for single frame selection
4d51ce86d7 Docs: Simplify our man page markup
83b56c3b55 [Automatic update for 2023-10-15]
f1f6c1369d Don't use frames without timestamp for delta time calculations
8da773da7a Qt: Move section comments to the section area
64937eb552 merge: Add merge comment
a4b6cd460d Qt: Display all the section comments in Capture File Properties
d9bd00a22f HTTP3: fix ASAN stack-use-after-return error
6c185f2773 Qt: Fix leaks of interfaces in Capture File Properties
a4527fa041 btmesh: Reintroduce column info fix
5c420697d6 tshark: Support --read-file and filter long opts
3a636f339f Update for HiPerConTracer 2.0 to also decode HiPerConTracer over UDP and TCP.
669d47119b Tools: Add an install-test-deps option to macos-setup-brew
25f263b5cc Tools: Clean up the lists in debian-setup
924a8a5420 Tools: Various macos-setup-brew updates
2a5639984d ftype: Clean up IPv6 interface
efa009878c ftypes: Rename comparison methods
4241589159 cmake: Sort source files alphabetical
28bc2c1536 gpg: Signature made Fri Oct 13 06:49:30 2023 PDT
gpg:                using RSA key 6B7FB699F6F9271346366066A45A48B6693FB191
gpg: Can't check signature: No public key
github: fix macos workflow.
66df826c47 wireguard: Handle unexpected inability to decrypt due to FIPS mode
6b0197da07 http: Only allocate server address for upgrade once
8a422b5d02 docs: Make version option handling consistent
38d05ad97a output of the own (lua-)dissector as root-tree element
f8cd3046fc SSH: make ssh_get_message() static
52d4bff808 EVS: Fix a couple of value_string labels
3f850e3d8a Fix Wi-SUN LFNVER-IE display
50f322ec17 update column before calling subdissector
d3fab19401 btmesh: the pinfo column of the own (lua-)dissector was overwritten by the packet-btmesh.c dissector
1a25bcb0c0 doc: Man page minor grammar fix
35ac9c43c9 json: Add JSON objects as FT_STRING with no display value
f36039c003 Q933: Bring some value_string values into range
b0d2087e4f OSPF: Support for draft-ietf-ospf-shortcut-abr-02
4deb4c6e4c wsutil: Rename ws_strcasestr to ws_ascii_strcasestr
f0df148413 wsutil: Do not use built in strcasestr
d5492abc89 gcrypt: Disable FIPS mode if possible
df2f966d15 wireguard: Get rid of some redundant log warning text
e20dd41824 websocket: Support port dissector table for Decode As and Heuristics
33655a9266 Move our Falco plugin directories
63287fb104 BTatt: factor out common code
20ae161ac5 wslog: Omit the file/line/func with ws_info()
73f23af063 NGAP: Improve with display Sub-Cause in Info
ef836e9afe plugins: Do not require a "type" subfolder hierarchy
8bdf5d7906 wmem_list: increment count for insert_sorted
31e99747e3 epan: Allow BASE_NO_DISPLAY_VALUE for string-like field types
a2eeea6391 wiretap: set WS_LOG_DOMAIN to LOG_DOMAIN_WIRETAP if wslog.h is used.
135b364609 wiretap: don't include wslog.h if you don't use anything from it.
3c3c640cba Add wiretap log domain to wiretap/blf
9b1726f062 IEEE1609dot2: Clean up the asn1 files.
adbc9d58f9 NGAP: add Cause in Info column
19301a5489 mdb: start dissecting comms gw reports
b9dfdd9086 CMake: Fix a target name
0fd3aa76b7 ssh: reassembly of channel data
51cd935af2 TLS, DNS: add dissection of Encrypted Client Hello
d81d6b859f mdb: dissect peripheral id response
1ca628d595 mdb: start dissecting comms gw expansion
31dbbcaf95 r09 (trivial): fix some typos
8b751c0463 r09: use proto_tree_add_item for bcd fields
97254d7dd7 Docs: Add "Staying Current" to the packaging section
d362623957 x75: clean up string handling, fix fuzzer warnings
a21ec18678 asn2wrs: Handle c-style comments by removing them in preparse state.
49b75e003f BTatt: fix indentation of two dissectors
b69cd1333c SSH: Set up channel pairings properly
f2d2384876 BLF: create Ethernet Interface IDs based on channel and hwchannel
b3f8d12795 ftypes: Use 64-bit integers only internally
64bba16c80 dftest: Show types with -d
c22dd98eae Qt: Remove a separator from the Help menu
f8b0e232af Windows: upgrade Npcap to 1.77
433e4f3f72 [Automatic update for 2023-10-08]
ae3b2033e4 sctp tap: Fix copying checksum string
eb5516d1d3 ssh: Enable DH Group Exchange
50a4840696 Qt: Normalize SCTP dialogs
0bed6790c3 BLF: Fix Ethernet Status Filter
61f77a175a Tools: Have update-appdata.py print release information
310668173c mdb: dissect comms gw config
33ed814669 diameter: Decode User-Name as an IMSI in S13/S13'
82084f606f Packaging: Make sure we stash our version info when creating a tarball
5a2d1f11ca Tools: More update-appdata.py updates
36fb1a1122 Doc: Fix the include path in the release notes
d0bc4c6505 Tools: Fix a comment in update-appdata.py
8962b0c46b GitLab CI: Update our Freedesktop metainformation when we build our tarball
32cef085d2 mdb: dissect comms gw's setup command
a8a8e5b878 dect-nwk: use proto_tree_add_item for bcd fields
146333ca22 tvbuff: (trivial) fix indentation
80dded9664 ieee80211: Update the naming of display filter in EHT multi-link fields
6c069829b1 mdb: show comms gw responses
027cbbf247 ssh: Fix Coverity CID 1504410
2dacfaff0b SSH: Only try to decrypt packets on the first pass
bce8c7f287 DCT2000: when dissecting mac-nr frame, fill in sfn/sf into struct
84da1d805d mdb: start Communications Gateway support
f3faac2753 ssh: Plug leak of MAC context when using ChaCha20
6d14da97ca DCERPC: Add dissector for IWbemLoginClientIDEx(9f6c78ef-fce5-42fa-abea-3e7df91921dc) Interface
c2d223d0e3 mdb: dissect vending messages
8d6e559bba [#19371] file-pcapng: check SHB endianness sooner
09ba1a1409 MAC-NR: Add UL CE Timing Advance Report
348c9991f9 ssh: Fix some invalid reads and writes, infinite loops
b09ce5c762 ssh: Don't close a cipher twice
cfe780dd03 asn2wrs: Ignore the "WITH SUCCESSORS" directive
5028f7d725 mdb: start dissecting Optional Feature Enabled
5b3e32acb5 regex: Accept a subj_offset in ws_regex_matches_pos
4c05d067f3 Windows packaging: Close a tag
642e77d6f5 CMake: Fix our macOS Intel deployment target
bd801bf093 GitLab CI: Only run the Windows Qt5 Build job if the UI code changes
6d96f6dd51 Fix some spelling errors
81cb82abf4 CMake: Try to fix release notes dependencies (take 2)
cd01931eb9 dfilter: Remove syntax node magic number
c0885fe390 Find: Switch search_pos to the start byte
6de60e12be CMake: Try to fix release notes dependencies
14f9bcacc2 YACC: Update yacc.py to 3.11
c38e6ecbf6 SAToP: Add optional RTP header handling
46a7f4c17f WSDG: Update build type flags to reflect reality
7db4de58af GitLab CI: Switch the macOS builds to Qt 6.5.3
c1c86c4d8b Debian: Fix a couple of symbol versions
15d3e3ff68 GUI: Add release notes to Help menu
7f8dc702da GitLab CI: Fix a filename
a89f301313 GitLab CI: macOS signature workflow updates.
fd3d36b10d LPP: upgrade dissector to v17.6.0
c00e73e890 F1AP: upgrade dissector to v17.6.0
35afac76f3 E1AP: upgrade dissector to v17.6.0
ba655f9214 XnAP: upgrade dissector to v17.6.0
bb5ef53e20 NGAP: upgrade dissector to v17.6.0
91fbc04b3a NR RRC: upgrade dissector to v17.6.0
68266efa92 X2AP: upgrade dissector to v17.6.0
15af80bf09 LTE RRC: upgrade dissector to v17.6.0
c40d0b4508 NAS 5GS: upgrade dissector to v17.12.0
49599f68b0 NAS EPS: upgrade dissector to v17.11.0
8c073467d4 GitLab CI: Fix a path
e05e08e049 GitLab CI: More macOS signature updates
e1234e277a [Automatic update for 2023-10-01]
8e59e06395 find: Use ws_memmem in match_binary
67914dc866 wsutil: Optimize memmem some more
9956361f4b WSUG: Title spelling fix
9c90105c36 Find: Remove redundant match_narrow function
d96594ad93 Qt: In find packet, disable character encoding combobox when unused
894221f2c8 DHCP: Add preference for seconds elapsed field endianness
147b95d2d5 Find: Update search frame for Finding multiple fields
4c69b8facf Find Packet: Find packet details multiple matches in a frame
3a0e70d6eb wsutil: memset mempbrk pattern when compiling
46e3bffb3d debian: Make Lintian happy about version numbers
23458361e4 Debian: Add missing symbols
51b875f573 debian lintian: Remove Synopsys override
f3dd768d35 Fix some misspellings in dissectors
f3b687aaf2 GitLab CI: Generate Sparkle signatures on macOS
ddd0c4a83b wslog: Set a GLib default handler
10e312fde1 More value_string fixes
3f3ef7f463 macos-setup: fix uninstalling sparkle
5cc394fa96 macos-setup: fix building of spandsp
8ad5adb32b macos-setup: update location of zlib
672637758a macos-setup: Install Sparkle 2.2.2
8bd086302f GitLab CI: More macOS updates
26fab0dab2 GitLab CI: Fix a couple of paths
19a8e8ebeb GitLab CI: Generate Sparkle signatures on macOS
e314032dc8 mdb: start dissecting the Peripheral ID response
505e5be0f4 vmware-hb: add value_string for build number
05f471ab9b zvt: simpler dissection of big-endian packed bcd fields
1d9ba7de54 IEEE 1609.2: Update asn1 descriptions and add CAMP
4258c3a02f mdb: start dissecting Expansion messages
e1386531ec NFS: Fix value_string values that were our of range
28902c6901 tvbuff: support endianness setting for packed BCD
662b3b4f84 IPv6: Ensure that fragment extension header length is adjusted
42bed37e07 mdb: dissect reader config data
826d0149e5 Fix WBXML nested tag indentation
c517bf0d25 Docs: Update our Qt6 LTS version
07e8b273d7 SOME/IP: Simplifying the TP Header Parser Code
c778a99db8 Tools: Add constant conversions to convert-glib-types
ab99d061ef Fixed memory leak of match_info, made regex easier to read
5b5042b1ee [#19362] afp: on't pass null pinfo
a7872672c2 GitLab CI: Switch the Windows builds to Qt 6.5.3
07f6b8d934 dfilter: Fix use-after-free
37568f2fb8 iperf3: replace info column local time by time sent
628219c08e mdb: dissect max/min prices
d7bc20d3ea dfilter: Refactor DFVM_VALUE_STRING argument
6275d509e1 dfilter: Allow using matches operator with value strings
8f6c9f2f1b dfilter: Add value string optimization
dcce728bb7 dfilter: Add support for BASE_CUSTOM value strings
6b27217bd3 dfilter: Do not compare value strings lexicographically
eb3d347c02 dfilter: Compute value string at runtime
7006e356ac ieee1905: Sync Message and TLV with EasyMesh SPEC v5.0
003ba726e3 awdl: fix conflict for awdl.servicesparams.values
82e80778f1 Added limits on regular expressions
5c7d0376ad Better memory management for regex in TS32.423 parser
b7acb29c5a mdb: start dissecting the cashless setup command
80a4187b30 mdb: simpler approach for filter stings
b261f2a7eb pcapng: Add Sysdig meta event types
bd07966d3a Debian: Add a missing symbol
b38f051a7e XML: Set a maximum length in a regex capture group
24d88d3b74 Qt: Fix highlighting of protocol bytes when clicking proto tree item
8e8f87ab29 NTP: remove wrong value from peer event code vs
5d54dccdf1 Docs: Reset release notes after 4.2 branch
2b4f939761 lemon: Add -- support to end options, use in our lemon
4fc1eadde2 GitLab CI: Add a MinGW build to MR pipeline
37697f7f4e Revert "lemon: Add -- support to end options"
55f13726ac Logray: Fix slots for updateTitlebar()
5d91fece06 UI: Fix slots for updateTitlebar()
f8f2734f96 epan: Fix compile error
b28619576b mgcp, sdp: disable handling SDP RTP if Osmux is announced in MGCP body
dc5f082447 mgcp: Simplify cascade if-else block
4995e9a8d5 proto.c: `proto_tree_add_mac48_detail()` function
67ddf9d5db DCERPC: Add dissector for IWbemLoginClientID Interface
7936638b1d rtp-events: fix id conflict
b929ceeafb tshark+dumpcap: fail on unknown ringbuffer option
3716933046 lemon: Add -- support to end options
7ea5bbb53b Change some `wmem_packet_scope()` to `pinfo->pool`
051c8cb7b3 Revert changes to JSON boolean format
6bc8c6c682 tshark: more efficient `-b printname:FILE`
c9c641d45d tshark: support `-b printname:FILE`
9af5c31864 GitLab CI: Fix a build directory name
8085b6d7f1 Docs: Fix a few spelling issues
47ae3fcdce dumpcap: `RINGBUFFER_MIN_NUM_FILES` logic error
94e78bf560 pfcp: Update to 3GPP TS 29.244 V18.3.0
4ee1b1291e oampdu: give the dgt_set_t a better name.
884a19b8ef r09: give the dgt_set_t a better name.
b2f6dd2e29 UI: Fix capturing information in the title when prefs are saved
6ecadcd0f3 ITS: Update Collective Perception Service (CPS) to ETSI TR 103 562 V2.1.1
fafb3e3154 Test and handle spaces in our build directory
54b19db4ee TS32.423: Fix dissector for various formats
f8d48d04d5 Fix misppellings in root and ui directories
15e753136e iperf3: Rework UDP loss/out-of-order detection
df391e6f5f WSDG: Update the automated builds section
3b4e8ee396 Version: 4.1.1 → 4.3.0
eb539196a9 CMake: Allow spaces in build dir
a8c9a4b976 wsutil: Clean up some includes
4d03e061ee merge: Try to raise the soft limit of open files on UN*X
c207041da6 merge: Allow unlimited number of files
a6c406d718 check_tfs: ignore #if 0 ... #endif region as comment
f5d5aa419f wtap_opttypes.h: remove an unnecessary incomplete structure declaration.
0b1a6a1c9b iperf3: dup the cookie before putting it in the jar
1fcd5e3b4b [Automatic update for 2023-09-24]
8285a9775f Convert wsutil to C99 types
c8a725e54e epan: Convert the UAT API to C99 types
6738a873b3 Qt: Store Show Packet Bytes settings in recent
25aaafc336 ansi-map: fix check_tfs errors
43fd777dcd Fixup "void *" pointer declaration style
2704f1b334 Tests: Fix default option argument
768c03df06 x75: Add dissector for X.75 SLP/MLP
4c3660798e UCI: Fix dead code, or rather, handle specific notification (CID 1524689)
babd5d9505 CI+Tests: Don't block on failed assertions
49b2039e09 GitLab CI: Use debug build type with merge requests
eb19d08413 Improve a comment.
dd78c2f08a ftypes: Fix hash calculation to use 128 bits of the address (CID 1524736)
b550f82167 ieee1905: Fix wrong tfs for BSS Configuration Report TLV
1db39f8775 Stats: uninit class members (CID 1541110)
54e729fe6c Convert epan/dfilter to C99 types
ed78778eda VMware: Add HeartBeat protocol
af66f07bed x509ce: value string for CI+ scrambler capabilities extension
dc47e15873 iperf3: add dissector support
6a4350a1b5 GitLab CI: Enable color output in pytest
ba18ad9bb7 Logray: Add recent software update changes
71d1a90dec IEEE80211: fix dead code ext_request expert (CID 1541037)
e583814f0f SOME/IP: SOME/IP-TP shows wrong flag value (BUGFIX)
ad140e5e14 Qt: uninit class member in constructor (CID 1530129)
e57c34d845 DCERPC: Add dissector for IWbemLevel1Login Interface
fb18a7ada1 SMPP: Add dissection over TLS
1839374fc8 tshark: Add UTF-8 output mode to the follow tap
1fb90793f5 Work around stub routines in macOS 14 (Sonoma) libpcap.
0b04002294 dfilter: Add warning for value strings without double quotes
4405e99c09 Docs: Tweak a sentence to follow from the previous paragraph
03fc873a5e Docs: Add XOR to filter manpage
a2af3537f3 DHCPv6: Fix failed dissector name assertion
eeddad8f58 epan: Rewrite an assertion on dissector handle names
b732578455 wsutil: Convert string modules to C99 types
bc3d35cef4 Convert epan/ftypes to C99 types
74222933f7 Debian: Add a missing symbol
4585479ab0 sharkd: add hosts tap
c7c58ea4f8 Tools: Add a comment about aqtinstall to macos-setup
989ce0f733 GitLab CI: Collapse a couple of multiline commands.
a319fd57d3 GSM RLC MAC: fix UL Pkt Ctrl Ack 11 bit message type length
cdc8e2f511 dfilter: Change default boolean representation to True/False
0ba19bd641 Remove tfs_true_false
78547a149f Make tfs_true_false the default for booleans
fad2c1e3be GSM CBCH: fix some value_string arrays
9b83efb8e1 DHCPv6: adding Option 17 Vendor Opts custom dissector
80a4dc55f4 BGP: Optlen must be a 16 bit integer now
cf5a2bba0d GitLab CI: Fix a path
f81a863ed4 GitLab CI: Use Minio mc to upload Windows packages
15bf019dfc Update Wi-SUN LBC-IE ID
fa75afe5dd smb2: fix Dead inscrement
35e6db0e06 strptime(wsutil): fix Dead increment
4ddf3f11b8 capture_sync(capture): fix Dead Assignment
d1971158a7 dfilter: Fix parsing booleans as value strings
beff5df00d ZigBee Direct: Try to fix build with MinGW
69e639a036 macos-setup: have CMake set the dylib install_path to the full path. [skip ci]
fabc1b2e2d macos-setup: update zlib version to the current version. [skip ci]
2e8aae86d7 Revert "GitLab CI: Add temporary debugging"
cd1c799228 check_typed_item_calls: take mask into account for value_string width
8be3f913e0 PFCP: value_string values were shifted by one byte
7f64c6fa1a GitLab CI: Add temporary debugging
cb4dcaef59 Check range of value_string fits into width of hf
9f0880c4f1 ZigBee: Add ZB Direct dissectors
e88efe8232 Call tzset() fewer times
4af7a8071c CMake: Rework assertions and add dependency on NDEBUG
b7aa23bb3f Qt: Remove empty sub menus when Reload Lua Plugins
fb1a59c658 Signal-PDU: Cleanup error message for empty PDU configuration
41a4772f23 ZBNCP: "preambule" -> "preamble"
8c1a6ffae3 Add hmac-md5 to packet-isis-clv algorithm_vals
d4046d59a5 CMake: Remove an unneeded definition
533f4ac472 Tools: Add format specifiers to convert-glib-types
9c27eeb5ec GitLab CI: More macOS code signing updates
3d8aa5fb16 macos-setup: remove out-of-date libffi.pc files. [skip ci]
7d0b4344f9 gsmtap: Support PPP and V.120 in GSMTAP
05be253a4d tools/checkAPIs.py: match padding/width in forbidden %ll formats
64b102dd82 asterix: UAP selector fix for cat001
a37d5dde14 asterix: Sync with asterix-specs #8364980e5e
eea242244f asterix: update for extended item upstream change
8b5d0433fa Use `register_dissector()` for more protocols
e9695cd264 GitLab CI: Update our macOS code signing identity
88436985a5 macos-setup: work around Sonoma's new libiconv. [skip ci]
e7ed0aa9ae HTTP: File data is bytes, not a string
fb9d01556d Use `register_dissector()` for more protocols
d4f47c60b7 recent: fix test that the timestamp precision is in range.
f9756066c0 Z21: Another fix for 64-bit format specifier
41f3167714 Z21: Fix format specifiers for 64-bit integers
409745e13f Add Z21 LAN protocol dissector
cb27f699a3 802.1cb: Add a dissector for the 802.1cb R-TAG protocol
d18193d7f2 cfm: fix typo for tlv senter_id mgmt IPv6 address
a43a1645e5 GitLab CI+macOS: Update code signing
a00771d9c2 GitLab CI+macOS: Move notarization to GitLab CI
cb49bb4d05 Fix repeated field32 protobuf dissection
02a5bc0e8c x509ce: value string for CI+ security level extension
35fb3c94e5 Qt+Windows: Allow updating with an open file with no unsaved changes
ccc62f6b95 Qt: Fix width of "show up to..." prefs in some styles
a489239848 More fussing with item mask values
842d5cf17c WSDG: Update Windows Qt installation steps
dee63a79d3 recent: treat tsprecision as either being a number of a name.
9f67d5fd5f IEEE1722: Add missing reserved field for PCM Audio (BUGFIX)
054b5a2cde [Automatic update for 2023-09-17]
a79ee2be5d reassemble: Set overlap flags instead of throwing exception
28dcebdc5e dumpcap: Change optional log cals to new API refactoring
35f1383857 Fix some spelling errors
a9a62ff576 BGP: add support of RFC9072
e6639fcf53 WSDG: use Bourne-shell commands to set variables in UN*X.
173e520730 WSDG: note environment variables that must, or can, be set on UN*Xes.
a3fc8c2a7a WSDG: use a fixed-width font the names of the setup scripts.
396ace7972 Capture: Fix second and future stats open (sparklines) on Windows
872dcee562 WSDG: AsciiDoc headings need a space between the ='s and the text.
0440604ddf WSDG: put setup information for various UN*X families in subsections.
8d0e46eee6 E2AP: clean up a couple of TODOs
21d4aa37e6 E2AP: Timestamp fields in KPM are RFC 5905 section 6
a8f7cf2e70 tacacs: Make expert info appear in dialog
108217f4bb addr_resolv: Fix a heap buffer overflow
cfee53e49a Move ws_return macros to ws_assert.h
3516d3a181 wsutil: Rewrite ws_return macros
58c9ac243f BGP: fix notification error code 7 dissection
9f608b0fa0 RTP: Allow desegmenting on top of TCP desegmenting (RFC 4751)
87e8ad4473 Convert Windows utility code to C99 types
a93d49c33a wsutil: Convert our cryptograpy code to C99 types
684f3bf979 Check whether value_string labels spuriously differ in capitalisation
ada90ffcdf GitLab CI: Add ENABLE_DEBUG to MR pipelines
756d0f99e2 WSDG: Update documentation for CMake build type
81ce9d89e8 Enable UTF-8 validation with ENABLE_DEBUG
fee3901261 Fix indentation settings for "exceptions.h"
6d5496f192 E2AP: moving towards a better design
d11826a051 Prevent fvalue leaks
676ce398aa Update the Release Notes
be844792f4 Build our releases without debug code
7475d1e3f7 BGP: add bfd strict-mode capability
cffced7c6d SDP: Handle incomplete session attributes
d2c40ad6df UDS: Dissect Certificate in Service 0x29 messages
4890b6899e Doc: Fix PIDL documentation on WKSSVC code generation
a7cf7fd561 test: Skip global name resolution tests on macOS
d6f2b30be1 pcapng: improve handling of time stamp resolutions.
870d78ac05 macOS: Fix our dSYM dmgbuild configs
6f6a412a94 GNW: Change an assert to an expert info
61c0d09582 macOS: Fix our dmgbuild configs
935e791aaa Add a personal configuration "manuf" file
0f736a3975 tshark: Fix --print-timers unit
2b851033a5 LTP: Report the data length actually consumed
b532bf4b62 Use INT_MIN instead of -2147483648.
7f57bc0ee6 .gitlab-ci.yml: Add --check-value-strings to tools/check_tfs.py call
691184af71 macos-setup: fix building opus
8d8e57c5e4 macos-setup: fix building bcg729
77592f6bbc macos-setup: fix building libssh
fa8daa4cf4 macos-setup: fix builing libxml2
6e2ba73b6c macos-setup: fix builing snappy
b8fc4cf2a3 macos-setup: fix building gnutls
0e33c37c84 macos-setup: fix building nettle
17f273b6d8 macos-setup: fix building p11_kit
41421662cc Cast away some warnings from Visual Studio, at least with some compiler flags.
cc3625ba00 Websocket: Fix leaks of decompressed tvbs
0aa5f41b91 tap-httpstat: Free upon finishing
d3686940b1 capinfos: Fix leak of packet comment data
1f0f38fed6 ieee80211: Use expert_add_info_format() when adding an expert info to an item
94460fd5f0 blf: make the timestamp resolution per-record.
2bb6137b0e Docs: Update the release notes
2ffe40c2cc Add support for the new timestamp precisions to NetMon.
b2bb2f2be9 Handle all time stamp precisions in the View menu and recent file.
79842931ab ORAN FH CUS: Add a proper field for BFW bundle subtrees, and an Id field
ac6041ffad 802.11: Fix OUI lookups
fb845cc4c4 SCCP: Fix double-shifting/masking of RSN
35916f6531 tshark: let ws_strtou32() do the full check for a valid number.
7d61b6eb16 Handle all valid time stamp resolutions with the -t flag.
ece8fad93b PCEP: delete an include and fix a filter name
151b85c45e Get rid of some places that handled specific timestamp resolutions.
e1c5a055f9 Tools: Install cmake-rpm-macros in mingw-rpm-setup
7d9ecce65e DLT: Use common conventions to define the protocol names
cc87288b6f Use common routines to handle converting time information to strings.
2805d9618b epan: Free field info values that don't get added to the tree
2f87dc1ba1 PCEP: Add PCEP Extensions for SRv6 (draft-ietf-pce-segment-routing-ipv6-17)
bf220c14d4 wslog: Minor log_write_do_work() rewrite
962eafafaf [Bugfix] Dissector MessagePack: dissect all integer formats
b987483436 GUI: Add XDG session and QPA plugin to About dialog
e4a660f066 packet-smb2: add dissection for FSCTL_GET_NTFS_VOLUME_DATA
7a0e7c3c00 epan: Fix leaks in proto_tree_add_bytes_item
54d53868c1 Doc: update dissector README conversation text on conversation_type
c3720cff15 Various enhancements and fixes to format_fractional_part_nsecs().
852ef4871c wslua_gui.c: Fix typo in TextWindow_new docs
53ec634ac2 Add a routine to format the fractional part of a time stamp.
ff36310c46 addr_resolv: Fix use-after-free of g_ipxnet_path
18f47c1988 NGAP: add dissection of EIA7 bit
1827d3d6ef X2AP: add dissection of EIA7 (EPS-UPIP) bit
d2ca5b4633 S1AP: add dissection of EIA7 (EPS-UPIP) bit
f566d4984c LUA custom packet callback: unreverse table of fields
0a3b940089 ST2110-20: add dissector for SMPTE ST2110-20
e5f9636964 ieee80211: Add new fields in ML and TWT element. Also update some elements.
e4e5a1a1f0 [rdp_drdynvc] simplify the dissecting of softsync packets and fixed a typo
bb7f379ab1 [rdp] add new formats for nego cookies
143533dfe0 Add a routine to format an nstime as an ISO 8601-style date/time.
4b528c8ba7 Good "git" signature with ED25519 key SHA256:ylvmNrhpOBqBQRVi0S8xv2meWLs/QnN7AztQlZY5UPE
No principal matched.
PCEP: Fix mask warnings
d3ec353e0d Have diaplay_epoch_time() take an nstime_t as an argument.
e40bc0d100 Have diaplay_signed_time() take an nstime_t as an argument.
273e93f37c Tests: Add tests for follow websocket stream
97c3133f06 Websocket: Fix potential crash on invalid proto data key lookup
aa2b43b745 Websocket: Fix decompression on fragmented packets
d51cfff590 Websocket: Fix follow websocket stream on compressed data
33d64577bd GitLab CI: Don't define CMAKE_OSX_SYSROOT
a5ce5b298f CMake: Add a MIN_MACOS_VERSION entry for Qt 6.5
9243189bd5 Good "git" signature with ED25519 key SHA256:ylvmNrhpOBqBQRVi0S8xv2meWLs/QnN7AztQlZY5UPE
No principal matched.
x509ce: dissect CI+ security level extension
023592c402 [Automatic update for 2023-09-10]
865bbfd498 wslog: Clean up timestamp code
f84eafc5f8 strptime: Try to make "%s" code portable
9efeb51ba6 RTP: Allow more than 4 RTP packets in a frame to be tapped
48edbe1ed5 Test: Change the capture used for expert info testing
d186a42ed4 GitLab CI: Fix a Qt version
123759ebeb ALC/LCT: fix null pointer dereferences (atsc3 specific)
fe835ae95c capture child: send an errno message if exec of dumpcap fails.
656f00ef29 Change what iso8601_to_nstime() and unix_epoch_to_nstime() return.
e1b885728a GitLab CI+Tests: Add a --disable-gui option
4317a1dca2 Revert "Packaging: Increase our NSIS compressor dictionary size"
fdc6854761 Qt: Style our overlay scroll bar
3a6848c901 Packaging: Increase our NSIS compressor dictionary size
6aa22b952d dfilter: Extend support for timezones in filter expressions
360c68e6f4 Frame: Always print frame arrival time in Local/UTC/Unix
5999884267 RTP: Don't include padding in the payload length for the tap
0573bbaed6 Qt: Dark mode updates
6083bdbad9 SCCP: Add Data field to DT2
3736cad841 Remove a no-longer correct test of errno.
06d5cd3e66 When parsing IMF dates and times, allow space and tabs as separators.
e947e9e038 Good "git" signature with ED25519 key SHA256:ylvmNrhpOBqBQRVi0S8xv2meWLs/QnN7AztQlZY5UPE
No principal matched.
PCEP: Fix PCEP IPV6-LSP-IDENTIFIERS TLV (rfc8231)
c7886837f7 Give ENC_RFC_1123 the same value as ENC_IMF_DATE_TIME.
5dbe4ee8a8 Clean up handling of string encodings for byte arrays and absolute times.
79ff594439 Tools: Update a bunch of macOS library versions
f21e1ea28f Good "git" signature with ED25519 key SHA256:ylvmNrhpOBqBQRVi0S8xv2meWLs/QnN7AztQlZY5UPE
No principal matched.
BTATT: fix some label vs filter issues
a0e8986338 Qt: Don't apply the old filter when selecting from the completer
f752d85716 tacacs: Warn about unencrypted payload option
98a99f616f GitLab CI: Fix a file search
1e662a7aa4 Wiretap: add WTAP_ENCAP_MDB to the introspection enums.
25cb16412b wiretap: define the WTAP_TSPREC values numerically.
0de07f8fe4 RTPS: Check for signed overflow
f58b451bae dfilter: Fix printing of nanosecond fractions of time.
ba7cf62b2e Debian: Add missing symbols
1e451b30d8 file: Fix leaks in Save As
499a67b1ff stats_tree plugin: Add a TTL/Hop Limit stats tree
e690abae1d FlexRay: Revert faulty bugfix
c599c0c347 Clean up some hf blurbs
57d1d4d0aa FlexRay: Fix NFI flag inversed (BUGFIX)
4f03b9bb59 mktime_utc(): handle 1969-12-31 23:59:59.
0ddea7d1e1 mktime_utc(): save and restore errno when using timegm().
9e8d63f71e GitLab CI: Make sure our fuzz jobs fail correctly
953802760a DOCSIS: improve MDD TLVs dissection
b13af00f13 ieee80211: Fix typos in EHT IE names
9ad2f8ee52 Fix storing first previously displayed packet in cf_reftime_packets
2aaab8f88f Revert "dfilter: Clean up absolute_val_to_repr()"
c9ec96b195 Fix some more label vs filter issues
15c80eebd9 Fix a couple of value_string issues
7d27e6e462 funnel_statistics: Fix menu nesting for register_packet_menu()
82eadadd77 wslua_gui.c: Clarify register_packet_menu() arguments
3185df2a8c wslua_gui.c: new_dialog() - update docs grammar
2c3c5448c8 check_tfs.py: fix remaining cases where case matches exactly
d1c730c483 Fix Clang analyzer issues with thrift_field_header_t
8ed45385dd TLS: Add support ClientKeyExchange for 0xe013 and 0xe053 ciphersuite
8c113b9db9 dfilter: Clean up absolute_val_to_repr()
d72f620202 CMake: Add missing configure check for timegm()
c87c073219 Remove non-existent EditorConfig entry
e165e649df Fix mixed indentation in wsutil/to_str.c
33adf427aa dfilter: Cleanup parsing of some time literals
2819d02af8 PTP: add reserved bitfields to the dissection of L1Sync frames
51d16ae6b3 dfilter: Fix parsing a time format with "UTC"
a60c493194 dfilter: Add more error locations to semcheck logs
fdbaf99676 TLS: Add support serverkeyexchange for 0xe013 and 0xe053 ciphersuite
71a1519827 Good "git" signature with ED25519 key SHA256:ylvmNrhpOBqBQRVi0S8xv2meWLs/QnN7AztQlZY5UPE
No principal matched.
ieee80211: Add/update some elements and fix some warnings
8fc63ff8bf E2AP: Fix copy/paste error for new ranFunction methods
fdd047b656 Good "git" signature with ED25519 key SHA256:ylvmNrhpOBqBQRVi0S8xv2meWLs/QnN7AztQlZY5UPE
No principal matched.
PTP: delete an include, and make a variable static
9dbed18fc8 HTTP3: Fix an initialization
d6f38c2031 Fix a couple of spelling errors
a0db76b4cc tibia: don't use string encodings for non-string items.
7771524558 GitLab CI: Switch to clang 16
399ae5a0b4 CMake: Fix NGHTTP3_FOUND endif
f16ca1799d [Automatic update for 2023-09-03]
7690b147de ciscodump: Keep strptime() behavior unchanged
fe802272a2 Build with NetBSD's strptime()
718d852ed0 strptime: Replace prohibited APIs
b49c2853ea strptime: Replace BSD C types with standard types
fdb0dad4e2 Add the source for NetBSDs strptime()
fc16c74e42 check_typed_item_calls.py: some updates
93a4164b50 PTP: Fix a printf format
3089eb7561 Add support for expert info on exceptions in sub-dissectors.
2b3dd31ad8 PTP: fix warning for hf_ptp_v2_fu_preciseorigintimestamp_32bit
ffdbc992ea PTP: add dissection of L1Sync frames (defined in IEEE1588-2019, Annex L)
77d7338abf PTP: add definitions from revision 2.1 of the standard (IEEE1588-2019)
1acc3ae5ad Qt: Call EditResolvedName from the PacketList
cc83f62a4d add support 0xe003 0xe013 and 0xe053 in ssl_get_keyex_alg
4f03747b9d Telnet: Support SSL in AUTHENTICATION option.
549d76b931 wslog: Refactor the API with a msg manifest
46f6febd47 Add portability wrapper for localtime_r()
f475a6d7f2 Tests: Prevent empty log messages
524910488e editcap: improve -A and -B documentation.
9af86689dd nstime: fix unix_epoch_to_nstime().
d6dfd89740 Tests: Add some logging to dfilter suite
932c385907 Tests: Modernize dfilter assertions
c6fe72e8d7 Good "git" signature with ED25519 key SHA256:ylvmNrhpOBqBQRVi0S8xv2meWLs/QnN7AztQlZY5UPE
No principal matched.
check_tfs.py: Fix an error message.
a45fa15524 QUIC: Handle separate max packet number spaces in multipath
9691dcdbf7 HTTP3: Fix duplicate filter name
f2f7c7bf1c Remove some uses of tvb_new_subset_length_caplen()
3679783182 HTTP3: Fix illegal memory use
dafbcd0270 manuf: Minor cleanup when formatting output
7e3ab14f45 dfilter: Add "nan" and "inf" as reserved keywords
ddbf244df6 Wi-Fi NAN: Rename filter name to "wifi_nan"
4b6268c01e dfilter: Do not parse booleans as a value string
eddb364b43 doc: Update entry for Resolve Name
d145a4db92 Remove extension lists for magic-number open routines.
d5766b857b log3gpp: remove #if 0'ed and commented-out stub and unmaintained code.
6fb3907a93 More comment expansion and fixing. [skip ci]
04ec5dcaee ITS: Accept RTCMEM v1 and v2
1f18cf2269 Cleanup comments about file extensions.
9919f6c500 HTTP3: Fix clang analyzer warnings
e49d8cd682 ORAN FH CUS: When no udCompHdr, show pref values used instead
de2b0e56c0 M3UA: Give a hint to look at the MTP3 preferences
b70949914e MTP3: Add column filter string for SS7 point codes
38cef79052 WSDG: Add admonition about the AUR
eaf4dcd43b WSDG: Fix formatting for one sentence
17ef4b5802 manuf: Change struct ws_manuf block size
76f29a9b79 manuf: Optimize iteration
6508a27de9 docsis-macmgmt: fix mask odd number
a574843e27 HTTP3: use val_to_str_const() where no format specifier was given
8d19ba4d8d WSDG: call the UN*X build instructions section just "UN*X".
249f19ddc1 DOCSIS: add D4.0 CM registration TLVs support
cf25c91532 tshark: Omit some diagnostic messages
8ac05fcdc3 Add some benchmarking timers to tshark
395e3b6cb5 manuf: Small optimization for ws_manuf_lookup()
3a20aa1863 TCP: Add expert infos on SACK PERM option
b803412730 Fix IEEE 802.15.4 MAC command OUI byte order
70e255f74b QUIC: Support multipath extension decryption
17ca30f5c0 manuf: change ws_manuf_lookup return type to bool
9b39d6880e manuf: simplify ws_manuf_iter_next API
a1c7e84f07 manuf: constify API, improve internal documentation
be521e23fa HTTP3: make a function static
b73342ba70 wiretap: Add the .scap extension
b3431a0504 Windows: Update our nghttp2 and nghttp3 packages
04e48f938a PAPI: it is not unknown but on header (2 IPv6 Address)
c4249a08d2 PAPI(aruba): use papi.port for handle papi license manager
0c4dcc164b epan: Don't create tvbuff subsets that contain more than reported
c604822cdf DOCSIS: add D4.0 MDD Diplexer Band Edge Override TLVs support
0b0ac66fd7 addr_resolv: Don't leak tables on every init dissection
8d57826f58 Update keysight netflow fields support
8564c8d525 HTTP3: Use NG-HTTP3 to dissect headers.
80f9a28921 Adding HTTP/3 dissection to Wireshark.
963c73b987 Give even more explanation of the extensions for an open routine. [skip ci]
df05b8f2b4 wiretap: correction of Destination Address typo
2f2db6c43a Expand some comments for some libwiretap tables. [skip ci]
5db16ad0fc iperf: fix Dead Store found by Clang Analyzer
6dc63bfd41 ieee80211: fix Dead Store found by Clang Analyzer
01e8d7c820 cql: fix Dead Store found by Clang Analyzer
8d6398a763 ORAN FH CUS: look at rb field to show PRB numbers correctly
f4e2f493f8 Fix some more value_string errors
1081255e24 FlexRay: Optimizations and fixing malformed handling
b7e0ed1ee0 Debian: Add missing symbols
0e4ecd22a6 WSDG: Note that VS requires extra components for Arm64
74fcfafe10 GitHub: Update MSYS2 action to build an NSIS installer
085adfc957 For capture options, provide a callback to use to fetch an interface list.
2d55e5672b Qt: Fix ManageInterfacesDialog cleanup
320e6ccedc Fix some spelling errors
6396860fb9 With -D, always let the user know if capture_interface_list() fails.
30bbee5910 [Automatic update for 2023-08-27]
1a4d139953 NSIS: Update the donation page
d437d4c5b9 manuf: Handle backslashes in company names
97823acfd6 Move filling in interface info in one case.
42d27f6152 WSUG: Fix TCP Fast Retransmission
7befb323aa MSYS2: Add globs to DLL dependency list
79b97ddc6f wsutil: Fix JSON indentation when ending nested element
6719e6a491 Add and expand comments on capture_interface_list(). [skip ci]
ef7f48923d Don't pretend to return an error string from append_extcap_interface_list().
6ad78bcc44 Clean up sync pipe write routines.
385e37ce0e Aruba UDT: misc trivial changes
14491e49cb Readme: Escape the underscore character in "_ws.col"
05e811694e CAMEL: Separate time and timezone, check for truncation
e9526984f1 Move E2AP to v3
85eccebe54 DOCSIS 4.0 TLVs
e87bb4e396 MKA: Adding some name resolution to CKNs
9daa66abf7 CAN: Cleanup, consistency, typos
3990c64346 FlexRay: Cleanup and consistency
07448c57b3 ssh: Plug leak of gcrypt cipher context
c1aa4a64c1 hci_mon: Fix dissection of User Logging
b6ab8c5f5c Adding Aruba UBT Protocol
8e5929818f proto: Add a comment to proto_deregister_protocol
4a2078af6b dftest: Use g_get_monotonic_time() instead of GTimer
29ba4fbbcf GitLab CI: Allow the source package to be built manually
1641c28d3b Version: 4.1.0 → 4.1.1
383234cef2 hci_usb: Use endpoint transfer type instead of id
e08da591ee Build: 4.1.0
66a4fa24b6 Qt: Make Lua console output read-only
50e1e9abd0 wslua: Print syntax errors during compilation
a623da0050 DHCP: fix indent
cd4bf3b477 Fix Debian packaging and remove stale references to "init.lua"
4e3e55f9f1 pgm: fix misspelling of Luigi Rizzo's name. [skip ci]
d313c9e13e DoIP: Allow protocol version=0xff
41d8d372a3 DHCP: Add new CableLabs vendor class IDs
4621c5b7ac Fixed warning in packet-rdp.c
dfa07b28cc rdp: parse RDSTLS packets
84f1bb06f9 pgm: support both 0x0b and 0x0d as packet types for a PGMCC ACK packet.
69bfaccbad ieee80211: Update description of two Multi-Link fields
35e77d059e ieee80211: Fix build error
8cd16bec05 ieee80211: Add EHT Action and Protected EHT Action frames dissector
45fc52bad9 dcerpc: just use structure assignment rather than memcpy.
a3194d61f8 Qt: Delay deleting the interface frame context menu
da809de404 CMake: improve finding Gcrypt library
90a7d0704b Qt: Fix Manuf dialog memory leak
c3283d9d17 manuf: Fix unaligned memory access
a1e258177c BLF: Add interface name and hwchannel to ethernet status objects
4468d9ca2b Qt: Plug leak when removing row in Decode As
13fb276a18 Improve proto_tree link to display filter reference
3a81633495 Hide expert info of packet comments in packet tree
aaa989b267 BLF: Use correct flags mask.
4e6051ff39 Update the release notes
37eba9f0b3 pgm: don't fetch field values before you need them.
845c1bdc6e Release notes: Fixup some entries
4d7ab510db Qt (SSL Keylog): Add reset button to restore preferences
68a00c0a21 Qt (SSL Keylog):  Do not erase user setting if cancelling
e930e58691 Qt (SSL Keylog): Do not close when "launch" is pressed
d745a9e128 NSIS: Uninstall no-longer-used Lua files
9fb85a847d Lua: Load init.lua from plugins directory
d1f08edcba DNS: Implement support for URI record
97213a58e7 Lua: Remove package.prepend_path
c5e00897e9 mdb: use DLT_MDB for the MDB dissector
4b9d0d5c10 sharkd: Add "capture_types" and "encap_types" to "info" method
7e7cd29372 kakfa: fix sync_group_request missing version check for instance_id
7efedd6d88 PCAP-NG File reader: Add ordinal block number
e5c198a2e5 Qt: Add Browser SSL keylog dialog
ac63850f40 Remove "browser_sslkeylog.lua"
eca17bd512 NAS 5GS: handle unexpected padding in delete existing QoS rule operation
61c3363330 Camel: Fix TimeAndTimezone presentation
09ebddaa7f sharkd: Enable synchronous name resolution, including MaxMind GeoIP
7a0b436f63 Do some more value_string checks
a6914ba92f addr_resolv: fix external reverse IPv6 lookup in tshark
58f5fa65b5 gpg: Signature made Tue Aug 22 11:18:33 2023 PDT
gpg:                using RSA key AB9A0CFF814FA65614B5F474397DFEBE343AD96F
gpg: Can't check signature: No public key
USBLL: Fix control transfer reassembly with data from host
81e2e8da6a wslua: Initialize useful constants in C
a839e454bd wslua: Add deprecated initializations in C
6c48170819 Fix opening the endpoint GeoIP map
77f0516b07 sharkd: Fix incorrect "stop_time" field in "voip-calls" tap
199c110d66 exported_pdu_tlvs.h: restore a lost comment showing the buffer alignment
90850cb16b asterix: Sync with asterix-specs #53a30f43e8
e9e790e4d3 asterix: update for RFS upstream change
48c9f9cbc5 test: Add Lua ByteArray integer tests
7917c031cf wslua: Refactor ByteArray integer methods
4f4d4683d8 wslua: Refactor ByteArray integer methods
c3fa423bc9 tshark: Restore deprecated default column field titles
50ece15a8c MBIM: Dissect MBIM_CID_MS_VOICE_EXTENSIONS_NITZ
01af473feb sharkd: Fix some leaks
a3d84bdc44 Lua: Print returned values in console
1daa76ae32 Qt: Make IOConsoleDialog a single instance
4f53f0acaf Qt: Remove unused Lua signals
37ace12ab0 Keep Lua console open and fix crash on Lua reload
55acd8fa0b Better detection of value_string conflicts, and some fixes
a983138bdc dissectors: new dissector for the MDB protocol
17cd9891be ICMPv6: Check for timestamp at the start of Echo data
0e2faa112a CMake: Fix FETCH_lua build on Apple platforms
8586becd64 [Automatic update for 2023-08-20]
159dc2c204 manuf: Remove parenthesis from short name
8985aa465f manuf: Add a special case
ee633d20d9 Update manuf data
c97982881f Release notes enhancements and fixups
268a9e243c RPC: add support for RPC-with-TLS
68668655c9 UI: Fix capture options tab key ordering
e111d255b7 ICMP: Improve heuristic for data time
0b9e591c3a Qt: Remove now unused pref (CID 1541123)
e3fa5e6c22 Add wtap_buffer_append_epdu_string() to add a string TLV to an EPDU.
21aa2bf370 check_typed_item_calls.py: check for value_string conflicts
07b255d47d DHCPFO: Add more Microsoft-specified fields, based on MS docs
6c23a93e35 Qt: Set autoscroll in setCaptureInProgress
3f841e8553 sharkd: Fix a name collision with MinGW headers
369b1d0696 manuf: Print short name with tshark -G
44e4ad3bc5 tshark: Add more fields to -G protocols and -G heuristic-decodes
2dd4de5c51 QUIC: Add Multipath support (draft-04/draft-05)
2904e8c3e5 sharkd: Generate "eo:<name>" object list in "download" method when needed
bf2f8c5fad tshark: Register extcap preferences when needed
7e5018b254 Fortinet: Add Dissector for FGCP (FortiGate Cluster Protocol) - HeartBeat
9663e021e1 Sysdig Event: Sync with upstream and fix the info column
233da618a6 BLF: fix a typo introduced in 9bdf256a8d
8025d90971 Qt: Remove tail update timer from packet list
9752021f17 Qt: Preserve horizontal scroll extent for Home/End
9bdf256a8d BLF: Put EthernetStatus Objects in packet lis using Exported PDU
95c299a065 Move autoscroll preference behavior to recent
c5452afb8d Exported PDU: Add new tag EXP_PDU_TAG_COL_PROT_TEXT
e5e004e064 Qt: Ensure the IOConsoleDialog destructor is called
96c9153560 epan: Fix a memory leak
152fef5b38 Qt: Remove an #ifdef
d0312ddf4a Fix some filters and field widths
759c0feab3 CMake: Accept any supported Lua version by default
008d389e94 ieee80211: fix mask is all set
e4544bd5ae ieee80211: fix wrong item type/length and bitmask
66a502e195 Qt: Add loadGeometry to ManufDialog
b86172a37d STUN: add Change IP or Port to INFO column
fea3f90147 Rename the Lua log domain
80c63485e4 Qt: Close console dialog when reloading Lua
8ebbcd4ecf Qt: Use a vertical layout with Lua console
249516680b Qt: Add loadGeometry to CredentialsDialog
615c2bf15a batadv: Can't add bitmask with no fields
e6110367de sapsnc: Fix dissection of Quality of Protection parameter
74f25620f2 Telnet: Fix unescaping of some option subnegotiation.
29ad6db8aa epan: Remove obsolete "logger" funnel.h callback
90cc69536b Remove article 'a' from manuf data
c3cc0e5fa7 Qt: Set StockIconToolButton cursor, leave action
a8f8e79a57 Qt: Change formatString() to use localized byte units
67af3d73be Change how system default locale is set
005cd9d1c6 Add new -p/-P capinfos options to doc/capinfos.adoc
45772de991 Add packet comments to the output of capinfos
1d2dfd693a TLS: Label incomplete segments as such
5d04013024 Add a set of time stamp precision values in wsutil/nstime.h and use them.
14b8bc66e8 Initialize global_dissect_options at compile time.
50778cff57 Move the check for TS_PREC_NOT_SET out of timestamp_set_precision().
bdc78d3a63 sharkd: Add optional "filter" parameter to "tap" method
b0bf7a8e13 editcap: Add --discard-packet-comments option and fix -a option
f25421db6c dissect_opts: use a better name for a routine.
011aa3adfd Misc dissector fixes
bb31b5704c Note that the -t flag affects the recent file.
ef14ebd180 sharkd: initialize the columns correctly for sip stats
5d35745f01 Qt: Add "success" hint to IO Console Dialog
5a1da4f692 Lua: Remove console.lua
919bc0d6f5 CMake: Update FindLua module
8ed0b47667 Qt: Add Lua console dialog
de1d30cb4e Qt: Fix compilation on Qt5 and clang
dc29ae7ba3 sharkd: Add "fn" field to "frame" output
a4c6a2f14b sharkd: add voip-calls and voip-convs taps
87d5daa331 Fix some spelling errors
75fc8ceaaa ieee80211: Add five EXT element dissectors
18018f7534 Qt: Don't use winId() on a child widget (Qt Wayland issue)
f9f182f19e check_typed_item_calls.py: Add exception for checking all-set masks
92c5fb9ad3 sharkd: Use PRIu32/PRIu64 when outputing guint32/guint64 JSON values
1bdbea4ae1 sharkd: Remove unneeded sharkd_phs_req struct
c96b79f105 sharkd: Add phs tap to sharkd
de5dc5dd23 SRT dissector: Fixed failure code presentation in the handshake
9a49fdd315 IDN: Fix use of conversation
ef6511a08e BLF: Improve file dissection.
4f4a54e6d3 blf: fix formats used to format unknown WTAP_ENCAP_ values and unsigned numbers.
23bc2d48bb ieee80211: Update 5 EHT element to verson D3.0
da538dcd1a packet-cql.c: add EVENT message dissection
04391cdb20 DHCP: Allow empty relay agent information sub-option
e9daca9ee4 bthci_cmd: Add HCI event masks for new/modified HCI v5.4 events
b1249b0be4 DCERPC: Update DRSUAPI support
b60eceb8d5 Lua: Enable "Launch with SSLKEYLOGFILE" by default
0f8a68b5a8 DNP: Add format specfier to val_to_str_ext() call
1826bce649 Lua: Remove dtd_gen.lua
def43c8061 DO-IRP: some minor changes
41e02574bd IPERF: Fix some consecutive filter names
1d32f1eb7f BT-DHT: Fix infinite loop in malformed error packets
b5442a123f gitlab ci: add --check-bitmask-fields to tools/check_typed_item_calls.py call
5ee5f6fb40 [Automatic update for 2023-08-13]
138a1bb8b9 do-irp: Add support for DO-IRP
9ab94a547f F1AP: fix off by one define
507760d710 SNMP: Fix responses from different ports and SMUX
ba3fe23ea8 Get rid of a no-longer-needed header.
c3fe4c8fd8 dumpcap: map DLT_ values from libpcap or piped pcap headers to LINKTYPE_s.
e755912ec9 Qt: Fix Go First Packet turning off autoscroll
88999bf7c6 Qt: Turn off autoscroll when the preference is off
63fad4db26 Qt: Restore autoscroll behavior to toggled
a03041e601 Don't assign a struct timeval to the time stamp in a pcap_pkthdr.
da8b06065a Don't use RLIMIT_AS if it isn't defined.
fc6124f54b <sys/ioctl.h> is needed to declare ioctl().
a6aa2cdd51 Qt: Redraw the packet bytes when our screen changes.
3c22bc0d0b dpauxmon: Flush after pcap header
96c2f8b05f DHCP: Add support for Microsoft-style handling in option 77
b4aab3523e debian: Update and add missing symbols
2539d14d15 NAS 5GS: Don't double advance the offset
6027465d10 Qt: Set icon back to capture icon with a new file
95814bc732 iperf: ix warnings double ->int
1f3e77ee5c Telnet: Dissect VMware Serial Port Proxy extension.
9b79336fd2 Update packet-h224.c
5f7961ee60 Using TFS as possible
8db2a5cf50 add_bitmask() - only warn when bitmask set has bits not set in root hf mask
615e4731e0 conversation: use epan scope for hashtable key
081fc7a937 Initial work on supporting VP9
7203fb908d TECMP: Fix ASAM CMP Auto-Detect
2bed8f33bc Update iperf2 packets dissection routines to the latest iperf2 packet format
fa6f762467 HSFZ: Make some symbols static
1c11845ad0 IP: Add DiffServ codepoint 44
65e7f88cc0 CMake: MSVC Fix command line warning D9025: overriding '/W3' with '/w'
ef9c79ae81 btsdp: Keep offset advancing
da4de74f75 MAC Blocks: Allow matching a block by prefix
3210bf4dcf manuf: Revert to the previous concise format for blocks
6013a7623b WSUG: Add MAC Address Blocks entry to Tools
a17515e7c3 MAC Blocks: Add tooltips
7fecc31427 btsdp: Finalize wmem_strbuf
6f30bc4713 bt-dht: make parser more robust to broken packets
1e3454c223 Fix SVCCTL OpenSCManager2 Request Parsing
30e255949d locamation-im: fix a mistake in the time difference calculation.
d086f2733b wmem: Fix leak in block_fast when realloc'ing jumbo blocks
40eb2abb96 Fix comments about init, cleanup, and shutdown routines.
2abe8ced1d F1AP: NotificationInformation is a normal IE not an extension.
85da4edcd0 Look into more inconsistent add_bitmask() calls
c7d4b89b8e test: Fix lua tvbrange test since length is now in new encoding
8e21cb3878 ASN1: Change gboolean to bool in two templates
7cffcbfdec doc: Keep dissection options alphabetized
da690738a1 epan: Fix up --disable-all-protocols
af0691342b Add --only-protocols and --disable-all-protocols to tshark and rawshark.
5dd79aa099 signature of check_lua_script has changed
abd7886be5 signature of proto_tree_set_ipv6 was changed after this patch was written
1a5b1530ba fix documentation
ec17ee15bd test suite for lua add_packet_field
6659f4494d return value and offset in lua add_packet_field
b1b9ff27e7 add new add-and-return functions to C API
8c7ed63608 bugfix: proto_tree_add_time_item *endoff should be offset not length
024c78934f lua: calculate length after encoding changed
d0cb5c871d Qt: Update splash screen for applying changed preferences
6e41c0477d ASAM CMP: Adding support for ASAM CMP
d7a5d5a01d Update sharkd rtp-stream tap to match Wireshark
c8947c88ca packet-cql.c: add map and set dissection
df59bfff2e Convert asn2ws to generate C99 types
d5ea143ee2 gprscdr: Update to 3GPP TS 32.298 V18.2.0
7ef3acdaa5 Refine lua tests for clarity
85a7b9da3e packet-dnp.c - Add Secure Authentication Object Support
123945c507 pfcp: Update to 3GPP TS 29.244 V18.2.0
7aa60f8857 Telnet: Fix AUTHENTICATION double-unescaping.
e5ced7ad79 HSFZ: Adding support for the HSFZ protocol
05c16fef81 CAN/FlexRay/LIN: Adding support to set Source and Destination
4ecf22fd2a PTP: display tlvType as hex
cc3af3ff9e Remove WOWW notes as it was not a new protocol
9dbc72dd5b Spellchecking: doing check new generated C files
f9846ecb7c macos-setup.sh, WSDG: Qt 6 builds must be done manually on macOS.
9c3815d9fe [Automatic update for 2023-08-06]
c9daa6b656 WSUG: Documentation updates
e693b924c4 SNMP: Don't check the tvb length on a fragmented packet
fd91b987d4 Art-Net: Update OEM/ESTA codes
a734e40e71 JSON 3GPP: correction of decoding SupportFeatures
d02f074150 TLS: improve visualization of SessionTicket extension
15825ebeda MAC Blocks: Add check box and hide the short name
09009b68e4 MAC Blocks: Use a proxy model to implement filtering
757b58a503 MAC Blocks: Replace QComboBox with a QLineEdit
9708362cee hartip: enhance display of delimiter
06f3d0fa5e hartip: display expansion bytes
9ad1ec1651 extcap: Flush after writing the pcap header
380c142d7a proxy: Fix two-pass dissection of coalesced packets
fa893f56bc GUI: Implement selection and copying for MAC Address Blocks
af28092876 dhcp|dhcpv6: Add ethernet client identifier item
a3be2f1b7a wisun: fix wrong item length
ff97c19a1c TFTP: resuscitate tsize probe detection code (CID1471625)
44dc70cc5a CP2179: Handle timetag info response without records
7694ad23d9 BGP: Add BGP-LS SRv6 Extensions (draft-ietf-idr-bgpls-srv6-ext-14)
e9b0c58430 SOME/IP: Fix typo
d5b714003a macOS: Quote our code signing identities
3666d3547e osx-app.sh: Define the signing identities, or use self-signed
afdc1babf7 packet-cql.c: deal with NULL and zero length map and set values
5d8b1acf55 Fix Wi-SUN JM-IE dissector
acab67d234 Fix progress_is_slow check arithmetic
f2a2eadb84 Gitlab CI: Update manuf header
391f9a3d63 GitLab CI: Switch the Windows x64 packages to Qt 6.5.2
3c2fa2b61a Falcodump: Partially revert c8accef14c
c058febb45 PFCP: fix dissection of Offending IE Information IE
230b59c3f2 TECMP: Remove old dead FlexRay code
1d0c142a9a GUI: Implement Tools->MAC Address Blocks menu entry
d5fb4db20c [Automatic update for 2023-07-30]
788be03d90 debian: New lintian override format
66cc899624 GitLab CI: Fix up our manuf header
b1f00bc411 UI: Fix path separators for profiles
ad6cedb564 debian: Add missing symbols
4052d2c7f4 debian: Override lintian embedded-library complaint about manuf data
5eb3fdc47a Fix typo for field wlan.wfa.ie.wpau.cs.oui
a582dc8ae5 manuf: Add ws_manuf_count()
9179ba9667 manuf: More cleanups
341c03713f manuf: Move private declarations out of header
4838556b3a GitLab CI: Move manuf to the Code Lines job
af2830be7b GitLab CI: Build manuf
36e7876851 GitLab CI: Restrict "web" pipeline sources
6897e5cd04 Docs: Document `tshark -G {manuf,services,enterprises}`
b14d514541 RTPS: New algorithm PIDs values set woth their final values
74406642ae ieee802.11be draft2.0:Fix mlo assoc response && EHT NDP Announcement
a9241ef14e Change data size formatting to use SI units and 0 precision
4c5c969023 Clean up the cleaning-up of wtap_dump_params structures.
b3e09c65d3 manuf: Mask out broadcast flag
0ebe3bc0d4 manuf: Improve iteration logic
611bf80be3 manuf: Code cleanup
d2e85d783c Update release notes
7f06df2d0c Add tshark -G services
734a675938 Add description to IANA services table
a3142d25bf Add tshark -G enterprises
939a9fb0a7 TCP: Summarize the completeness bitmask as a string
5218affca5 debian: Add missing symbols
75585a7607 http: Don't create extra TCP streams and conversation data
6b630a65dc PROXYv2: support coalesced packets
0f7b431de4 cql: fix Dead Store found by Clang Analyzer
edd0517fae Websocket: Restore the text payload field
dae58c9a69 manuf: Add table dump with tshark -G
a6bd924c0a GSM A DTAP: fix value-string for Signalling Access Protocol
36c6616b7d telnet: Simplify handling of Telnet option lookup.
0fd01fbd6d HTTP2: Modified to use common streaming reassembly helper function
edbb5272ac Reassembly: add additional_bytes_expected_to_complete_reassembly function
783918a93b IRC: Interpret CTCP commands with a Name Only protocol
a6bab78815 Add H.265 to video codecs
b4a421cf82 Replace "manuf" files with static arrays
7e08afb478 packet-cql.c: fix ERROR message parsing
74bfa8a03d dfilter: Remove deprecated ~= operator symbol
ca8976020f dfilter: Change "not in" behaviour to match inequality
1b82eda9eb epan: Register dynamic column fields and make them filterable
99ef0560b7 zabbix: fix buffer overflow in zabbix_desegment preference
d138e594b5 dfilter: Fix `all .. in` operator semantics
f743fa5249 dfilter: Refactor DFVM values
261c2f24cc Add Zabbix protocol dissector
6885d787fd [Automatic update for 2023-07-23]
207321b4b1 woww: Fix inconsistencies
1cac1791f3 woww: Fix SMSG_TEXT_EMOTE emote_int
484909108d woww: Fix CMSG_TEXT_EMOTE incorrect type
12e1b9cee0 woww: Fix inner loops overriding the outer loop variable
46419c31a7 woww: Add array indices in subtree text
799c4cc9fb woww: Add more enumerators for ITEM_SLOT
6a229ac490 woww: Remove pinfo from add_update_mask
ab5a0e566f woww: Add SHIRT to ITEM_SLOT enum
7ab0f0890d woww: Replace auction house id with enum
5c61e3f161 woww: Update layouts
2d0a07116e make_enterprises: some minor changes
439bb8d63a RTP: Remove unnecessary null check
4996cf7630 DHCPFO: Improve handling of vendor-specific options
3c6b6721ac DHCPFO: Make expert infos appear in Expert Info Dialog
5160dfd96c A few more add_bitmask fixes
d53114e469 WLAN: Fix some more inconsistent fields[] for add_bitmask() calls
52763d5aa9 SCTP: update support for zero checksum acceptable parameter
ab6c2a4a0a RLC-NR: Fix the length to a key used for wmem_tree usage
864e0f2919 NTLMSSP: Remove a useless test
890d4d6d85 rdpudp: fix sequence number computation
7d85b868b2 rdp_egfx: drop useless verbose log
fa65621a3c Q.931: fix value-string for Intermediate rate (octet 5b)
a3db035083 MySQL/MariaDB: Dissect CLIENT_SSL_VERIFY_SERVER_CERT bit
8497277770 Openflow(v1): fix Dead Store found by Clang analyzer
e7c79f5a3a cql: fix Dead Store found by Clang Analyzer
2f9f75f8e1 rtps: fix dead assignment found by Clang Analyzer
535f8f7534 Improve check for add_bitmask consistency, and fix up some issues
bc6f86e875 DNS: add a fence to info column
65c20f04da GitLab CI: Update some paths
3370e8752a RTP: Rename the struct of per-packet info
2ac8231776 Release notes: We now have a Windows Arm64 package
1dfdb211b7 Tools: Move malloc debugging to a separate file
a1e4aea6ff RTP: SSRCs on the same RTP session have their own number space
13f21ebd59 GitLab CI: Fix Windows Arm64 package copying
3a9d086389 GitLab CI: Fix our Windows Arm64 CMake prefix path
dff32f7ae1 Fix a spelling error in file-pcap.c
92adc02cc3 GitLab CI: Add Python to the Windows Arm64 path, second try
6fa03d19c1 GitLab CI: Add Python to the Windows Arm64 path
cfacb88c66 GitLab CI: Add a Windows Arm64 package job
bc55a18fb1 WSUG: add subsections for the various preference panes
3a7a3a9e40 rdps: generate big text arrays and one fwrite() call.
f4e31bda10 rdps: no need to set script_name in start_code().
8c43fd663d Add more notes about getting distribution information on Linux. [skip ci]
6ed7571150 Fix more item/call issues
c71f7d5e14 file-pcap, file-pcapng: use names from the specs for packet lengths.
9c57f9061d export: Free wtap_dump_params
335da63bd6 packet_range: Handle depended upon correctly for all cases
bf56f86197 epan: Convert our column format gbooleans to bools
2150845ec3 epan: Add default log column preferences
bd229c2a7c WSUG: Images of preferences
4e4c9e2778 ISIS: Updated SRv6 Locator TLV and SRv6 End SID sub-TLV (rfc9353)
00216e7e0b epan: Decrease dependent frame hash table size
2134cca1a4 AMR: avoid redundant assignment
a6a5707a78 When checking for a 32-bit vs. 64-bit architecture, check for ARM64.
eac19ab007 Simplify the "is this NT workstation" test.
889d0d6e6c Fix comment in a typo. [skip ci]
7bfc3f2c13 dumpcap: Add a permissions warning about capabilities
76719d21eb CBOR: Add a recursion check
f307a16d36 Qt: Change handling of folder name text entry
52c45b278e Fix the check for Windows 11 to detect 22H2.
76e1c8a19f XnAP: fix another test
6a1639c42f XNAP: fix a test
ee3faeedf9 couchbase: Add support for ReplicaRead subdoc flag
f0520511b1 Debian: Add missing symbol
6f6a8d9b66 epan: Fix crash on columns with many long string fields
e3bedc57ba [Automatic update for 2023-07-16]
dcc9cbffef Qt: Include a checkbox to export without depended upon packets
39a0efc3ad RTPS: Added CRC32 and MD5 checksum check and deleted unused hfs
86652cef34 Qt: Fix displayed marked packet count label
27035bc9f5 ASN1 dissectors: Avoid returning twice from same function
96b24596d6 file-tiff: Avoid division by zero
2056d7a6ff DICOM: Fix leak in export objects
a7f8bb991e WSUG: Note that we have a foundation.
953cfbd529 DNS: Implement support for A record CH class response
7922b74edf [19131] wslua: make `pinfo.in_error_pkt` writable
2fb12ccdcf TLS-utils: fix visualization of "max_ack_delay" transport parameter
8cee13f912 DICOM: Fix some leaks
23ccf8c9a0 codecs: Pass in fmtp, decode bandwidth efficient AMR
fd64746f44 Improve consistency of includes
1c386645df RTP Analysis: Fix jitter for packets before the previous one
61ef5f7564 Copy DICOM payload to Export Objects window
02d2f62b8c Protobuf: improve the speed of loading protobuf language files
0471cc357f MAC-LTE: Fix some value_string conflicts
9466415937 Debian: Add missing symbols
17ee2ad57e User Guide: Document preferences
ca1a477921 T.38: Support reassembly of more than two data items in a frame
4b377dd250 IPP: Support both IPP and IPPS
8ecb0b53f2 T.38: Don't warn about no pending fragments on retransmissions
2f0fd3476e USB: Print Darwin frame status only when available
8ce0d9bc9c USB: Add missing Darwin USB status values
656c01bc53 DTLS: add tree for unknown data
a43ba6452a HTTP: Warn if there is extra data after a body
b285a28467 RTP: Fix if the fmtp comes before rtpmap
78cc1225b7 Remove services
3ff0902336 DHCPFO: Add Microsoft-specific features
725c71b0c2 cfm: Test ID TLV has unusual length (bits not octets)
934e487a3a DCERPC: Fix WKSSVC NetWkstaEnumUsers Request/Response parsing
f588214a58 manuf: Improve name shortening heuristic
f44e088329 manuf: Skip some start words in short name
ac57a25ed8 manuf: Increase truncation size to 12
641de5bd0d manuf: Fix indentation
0b5791b08d manuf: Drop Cavebear OUI list
4f7fc21708 check_typed_item_calls: fix some minor issues
b41504399e BT-DHT: Populating the 'Info' column with packet type and parameters
768f78536c wmem: map and multimap include wmem_list
57a8630bbb [Automatic update for 2023-07-09]
d871c6c6af codecs: Change interface, use SDP information for dynamic codecs
56c34de93d DCERPC: Fix SRVSVC NetSessEnum Request/Response parsing
bf1cbbb185 Keep global enterprises file as optional
959259453e Keep global services file as optional
75a778e893 Replace services file with static array
ab7896df6c dfilter: Add XOR logical operator
e10224e212 dfilter: Fix duplication of operator sttype
16898ca7f9 SDP & RTP: Pass the channels information to RTP
412ce6077c SDP: Add field for number of audio channels
f4c9e6b36b SDP: Copy format specific parameters and pass them to RTP
a54134d3c8 COPS: Fixup previous leak fix
0e82c6b4b8 dfilter: Remove limitation using subtraction
794e3a13c0 Move some release notes items
1a3410cc2e GSM A-bis/RSL: Fix Huawei paging PS according to patent
b5cecf0c78 AMQP: Set the length size for NULL to zero in value formatter
7b3fab078f Fix WiX installer build
496411c5c1 COPS: Use a wmem_array
a1bdfb2644 XMPP: Fix leak if exception thrown creating child nodes
de03e9137c HTTP3: update to final RFC (9218)
ff24c25cb1 Kerberos: Add few more Pre-authentication values from registry
9bee01d9f9 NVMe-over-TCP: enable TLS dissector
2f8df5449a Bluetooth: Parse SMP on BR/EDR Fixed channel
4fe8f58982 F1AP: upgrade dissector to v17.5.0
d3e7be5079 opus: Fix padding handling
9540126071 E1AP: upgrade dissector to v17.5.0
1be8cd2711 XnAP: upgrade dissector to v17.5.0
ca762ad5eb Convert Skinny to C99 types
14157a8de6 NGAP: upgrade dissector to v17.5.0
60a05fa668 NR RRC: upgrade dissector to v17.5.0
0d06f80869 X2AP: upgrade dissector to v17.5.0
786f256d4b NAS 5GS: upgrade dissector to v17.11.0
12f8aa2ac6 S1AP: upgrade dissector to v17.5.0
2ee7038c98 LPP: upgrade dissector to v17.5.0
dcca8c9ec9 LTE RRC: upgrade dissector to v17.5.0
02ff4f389c Rename 'enterprises.tsv' → 'enterprises'
1af406d6bb Rename enterprises files
f47ce6e761 Remove no longer used enterprises.tsv file
fcb6bb5763 dfilter: Refactor function argument passing
25eb0225d7 WSUG: Add note about subtract operator quirk
b85295c643 Add support for DNS svcparam dohpath
4ce5571cfd opus: Decode Opus packets with more than one frame
dd9dfff118 Fix some spelling errors
44258d5bed Speed up handling of global enterprises.tsv
5fb94c8a1a DHCPFO: Add Microsoft-specific hostname options
91bb3c91ac SOME/IP-SD: Only register port on first dissection
c25cd31d99 SOME/IP: Add support to auto-detect DTLS
b5ef351bf7 RFC 2198: Process later codecs after an exception
b018efe2ac E2AP: Take care with columns when calling signalling dissectors
5554d0377f ORAN FH CUS: Update C Section ext-5 to support exlen=4
c8accef14c Falcodump + Falco bridge: libsinsp API updates
f641df9ca6 SDP: Use convert_string_to_hex
58b69b737d E2AP: Call dissectors for component request/response in setup
afdfb1e282 RTP RFC2198: Tap primary encoding payload instead
f91a9c5e57 PDU-Transport: Cleanup code
ffb22c99ef dfilter: Use a register pointer to return function result
1751b1cb3a dfilter: Remove attempted load array
aabe472624 dfilter: Add reference counting to cells
d49c4b24ba dfilter: Add memory cell object
0383f6e13d Change frame.time_epoch to FT_ABSOLUTE_TIME
6730cc3a65 Add Unix time support for absolute time field type
09d5f4bdb4 dfilter: Add some arithmetic to FT_ABSOLUTE_TIME
3672cdbcd4 wsutil: Add nstime representation in ISO8601 and Unix time
9b95e0df2c RTCP: fix dissection of Slice Loss Indication
ed6ab0569a EAP: fix PEAP decoder
ddc7e4e49a RTP: Improve selection of streams for RTP Analysis/Player
2cdf840678 Clean includes by correcting path
d85717903e [Automatic update for 2023-07-02]
a95dd53913 ACDR: Add new types
14019306b3 DHCPFO: Work around payload offset bug in Draft
e01df2f1c2 RTP: Add rvals for RFC 5285 header extensions
ffbdbc6496 docs: Fix help button URLs to LTE and RTP chapters
5b018e3ca7 AMR: Use some defines for the enum options
d439c115ec NAS 5GS: dissect more URSP traffic descriptor IEs
90702f185c Skinny: Regenerate dissector from packet-skinny.c.in
8909312cd2 dfilter: Allow arithmetic expressions as set elements
d09abde082 Convert to_str.[ch] to 4-space and fix some style issues
5a6cb2cd73 AMR: Fix fallback to bandwidth-efficient mode
a49c8ea101 codecs: Register and lookup case-insensitively
d5bf3b9c92 epan: Use STRING_CASE_INSENSITIVE internally
2dc3889c3f X509: Adding NFtype extension decoding based on RFC9310
2ea65ec89f In print_stream_ops_t, put print_line_color right aftr print_line.
9640e92614 QUIC: update support to ack-frequency draft (version 04)
e94e29efcd G729 codec: Support Annex B SID/CN frames
bc20791882 Add missing include of errno.h
ed35e3a4e9 GitLab CI: Don't retry our fuzz jobs
a27fcd06bc Debian: Add missing symbols
0db7a428cd IEEE1905: Fix typos in ieee1905 dissector
7037795f8a wiretap: Make tsprec optional in wtap_generate_idb()
000ebcb00a Convert wsutil/crc*.[ch] to C99 types
1d3aed32b1 AMR: Support RTP payloads with multiple frames
1919624b4a openflow(v1): Add support of OFPT_FLOW_REMOVED
9a72f9bb1b Include errno.h in a few files
c068948610 Falcodump: Update our AWS region list
bdc3d4656e IO-Graph: Allow packet selection with Time of day true (BUGFIX)
347f3ab1a6 Falcodump: Fix our data source settings
1281a588c5 Test suite: lua library for lua tests
b330bdb06d Qt: Really show our context menu shortcuts this time
8dfe582330 Openflow(v1): fix datapath_id on Features Reply
cc17a934e1 Use _ret_uint() in some more places
63e5f2ea55 DCERPC: Fix SAMR LookupRids(opnum 18) Request parsing
81cd25454a JSON: add auto_hide preference
60939631a4 DCERPC: Add LSARPC LsarOpenPolicy3(opnum 130) parsing support
af820e9304 Fix build on Linux with libnl.
8cd2d17c58 MAC-LTE: add recent control elements
2aa34278ef Convert the NCP dissector and generator to C99 types
a3eab66d52 dfilter: Use safe-math.h with time ftypes
64b1fc4927 macOS: Prepopulate our rpath list in osx-app.sh
45bdab6b9b macOS: More app bundle fixes
2a96b3e1d1 Qt: Replace copy "...as Printable Text" context action
b4cd264912 release-notes: update the url of APN6 to its homepage.
eaa65a34c4 ISO15765: fix hf names for target and source address.
d2d246d3d5 RTP Player: Init resampler if it doesn't exist yet
7335260e74 RLC-LTE: Use _add_uint() to avoid fetching values twice
036f2e12ca Fix more full item masks that should not be.
dbd7d0b9a3 macOS: Make sure we search /usr/local/lib for libraries
44a3271adb macOS: Fix osx-app.sh
c2bb9726b8 Don't include errno.h if we don't use errno or errno value definitions.
db0f56f025 More checking labels vs filter
adb8cb61e5 TECMP: Minor cleanup
d935582649 Fix our Debian build instructions
bd709a0900 NGAP: Improve Common Network Instance
b494a22780 glusterfs: use a value_string, not g_strerror(), to decode status values.
932a4ead49 9p: don't use g_strerror() to map 9P2000.L error codes to strings.
42a2a01fcd dfilter: Refactor DFVM read code
68276911f2 Fix a documentation warning
bd25b9f4cd dfilter: Make string slices a return an FT_STRING
bf9c4ff0ff Data: Add text as UTF-8 instead of ASCII
62b2f09edf Compute slice ranges in a separate procedure
58110d7649 dfilter: Fix raw slices
38a5b44d61 dflter: Fix semantics of fvalue length
0c4e9e83d3 Qt: Manually connect our "Help" menu actions
74f05450f0 Qt: Manually connect our "Wireless" and "Tools" slots
bc1722f84c SVCCTL: Fix a shadow variable
1ff01c5b2f [Automatic update for 2023-06-25]
4f03eacadd Tools: Fix make-pci-ids.py
14b35b08e2 DCERPC: Fix NETLOGON NetrServerAuthenticate2/3 Alignment issue
c57fde44ad asterix: subitem name change in testcase
f51552640c asterix: Sync with asterix-specs #5885f96214
d123e97ab7 asterix: adjust for extended/repetitive upstream change
a2bd1c2372 GitLab CI: Move checklicenses to Commit Check job
250320bbb5 Qt: Manually connect our "Go To Packet" buttons
1e6b9df048 Qt: Manually connect our "Telephony" menu actions
2cccac5324 GitLab CI: Check the pidl dissectors consistency
675d283f80 DCE/RPC: Regenerate DFS dissector via pidl
fe7b2851fe DCE/RPC: Update conformance file
71e7fdfd0d DCE/RPC: Regenerate pidl dissectors
1184d0d894 DCE/RPC: Also add svcctl to the pidl Makefile
94349bbdae iscsi: Check bounds when extracting TargetAddress
db4e8c1911 DCE/RPC: Sync frsrpc conformance file with change
3842a49b08 UDS: Adding dissection for standard messages
ec176357db USB DFU: Register Apple Mobile Device by VID/PID
f485c5148f SMB2: Fix DEBUG_SMB2 mode bugs
c451d1e5b0 DCERPC: Add svcctl to the list of CMake targets, fix cast
cbc3e2e857 Tests: Improve Lua test report and make it useful
bfed9c5d88 Release notes: Clean trailing whitespace
29eed029b3 Make wsutil headers include what they use and build standalone
cd9c3c639b DCERPC: Improve SVCCTL EnumServicesStatusW Response Parsing
765052e231 DCERPC: Fix NETLOGON NetrServerAuthenticate2(15) Request Parsing
0fd1aeb166 netflow: Decode first two bits of 1 byte TCP flags
bd2755b0b9 Qt: Manually connect the rest of our "Statistics" menu actions
56478f633e its: Fix line endings in ETSI_TS_103301.asn
f72d93ce94 wimax: Avoid warnings from fix-encoding-args.pl
ec28835122 diameter: fix SMSF-Non-3GPP-Address label
fc4c4d74a0 redbackli: Remove disabled duplicate hf entry
456d6f49bd doc: Remove stray sentence fragment
22dcdbc3af Qt: Manually connect some "Statistics" menu actions
b96e2e2075 Convert epan/crypt to C99 types
4d8bad0dcb Update a comment. [skip ci]
0445dd4db9 Reassembly: Clarify comments to use streaming reassembly func
1a272886be USB: Dissect Binary Device Object Store descriptor
24eeead63e packet-cql.c: implement few auth related message dissection
efbca7715c tshark: Fix the check on UN*X for writing to a pipe and dissecting
568536d53c http2: add SETTINGS_NO_RFC7540_PRIORITIES of RFC9218
f11450a587 tools: Relax dup filter check for stat
32369941b3 pfcp: translate Quota Validity Time to human readable time string
8d7cc70a03 Add "-G dissectors" to TShark, to dump the registered dissectors.
40fdce4118 opensafety: Fix bad malloc pattern
ad21615973 dfilter: Fix an error message
60203c3db3 capture: Use win32strerror on windows
aa895db381 UI: Remove leftover GTK+ recent settings
38fa97a4e8 tshark: Move a debug message later
ff31939869 SMB2: Add updated TreeConnectResponse ShareFlag Isolated_Transport
62be2fc961 release-notes: IPv6 dissector supports dissecting APN6 option now.
0acc81714d WSUG: example for curly braces around math expression
a78006ebc5 http: fix Dead Store found by Clang Analyzer
ee88d734f8 rtps: fix Dead Store found by Clang Analyzer
facff67067 Use `register_dissector()` for more protocols
7e07c29b09 print: Fix a check for hf_text_only
b2ccfebe2f pgsql: Parse GSS-API and SSPI reply messages
696b19dcdf macOS: Automatically handle rpaths in our app bundle
dc8e8da889 color_filters: Free old validated list
6c61f00ed0 BFCP: Setup UDP/BFCP conversations via SDP
a3ffd742fe dfilter: Fix second stage compilation flags
5b64d1d65e Qt: Freeze packet list early on preferences change
28e324ae02 BFCP: Add fragment fields when F bit is set
bbf596f447 GitLab CI: Remove a Lintian check.
d456cc761a ftypes: Rename IS_FT_* macros
b986410302 UDS: adding missing 'All Groups/all DTCs'
594effb381 ipfix: add srv6 srh information export
a02c60b7aa PPPoE: do not display a payload length error message for IPv6CP
76f782c961 CIP: Support Concurrent Connections
f272d41f80 Revert "Remove unnecessary null check in SequenceDialog"
fa13cc36f8 Qt: Fix leaks in RTP Stream Dialog sorting and copying
f8d1525b17 Get rid of unnecessary casts.
ec3bb4538f Get rid of one last g_snprintf() call.
bfe3bacd53 Get rid of unnecessary casts.
dafd334270 Tools: Switch make-reg.py to standard C types
6b219e0f20 Tools: Add gu?long to convert-glib-types.py
1bd1d2ee04 Tools: Switch make-regs.py to C99 types
6649f96725 Debian: Fix our PCRE dependency
32c0a69a9b Convert TLS CT log updates to C99 types
2f763fe702 Convert the ASTERIX dissector and updates to C99 types
c6ded71ac4 Convert pci-ids.[ch] to C99
1dd5c10b34 [Automatic update for 2023-06-18]
0d89b8da0c saphdb: Add header check for reserved bytes
30fdbc6dca ber: Use unique sequence ids for each nest level
0d0d3b84a7 Qt: Follow stream show as recent
4d5c4154b1 Convert wmem to C99 types
60dedef3f1 CMake: Fix config package without installed plugins or extcaps
2956aac65c BLF: Last LIN-Message parameter is not mandatory (BUGFIX)
7785452149 BLF: Bugfix CAN-FD Message format
7b0a35b528 tcp: Optimize contiguous check with first gap
2c02abf8c4 tcp: Optimize OOO reassembly a bit
e834377f78 Qt: Don't look for word boundaries in FollowStreamText
c3cbff5a23 Redo address_with_resolution_to_str_buf().
a265aa4bc2 Convert writecap to C99 types
bf791df00e ocp1: Fix typos
dafa2042f8 rdp_egfx: add links for frame start/end/ack
69a530c030 MSYS2: Install development headers with PKGBUILD
011b9e906e Set more full mask fields to 0x0
d31cb4e046 Expand comment about stuff we do with device names. [skip ci]
567a9e1a47 Tools: GLib-to-C99 file handling improvements
0af1dfd8d0 address_types.c: fix one character resolved name display
8408910f05 QUIC: Mark fields with Header Protection as generated
34bd675013 tcp: Expand completeness as a bitmask
ed603e75d3 Qt: Update ws-filter-toolbar.png
0d3e6d64bd wsdg: Quick Start steps for tests with MSVC
19dba98c0c file-pcapng: add Zigbee and SSH secret types
86f51d0999 Tools: GLib-to-C99 padding improvements
e343207bbd Qt: More off-by-one pixel fixes
a0570d3a36 SMB2: Fix SMB2_QUERY_INFO Response(w FileNormalizedNameInformation) parsing failure
e31067cb5f tcp: Improve out-of-order reassembly
0facfec6df Fix typo/error in the BGP ATTR_SET error message
a623339466 wimaxsncp: Fixup last commit
0619e7bfba ieee80211: Add OPS, MAX CHAN SW Time and OCI elements. Update TWT element.
79ec9b4e12 wsdg backporting a patch: fix typo
147a5c230e Qt: Fix a off-by-one pixel issue in border
8cf9ad75a7 3gpplog: fix loop when reading fractions of second in logged lines
6ebf72ded1 Inject secrets through the GUI
c88b6b43e3 capture_opts: On Windows, check for combined interface names
978f62a805 Convert our extcaps to C99 types
c2571c7ed9 Add a check for all-set masks and fix some instances
fc99b22825 Qt: Draw a border on the right side in filter edit
33567d31c5 print: Move protocolfilter inside output_fields
fd39ea9981 wimaxasncp: Check for zero byte lengths
b4064869d1 EAP: Add reassembled_in field
5d0f253d23 Use `register_dissector()` for more protocols
04d621ba22 EAP: Fix conversation creation
9e0ce57c4d Convert capture/*.[ch] to C99 types
ce617ffe6d http: Update and use add path components function
8e5f503267 Use `register_dissector()` in doc/README.dissector
80489af0b5 wlan: Don't access uninitalized memory here either
64a1436add wslua: Catch more types of exceptions
70255bed33 wsutil: Add a plugins log domain and use it
0c0485ff6b Gitlab CI: Add CPack step to MRs
d8e5a8d138 Qt: Use selectionModel() to fetch selected rows
f9260727b0 Add basic CPack support
6386dbd66d Try that again
3001f30fc9 Update packages for new CMake config path
dc2eb69d3e make-version: fix argparse config
3289d17cab http2: Human readable follow HTTP/2 headers
14d11f13f5 epan: Remove unneeded stdbool.h includes
8daec10cb0 Declare list in DissectorTable_heuristic_new
cc6e2f929e Lua: add DissectorTable.heuristic_new() function
07e2fa72c5 NAS 5GS: Make protocol filter name match fields
c2d91158b9 NAS EPS: Make protocol filter name match fields
f02f47dadf Use `register_dissector()` for more protocols
274e67998e tshark: add support for field alias when specifying a list of fields to display
aa54f33700 Reassembly: make streaming reassembly support DESEGMENT_ONE_MORE_SEGMENT
7839a96040 tls-utils: add some more PQ key exchange algorithms
a39c9fc9b1 ieee80211: Don't access uninitialized memory
bbe409242b GRE: Add gre.subproto table for get decode as for GRE
cf1832ae14 Lua: Add a browser SSLKEYLOG launch script
80ae370811 Allow disabling unused dissectors from PHS dialog
801554fb79 Add a capture file state for a pending read
c58705654d CMake: User a better definition for WIRESHARK_INSTALL_CMAKEDIR
194b578e82 Document use of pytest with external tests
8fa1b097db Qt: Add hint text when selecting a field in PacketDialog
a76b2254a2 HART-IP: Register dissectors by name
017af7dcd0 RPC_NETLOGON: Fixes parsing errors in NetrServerPasswordSet2 request/reply
0b1c7569f0 debian: add missing symbols
56c53ea776 http: Add a field for Range and Content-Range
5a63a543cf Github: Fix Windows build
6bf84fe876 CMake: Fix Lua52 URL
3bc885f746 TURN: Remove dead code
e2da052757 wiretap: Don't close an already closed file descriptor
a605d7ac8c Revert sharkd newline processing changes
1fea6aaf7a Fix lua FieldInfo sort ordering
afff4e026d Lua: DNS: Fix Fields for multi-question queries
ce476f79b4 Lua: Fix root zone queries in DNS example
15013ab136 RTP Analysis：Fix nominal and arrival times calculation
3c944de9df Fix SMB1 SMB_COM_SESSION_SETUP_ANDX (0x73) parsing failure.
cd3275c1b5 Reassembly: add helper macros
d7eedba8e2 editcap: if verbose print Total selected for output
6a8bdf192c E212: switch MCC and MNC fields from uint to string
52e8c21924 JSON 3GPP: fix a typo in hf name
591f89d785 Add a script to convert GLib types to their C equivalents
0f71aa256c Remove unnecessary null check in SequenceDialog
7c04f38022 CMake+Windows: Use "x64" instead of "win64"
e0f1f8dbf3 TLS: Fix TLS tunneled within TLS
001930e1e5 file: fix might be clobbered by ‘longjmp’ or ‘vfork’ [-Werror=clobbered]
97ae7cdf2f Qt: Position selected packet at center
3b6164918c RTPS: Change the description of SRTPS Prefix Vendor-Specific Content flag
edaece6aa8 JSON 3GPP: use http2_get_header_value() to fetch HTTP2 path
7f0874b1f9 MSYS2: Use Lua 5.2 and update documentation
f21288593e WSDG: Move a line to the proper place
ae87a9983a WSDG: Add cross-compilation instructions for Arch Linux
7837cec8f4 Use dataoffset in SMB_Parameter to access the data in SMB_COM_WRITE_ANDX
877a1e1120 ieee80211: Add EHT Trigger frame dissector and add new fields in some elements
5cf217a44a CMake: Improve repository configuration
04fe30ade7 CMake: Fix Qt configuration
053e691931 mingw-rpm-setup: Add cmake
a8ccf08aa7 mingw-rpm-setup: Install git and patch
a6b7a7c4a3 Gitlab CI: Enable FETCH_lua for MinGW-w64 builds
687b24d5b3 CMake: Add option to download and build Lua
bb9e66aea7 Qt: Fix PacketDialog secondary data sources crash after closing file
fedcf129fc CMake: Update a sanity check
25f091b8db MMRP: add parsing action for FirstValues
3f1f34a2a3 http: Remove some unused code
df4add2ecb RPC: Cast to make clang happy
f8d2444bc3 ntp: format ntp.refid for Kiss-o'-Death messages
812f40e470 sharkd: Keep the sharkd buffer input size at 2 * 1024
6522999276 shardk: preserve last char in buf for string termination
c9e91d7290 sharkd: Remove json newline restriction
be1e20a951 sharkd: Remove json order restriction
04c99663ff tools/check_*.py: Allow most of them run under Windows
014d17b471 PER: Fix dissect_per_null to always use length=0
086f4f1133 MSVC: Increase stack size to 8MiB, same as Linux and MacOS
fe1f59db7b Update packet-rpc.c
72001ad04e RPC: Fix credentials decoding for GlusterFS
1bd8e05f54 tshark: show field abbrevs matching a prefix
80abaa6f2d Resources: Update the logo
ab2b446e69 ALC/LCT, LLS/SLT: Update includes
d5b3cdacd6 wsutil: Optimize unaligned pointer access for MSVC and icc
d00468742f TCP: Zero Window Probe ACK detection for improper clients
acbc327faf Change how the packet dedup structures are handled during a live capture
04257d928a ALC/LCT, LLS/SLT: Add ATSC3 support
952a3163c2 [Automatic update for 2023-06-11]
e0582e1fb1 JSON 3GPP: Fix typo in display filter for EnATSSS
c2ecbe58d9 bgp: fix warning found by check typed items call
75cf1d52e5 rdp(drdynvc): fix typo
ff920f63ea rdp(drdynvc): fix indent
fa8cd1fac0 rdp(drdynvc): move value_string to top of file
8aaaded984 rdp(drdynvc): fix Dead Store found by Clang Analyzer
0795031692 epan: fix MCTP address string length
54897d8c06 sharkd: Add Multicast streams output
049a89b2ce CMake+Windows: Use "x64" instead of "win64"
46f5f7a31f JSON 3GPP: add TS 29.525 ch5.8 Feature negotiation support
fa35313f46 check_spelling.py: ignore ghz quantities
cb20d4a192 UDPCP: fix indentation
82f4fd84e0 .tools/check_tfs.py:  Tighten up check for vals->common tfs
c251ec9989 wifi-nan: fix wrong offset for NAN availability
a3806fc69b Qt: Fix crash when changing dfilter macro
81c3ade8a3 Qt: Remove now unnecessary, crash-prone ByteViewTab tvb_memeql
670002cab6 pfcp: add media_type handle
0b27d3e584 MinGW+NSIS: Remove the Fedora hard-coded cross-build sysroot
5e0c35df51 CMake: Use USE_REPOSITORY with FindWSWinLibs.cmake
f8f85cb9ad CMake: Modernize Qt6 configuration
857c08ae26 RTPS: New RTPS elements introduced by Dynamic Certificate Renewal & Revocation
68526daf24 Add packet dedup support for live captures too
d2c9f1824a Add a preference for ignoring duplicate frames
620828b945 .mailmap: Update AUTHORS
9d81e79b92 JSON 3GPP: add TS 29.512 ch5.8 Feature negotiation support
aa8c656783 Add an ID3v2 dissector.
0757c09a01 Qt: Start adding "Event" support to I/O Graphs
12b5e4fdfc Falco bridge: Add a missing include
89e17c19ac Add missing #ifdef HAVE_LIBPCAP guard
aa8146d181 TLS: Export only actually used secrets
52289c74c8 haproxy protocol: fix TLV parsing
2b582068d3 haproxy protocol: add support for PP2_TYPE_UNIQUE_ID TLV
1744ce4a0f epan: Add ENC_BOM modifier for UTF-16, UCS-2, UCS-4
bda350d8fd Don't have every dissector include wtap.h
a82d5b56d1 WSDG: Amend some section titles (quick setup)
3586dcf61d WSDG: Update test documentation to reflect the latest changes
28c3b0dffa OCP.1: Make var initialization consistent
387eaec32d Docs: Adjust our Asciidoctor page number settings
eb76265355 Windows: Make use of SSIZE_T
ea76d7f290 Tests: Fix pytest output mangling on Windows
b9de34b7af Add macOS Quick Start to README.macos
fe15f69cf6 wiretap: Update introspection eums
acb7eb2929 Update email address
6d3560d100 RFC7468: Use STRING_CASE_INSENSITIVE instead of TRUE
53345e8a80 Release notes: Mention packet list sorting changes
5ad49ee697 HTTP2: fix a bug of streaming reassembly
4ca1f110dc Handle pcap_findalldevs_ex() on UN*X.
4c30c807b8 rpm-setup: Add Qt Image Formats as optional
2b2cfa8699 GitLab CI: Make sure AWS CLI is installed
85069dd985 GitLab CI: Fix a path
b49cbe2a87 CMake: Add EXE to wireshark-qt-manifest.nsh dependendencies
f20e4e0aa9 WSDG quick setup - fix typo
3f348f5cac CMake: Update some options
9cbc6377eb WSDG: Remove shell mark and improve formatting
5ebabc9211 WSDG: Add cross-compilation instructions
3c1ade9223 macos-setup: patch libssh to avoid compiler errors.
d324351b6c WSDG: Update quick setup
40d58a4b84 WSDG: Update test suite documentation
7f37ad27a3 mpeg-audio: Support media type
7db3c5264a Tests: Remove remaining legacy unittest code
742740b2bb Tests: Remove unittest dependency (asterix)
aa1b94055d Tests: Remove unittest dependency (netperfmeter)
9d8c17bcd1 Tests: Remove unittest dependency (dissection)
894a0d474e Tests: Remove unused file suite_external.py
61ae4ca762 OCP.1: Fix Request Lookup
0c1427037b Tests: Remove unittest dependency (decryption)
852015fa9c Tests: Remove unittest dependency (sharkd)
4aee80e579 Tests: Remove unittest dependency (unittests)
6e95d431a6 Tests: Remove unittest dependency (follow_dccp)
383d6cba02 Tests: Remove unittest dependency (text2pcap)
b71789f4e3 Tests: Remove unittest dependency (io)
d725af2a5b Tests: Remove unittest dependency (nameres)
0ba2fe2e5c Tests: Remove unittest dependency (follow)
69af5aa4ac Tests: Remove unittest depenency (extcaps)
08de6766aa Tests: Remove unittest dependency (wslua)
1b2ebd77bc Tests: Remove unitttest dependency (release)
73b6cb03e6 Tests: Fix --enable-release option
d8a9e09166 Tests: Remove unittest dependency (outputformats)
c710d8dd79 Tests: Remove unittest dependency (mergecap)
f5f6dfa2d4 Tests: Remove unittest dependency (fileformats)
e60651520f Tests: Remove unittest dependency (follow_multistream)
0713d78c22 Tests: Remove unittest dependency (clopts)
d04259560c GitLab CI: Sign our Windows packages explicitly
cec508ab26 CMake+GitLab CI: Generate a Visual Studio Code Analysis report
3d3e6acdff BT-Tracker: add support for BEP-41 (i.e. extensions)
fb3cb0cb80 Tests: Replace subprocesstest.LoggingPopen() (capture)
241dc49af2 Test: Remove @fixtures (capture)
d4ceb9c856 Tests: Replace self.startProcess( capture)
d871561ca4 Tests: Replace self.runProcess() (capture)
a7422a55bc Tests: Replace self.countOutput() (capture)
8cd9e3feaa Tests: Replace self.checkPacketCount() (capture)
8af8addb7e Tests: Remove two uses of self.id() (capture)
0924387dbb Tests: Remove obsolete cleanup_files calls (capture)
271747ea56 Tests: Replace simple assertions (capture)
b6a2b263d7 Tests: Remove a diagnostic message (capture)
5ea8c80b9c Gitlab CI: Remove redundant NSIS code signing step
6aa0490fdc CMake+NSIS: Allow building an unsigned installer
9195d63482 NSIS+MinGW: Add uninstaller
e4d187535d ieee80211: Update radiotap EHT and U-SIG fields
0309175407 tls: Enable additional TLS 1.3 Key Updates after the first
db8202900b blf: improve handing of errors.
bd777a7752 [Automatic update for 2023-06-04]
5d2988334c netscaler: clean up the way we read pages.
ebaee788b9 check_tfs.py: Try more sanity checks on true/false strings
119b49aa8c rtps: Fix Dead Store found by Clang Analyzer
9f2569e520 tecmp: Fix Dead Store found by Clang Analyzer
a60d0b53c5 5co-rap: fix Dead Store found by Clang Analyzer
a18b43cd37 reassemble(epan): Fix Dead Store found by Clang Analyzer
3f51aa95e1 mbim: Fix Dead Store found by Clang Analyzer
85e4cf633e mpeg(wiretap): Fix Dead Store found by Clang Analyzer
e490911757 tools/check_static.py: add a couple of comments
1cdebcd80c randpkt: Support different capture formats, default to pcapng
f4723eeb7e wiretap: Generate IDBs from packets when necessary
9d6b2f5d8a Check more printf-style format against args in dissectors
150d3cee89 wiretap: Unify IDB generation into a common function
e78724c782 NAS 5GS: put route selection decriptors in a subtree
81f20645d0 tshark: Document -T fields escaping, allow it to be turned off
a6f4352ee4 TCP: Obvious Retransmissions are marked as Out-of-Order
4d33f48e6f Only subtract 4 bytes from payload before passing to RRC if maci_present
8a535b61c9 CQL: No global table spec if no metadata flag is set
6840d00309 Fix some filters not matching labels
c97a36a646 http2: Improve PUSH_PROMISE handling
9e197a5ff1 Fix some spelling errors
41b8f07c86 CMake+Windows: Try to fix NSIS installer with Ninja
ec06fe0636 tshark: Don't escape the aggregator character when printing -T fields
5e2a33901c Improve DCERPC SVCCTL interface support
e1834c635f GNSS: add dissector for SBAS L1 MT7
9d125d4a8b GNSS: add dissector for GPS L1 LNAV (as provided by UBX-RXM-SFRBX)
1bc15606e9 packet-dcerpc-netlogon: seal/sign algo add clear text
da5b21f5ec Save time-shifted time stamps when writing out a capture file
aee0278e08 TLS: Rename some incompatible SSLv2 handshake fields
236e6b00cb BMP: Update to final RFC (9069) and missing TLV (Peer Up/Route Mirroring)
f330087f08 NSIS: Add support for Arm64
507330fbc6 CMake+Qt: Only copy our translation files on Windows
0041ab5256 debian: add missing symbols
a114e7d331 http2: add request duration to responses
1720f3daef HTTP/2: Send compressed DATA frames to follow tap after decompression
d549c10d3b CMake: Fix build with Ninja + MSVC
42d7a9fa40 CMake: Remove duplicate npcap/usbpcap version vars
ec2ca05e15 CFM: overhaul dissector
48384dba68 Gitlab CI: Use ccache with Fedora MinGW job
026175bfd8 Windows: Another SpanDSP fix
95355bd165 NSIS: Deploy Qt DLLs when cross-compiling
6789e87106 E2AP: Notice when conversation has no RANfunction table set
1910d4fe95 Gitlab CI: Add Fedora MinGW-w64 job
b5f2542b06 RTPS: Dissection of the DDS Security New Algorithm PIDs adapted to the OMG spec.
7c77242808 NAS-5GS: typo corrections
127422eb7f HTTP2: Display (compressed) CONTINUATION fragment in bytes
f4f008770b More testing of check_dissector.py
dad5bc8c0d Windows: More SpanDSP fixes
d174722bae NSIS: Build our Qt manifest
b0c582a82f Qt: Start with a new QFont in setMonospaceFont
25e01c6732 tools/check_dissector.py
6e020f9ce7 ieee80211: Add dissector for 20/40 BSS Intolerant Channel Report element
3b9b652ace MySQL: fix might be clobbered by ‘longjmp’ or ‘vfork’ [-Werror=clobbered]
9237d3777d NSIS: Make Lua optional
28cc5a1a3e label-vs filter checking:  Only report dissector appears to be written that way
2048810a8f Windows: Deploy MinGW DLLs with cross-compilation
4d39bdb942 NSIS: Make some components optional
0003d94086 NSIS: Skip Qt deployment and uninstaller when cross-compiling
07825e634e NSIS: Make command line portable across platforms
155da04d67 CMake: Remove SKIP_QT_TRANSLATIONS
c17c11eeb8 Label vs filter checking
2dbd2b44dc CMake: Use "arm64" instead of "win64arm"
d7189583c7 Windows: Update our iLBC, SBC, and SpanDSP packages
3da3e0ee43 [Automatic update for 2023-05-28]
07350c6b38 Qt: Scroll to selected packet after column move
0395bfce0f Add mingw-rpm-setup.sh script
ca0357d764 Cross-compilation: Remove PowerShell requirement
8134009b1d epan: Fix some indent TAB issues
4131824bee NAS 5GS: fix dissection of Operator-defined access category definitions
b673bc022a kafka: Don't use after free
91cbf179bf kafka: Allow reused correlation IDs on a connection
875e77d784 CMake: Fix a python variable
64af2eee2f http2: Add support for Export Objects
47167eda1b RSL: correct wrong value in rsl_data_rte_vals[]
04f15b9f07 wsutil: Remove defective sanity check
f653e52e0f CMake: Try to use FindPython3.cmake again
78efc8d7fa mc-nmf: Fix undefined shift
438667846a CMake: Download Npcap/USBPcap using CMake
f0e4c5262d Revert "CMake: Replace deprecated module FindPythonInterp"
69327113ef MySQL: Handle resultset rows in text format beginning with 0
601bf39e6b CMake: Remove module LocatePythonModule.cmake
d6380e7ae4 CMake: Replace deprecated module FindPythonInterp
b4f2980722 CMake: Fix a try_run() test when cross-compiling
c0a8ea9c9c CMake: Tweak MinGW options
67e8c877e1 E2AP: name lookup was missing new RANFunction "NI"
679ce68b13 add sm3 oid
2f948caf07 Fix missing config.h definitions
a3b3f84cfc Update Endace ERF Provenance
f409a1cf2c editcap: Use the interval start for new file names
4fb99bb462 wsutil: Fix unused function warning with Fedora MinGW cross
9f7f472f49 androiddump: Fix warning [-Wdiscarded-qualifier]
dde314f4b2 capture-wpcap: Rename a stub function
8dc5d2d348 Fedora: Fix cross-compilation with mingw-wpcap
16b99b0270 MySQL: Only check for 0xfb response code in specific states
620c33b6ff E2AP: Add NI v1.00
51accf1b90 Allow using host Lemon executable
0da67aee02 CMake: Reformat UseLemon.cmake
c05d11204d Windows: Update our libsmi packages
5051378b69 CMake: Add "pwsh" as a PowerShell name
2917eaaefc rpm: don't overwrite user changes to diameter/Custom.xml on package upgrades
c4f242e6ac Revert "Revert "GitLab CI: Update the GitLab macOS runner info""
783627a109 Docs: Move MSYS2 instructions to WSDG
d6d34fc60d GitLab CI: Check the ASN.1 dissectors consistency
edcfbb06d2 MySQL: Make random access dissection work
783eeb9a4c extcap: Remove duplicated bool value labels
3fceadef5d epan: Fix a comment
b1466bb989 multipart: media type table should be case insensitive
19c9393e43 ceph: Prevent malformed UTF-8 from truncation
1e0989b418 add dissector for SINEC AP1 protocol
3f5c9b7f9f wslua: Only register subtree array once
aca3eaed76 afs: Fix partition name UTF-8
3d104c7ab9 Add missing docbook-xsl rpm-setup.sh package
00271e0ecb 9p: Fix a string length
989e9f65e4 Fix a missing include without libpcap
5928506896 add SM2 and SM2-with-SM3 OID
e5ee6c058e CoAP: Block size is named "SZ" instead of "SZX"
ce87eac032 XRA: Fix an infinite loop
2e502cbf70 GitLab CI+Docbook: More win64 → x64 updates
6e7d199582 QUIC: Don't include data from other streams in Follow tap
5f51c4bb33 Decode As: Enable disabling a default dissector
cef49cd887 CIGI: Consolidate indentical true_false_strings
4e70ea33af Fix build on case-sensitive filesystems
c845aa15fe GitLab CI: Update our Windows package names
bc5718b0f0 Add python cache to gitignore
ad39e3ff36 CMake+MSYS2: Disable AirPcap by default
fb1b022922 Packaging: Change our Windows installer filename format
d923c2ac94 Adding support for time relative to capture start
caeedef803 Qt: Stop using flags to represent languages
fdd1863a01 PER: Fix leaks in bit string, octet string
285a4cb39e Reassembly: Attach a replaced tvb to a new one in reassembled tables
512557a328 RTPS: Added extra flags at the SECURE_PREFIX_FLAGS.
bde79e1992 XMPP: Cleanup xmpp element even if there's an exception
06c9e2f23a SNMP: Fix multiple PDU over TCP handling
15e583afbd TLS: Handle cleartext handshakes after CCS
daecf5df0e SAPHDB: Add header length check
545c48200f bthci_evt: Additional dissection of HCI events (from v5.4 spec)
de593771de batadv: Initialize a variable before using it
10b93c1acc Add support for UDP Tracker Protocol for BitTorrent
ac56bdc70a per: Fix leak in dissect_per_open_type_internal
cd02e73fcf DOF: Fix leak in packet data
1db595d1bd Decode As: Keep current handle and description consistent
7b2db3d661 usb-hid: fix typo for 0x33 (Rx), 0x40 (Vx), or 0x43 (Vbrx)
572f104638 check_tfs.py: allow more chars in RE, and fix issues seen
883a4bc58d add subdissector s7comm-bsend for s7comm bsend data
35f29e0d17 Bluetooth SDP: fix protocol descriptor list parsing
aa6b8368b7 MSYS2: Add support for building a stand-alone NSIS installer
83cebf9563 NSIS: Remove our copy of x64.nsh
624cdacd4e Windows: Update our libssh packages and add Lua for Arm64
a4df6e1eb1 More tools/check_typed_item_calls.py fussing
5eab2f8b63 [Automatic update for 2023-05-21]
1ed4d8fd25 rdp_drdynvc: fix reuse of dynamic channel ids
364eadbd7a MySQL/MariaDB: last stmt id is per frame data
62b427c611 Initialize some variables [-Wmaybe-uninitialized]
ab82e54dfa MSYS2: Update README
c4f37d77b2 synphasor: Use val_to_str_const
de347765f5 Decode As: Don't crash on a (none) configuration entry
5bd4bb8b27 TCP: Conversation Completeness wrong value for some protocols
8101d02c5e TCP: don't mark Ports Reused when it is only a Retransmission
7ade1e36cb Qt: Only have a getter for the default dissector
3a3abaec59 Qt: Decode As: Add values from all the layers as suggestions
46dd9c31bb Windows: Update our GnuTLS packages
53f4f1b13d pgsql: Implement GSS-API session encryption
2155b387a8 gssapi: Remove dependency on dcerpc header
32e1750343 epan: Reference count fd_heads in reassembled_table
cb190d6839 netscaler: add more checks to make sure the record is within the page.
2eb71f3e6e GNSS: make sbas_crc24q() static
cc2fe84bd0 TCP: Don't reassemble out of order if the segments list doesn't exist
035f9531f3 Windows: Update our libgcrypt packages
fb5e69e0be Diameter: Fix dissection of SM-RP-UI AVP
28fdce547c RTPS: Fixup our g_strlcpy dest_sizes
8c834f528a Fix some more item lengths vs calls
a4d6a12093 mysql: Use frame data current state
6f888c18a9 FiveCo Legacy: Fix leak
472fdc1645 blf: don't ws_debug the value of *data_offset on an error.
9eee508103 blf: plug another leak-on-error.
e6a2976af6 blf: plug some leaks on read errors.
f10a66999b blf: fix a case where an error wasn't being reported.
8780332817 blf: don't assume that app text is null-terminated in the file.
1c45a899f8 MS-MMS: Use format_text_string()
c76ec1eeeb GitLab CI: Fix our pre-commit check
a7106f6e96 UI: Allow Arm64 updates on Windows
563307ff6b dumpcap: Don't write fake IDBs for pcapng interfaces
db5135826d vms: fix the search for the packet length field.
6653a0e6ef Revert "GitLab CI: Update the GitLab macOS runner info"
da01f878e1 Windows: Upgrade WinSparkle to 0.8.0
0a28e4e8aa Fix some check_typed_item_calls.py length warnings.
7c971034c3 SIP: Fix values for sip.msg_hdr and sip.msg_body
9ef9fbeddf dumpcap(1): update some old "pcap as default format" text.
ef0b1fe80a dumpcap: Update optional log to file
2fd5e8724a TDS: Handle clients that send null version in prelogin packets
e484b51779 PTPv2: Expanded IEEE 1588 clockAccuracy values
908af7f538 GitLab CI: Remove remaining 'when:always'es
05e404e8cb epan: Add STRING_CASE_[IN]SENSITIVE for dissector tables
cd9f8da44b blf: Include errno.h
72e5bf7f74 check_typed_item_calls: check length against item for all calls
4e57e6f72e GitLab CI: Start removing when:always
9a37a12a67 GitLab CI: Update the GitLab macOS runner info
7e9a0810ad SIP: Don't double count removed bindings
6fe5896174 UDS: fix some data identifier items length
8b3d214f41 epan: Update a comment
c899be35a9 blf: add some sanity checks.
8cab0daed1 Qt: Redissect packets when applying a time shift
27550c4d6a GNSS: add dissectors for SBAS L1 navigation messages
0181fafb21 candump: check for a too-long frame length.
e972aebae0 5CO-RAP: try to address coverity defects
0694144dd5 GitLab CI: Try to keep the Documentation job from blocking
60c46b74aa 5CO-RAP: Comment on or address some minor issues
c002bbb818 Compact view of multi-line packet comments
69766b0c57 DRDA: Fix a value_string conflict (COMMIT WORK)
eea848bf5e sshdump: Trying to get closer to setting intended rem. capture filter
7ec4329cab TLS: Handle dissection of KeyExchange in 2nd pass when cipher changes
5468611d57 Use `register_dissector()` for more protocols
40fdd67664 View bytes as decimal or octal
a5f5be477f 5CoRAP: New FiveCo Register Access Protocol dissector
5d1bbae14f TCP: Enhance Unseen Ack detection
2be5b24d03 bthci_iso: Fix incorrect Bluetooth ISO SDU length in Rx direction
9d11b2dac3 TDS: Improve version detection
92c0fd70e3 TDS: Support SPNEGO
dddae82883 GitLab CI: Tweak our documentation rules
b4ba0f4782 Qt: Free rtpstream ids after done with them
66e3ea9519 Qt: Ensure AudioRoutingFilter is freed
3a0b4a8d10 Qt: Ensure the AudioSilenceGenerator is freed
78e1b6b680 fix: argument in function should not shadow global function
6a85da6823 lua: Add lua traceback to proto_tree
8c9b84b7b5 DNS: leverage build in address family registry
6eefc7c052 GNSS: fix TOW display of UBX-NAV-TIMEGPS
fd795326e6 RTP: Have dynamic payload type show up as new Decode As item
ba5024ad28 bgp: split labeled ipv6 vpn into different items
14c3ee468b Qt: Stop after creating a Decode As item
c5521fb7e9 Release notes: Mention AMR codec support
ec9736456e GitLab CI: Allow the docs to be built manually
d1750a989c file-pcapng: make dissect_custom_options() static
f0819d9552 CMake: Fix our Asciidoctor build dir
7f916a8419 [Automatic update for 2023-05-14]
f2618f0154 Qt: Decode As: Update the default dissector string
118815ca7c GDSDB: Make sure our offset advances.
ebbd943c85 Qt: Simplify Decode As handling
51e02923a4 MSYS2: Install user guide with mingw package
a88af3a866 CMake: Use components to install doc guides
fb43a57db2 CMake: Remove stale NSIS file
16b1a13993 tools: Add missing dependency to msys2-setup.sh
0f1581bf58 WSDG: Fix a link
78978d5673 Windows: Upgrade krb5 to 1.20.1
2d2d5048a5 Test: Fix a test on macOS
e36225aea5 CMake: Remove CTest
12f7755b66 WBXML: Ensure the time zone character is valid UTF-8
df804f25af Tests+MSVC: Fix capture test suite using Npcap 1.75
f8f9112f9a Qt: Fix leaks VOIP Calls Dialog
aa52529225 SIP: Dissect MCC and MNC in P-Access-Network-Info
f660af095a Gitlab CI: Fix a python path
dfd9e1d518 media_type: Register dissector table as case-insensitive
ba1084daac Bluetooth: fix crash in epan/dissectors/packet-btl2cap.c:2929:26
1b243050c3 MSYS2: Use pytest in PKGBUILD
33efc751e9 Gitlab CI: Call pytest directly
8059a33b3b rpm-setup: Add opencore-amr-devel as an optional package
a80b80c3bd H264: Fix which tree is passed to data partitions B and C
59b7136065 Qt: Connect the Expert Info dialog filter checkbox signal manually
da5af61092 tools/check_spelling.py: Add another lookahead when matching //
eb342b925c Release notes: Add pytest requirement
4c6b2e3cdd Qt: Plug leaks in RTP Analysis from Main Window
926019add7 Qt: Free RTP stream tapinfo when destroying RtpStreamDialog
062dae3e2e MySQL: Defragment decompressed PDUs inside compressed PDUs
e6e8cf3f16 802.11be draft2.0: Correct common info len field and EML Capabilities subfield
edfb89301c tools/delete_includes.py: rework
7decbda522 Don't build radiotap-gen if we didn't find libpcap.
3eddc1386f Qt: Add progress bar to RTP and VOIP dialogs
554baf6294 Fix no-libpcap compilation.
893080fe40 GNSS: fix UBX-RXM-SFRBX byte swapping
e0f60069cf E2AP: Add e2ap to sctp.ppi table
3128269aa0 Tests: Require pytest support and remove compatibility layer
99f059c48b SMPP: Store the UDHI in data_sm and submit_multi cmds
37dd1d007b Qt: Avoid unnecessary retaps when creating RTP and VOIP dialogs
3d6f4cdb9f tools: Add missing pytest dependency to setup scripts
12a711401d PROFINET: Add CIMSNMPAdjust dissection.
4ce383d6d6 Finish removing RIPEMD160 support
dd2ca75184 wmem: Allow integer lookups with a null tree
799fb72e1e MySQL: Handle compressed state better
abdf61cb1d tshark: Check if -j/-J describes a valid field
20f4ce1721 Tests+Linux: Add convenience target to enable capturing on build dir
92ffa6a87b rpm-setup: Add pytest dependency
73ea8297c4 NR-RRC : Fix NR-RRC RSRQ upper boundary value to 20dB
a93eb2be85 Use `register_dissector()` in ASN.1 dissectors
0a651f7cc1 Bluetooth HCI: Core specification v5.4 update
f030ecdbcc Parse EATT data using ATT parser
b4d581c771 Bluetooth L2CAP: dissect L2CAP Credit Based Connection Request/Response
47759ca658 bsd-setup: don't use Bash as the interpreter for the script.
fc97299f33 epan: Show our ftype integer sizes in bits
a5f8d54915 epan: Check lengths on FT_UINT_BYTES
48656ba262 CI: Remove obsolete CMake option ENABLE_CARES
1db73dad24 Add WTAP bindings for silabs debug channel, DLT 298.
0b74edbb2b proto: Add an assertion
1062e54fd5 prefs: Remove type of GUI preference
fb504bc76c MySQL: Correct scope for tvb_get_string_enc
10be3f8fe6 Qt: Make the debounce timer an advanced preference
3b721ba7b9 Doc: Replace GitLab legacy URLs and reorganize a bit
1eae9555a6 [Automatic update for 2023-05-07]
fe3649a8e9 gpg: Signature made Sun May  7 05:23:59 2023 PDT
gpg:                using RSA key AB9A0CFF814FA65614B5F474397DFEBE343AD96F
gpg: Can't check signature: No public key
USB: fix usbip dissector for fragmented non-iso packets
046f1762b2 GNSS: add dissector for the u-blox UBX protocol
96d8aa6397 Update OEM/ESTA codes
f69e0ca6bc dfilter+taps: Load field references for taps
ab21f2a31e Resources: Deprecate some old icons.
013a675c06 tshark: Print personal extcap path
5bc94bc02a Qt: Avoid an unnecessary retap when creating Conversations dialog
f5c4dcbbf9 Qt: Fixup Conversations and Endpoints dialog leak fix
98a19a85a5 CMake+tools: Add Visual C++ Arm64 support
6938e93170 prefs: Describe converted pref names properly
cfb4627ef1 MySQL: Correct case when zlib and zstd flags are both set
4056799e83 Call check_val_to_str.py in 'Clang + Code Checks' pipeline
aaa4816eda DCERPC MAPI: Handle IP address and MAC Address
15fd2ddc8c columns: Migrate two-field columns to custom columns
c224f16ac6 fix: Memory leak when cookie is invalid hex
0d38b359c1 feat(ssh2): Add support for reading shared secret from keylog file
749a39cf07 ntlmssp: remove redundant words ("NT" and "password")
ec3b10d52b ntlmssp: fix/add comments, rename constants, add spec links, fix typos
12945533b5 Update PIDL README
277b7f6346 Qt: Restore -z io,stat command line option
1844904bc2 check_val_to_str.py: Check ASN1 template files
c66d5e52ea NTLMSSP & SPNEGO: Fix build on arm64-windows
c9d0483def tshark: Fix leak in printing selecting fields with multiple occurences
417a10799b Fix more 'type_item_calls' warnings
6d466cab13 ntlmssp: fix decrypt error by decrypting verifier after payload
55db118c0f Use `register_dissector()` in plugins
e76437d13f BGP: add support of BGP roles and OTC attribute [RFC9234]
a07120b454 UDS: Fixing typos (ARS) and improve parsing (CDTCS)
27d5ad3e10 Qt: Fix leak in Conversations and Endpoints dialogs
f14e267ddd ORAN FH CUS: Add LAA dissection, and fix pre-commit warnings
c0d363bd20 Fix issues seen while running pre-commit scripts over all dissectors
2354e352f9 pcapng: Add basic support for custom options
1eaef13ca3 pcapng: Add basic support for custom block
82d6fd449b [Automatic update for 2023-04-30]
c10a6eb9af Fix some spelling errors.
f61061468d E2AP: use VAL_PTR in shortName decoding
a2af96aa17 Qt: Fix leak in status bar
f18a3ddd52 PER, asn2wrs: Handle VAL_PTR for known multiplier string types
b1b27a8bcb ldap: add couple OIDs coming from Active Directory specs
91e516c5d5 epan: move deprecated column check to column file
254c4de283 Remove unit string dB-Hz from packet-lpp-template.c
6572678153 tcpros: tighten heuristics; fix COL_INFO timestamp
6cc81bbbd3 GEONW: add possibility to call dissector w/o basic header
94af5ee99e BMP, BGP: Add a "one PDU" BGP dissector, and have BMP use it
de697261d8 FTDI MPSSE: Recognize two undocumented command alternatives
75e2c66b9b Add further unit strings for lengths, velocities, and C/N0
7ce5ce33b0 DRDA: Implement SQLDARD
c99f17aa38 Fix dissection of DNS Service Discovery SRV answers
2f41ec3623 MBIM: Dissect MBIM_CID_MS_LTE_ATTACH_CONFIG and MBIM_CID_MS_LTE_ATTACH_STATUS
d8df82b03b Windows: upgrade Npcap to 1.75
ac5ca0d6df Resources: Add Hero Icons to the list
8788ba774e DNS: use pinfo->pool instead of wmem_packet_scope where possible
e65bfb974f gpg: Signature made Thu Apr 27 01:49:06 2023 PDT
gpg:                using EDDSA key 3FAC3A3DEBD1CAA91115203A0E7704B3B9800BEC
gpg: Can't check signature: No public key
fix(ssh2): Fix bn_cookie_ht dup'ed too early
5f08477bba etwdump: Try to fix the build
bdac10e25e add ProcessorNumber to packet comments
2b1922cbcf pgsql: Move state transitions to a tree
9a94b47729 sFlow: Fix parsing of TCP flags and IPv4 ToS for sampled IP
c6dc3405e6 BMP: Fix expert info
9ea2b3db5e epan: Implement EBCDIC CP 500, for DRDA
d6f2ecc8e0 fix(ssh2): Bind hash table entries to hash table lifetime
872285a643 Doc: complete list of field types
02582737dc ui: Fix leak
2267a863e7 tshark: Fix leak in ek output
571f2961cf tools/check_val_to_str.py: Scan plugin dissectors too
